package com.yonge.netty.dto;

import com.ym.mec.common.enums.BaseEnum;

public enum EvaluationCriteriaEnum implements BaseEnum<String, EvaluationCriteriaEnum> {

	AMPLITUDE("振幅"),FREQUENCY("频率"),DECIBELS("分贝");
	
	private String desc;
	
	EvaluationCriteriaEnum(String desc){
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return this.name();
	}

	public String getDesc() {
		return desc;
	}
}
