package com.ym.mec.cms.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.ym.mec.cms.service.SysNewsInformationService;
import com.ym.mec.common.controller.BaseController;

@RequestMapping("task")
@RestController
@Api(tags = "资讯定时任务服务")
public class TaskController extends BaseController {

	@Autowired
	private SysNewsInformationService sysNewsInformationService;

	@ApiOperation(value = "更新资讯发布状态")
	@GetMapping("/updateStatus")
	public void updateStatus(){
		sysNewsInformationService.autoUpdateStatus();
	}
}
