package com.ym.mec.cms.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.cms.dal.dao.TenantInfoDao;
import com.ym.mec.cms.dal.entity.TenantInfo;
import com.ym.mec.cms.service.TenantInfoService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class TenantInfoServiceImpl extends BaseServiceImpl<Integer, TenantInfo>  implements TenantInfoService {
	
	@Autowired
	private TenantInfoDao tenantInfoDao;

	@Override
	public BaseDAO<Integer, TenantInfo> getDAO() {
		return tenantInfoDao;
	}
	
}