package com.ym.mec.student.controller;

import com.ym.mec.biz.dal.dto.ImGroupNoticeDto;
import com.ym.mec.biz.service.ImGroupNoticeService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RequestMapping("${app-config.url.student:}/imGroupNotice")
@Api(tags = "即时通讯群公告")
@RestController
public class ImGroupNoticeController extends BaseController {

    @Resource
    private ImGroupNoticeService imGroupNoticeService;

    @ApiOperation(value = "获取群公告")
    @RequestMapping("/getNotice")
    public HttpResponseResult<ImGroupNoticeDto> getNotice(Long id) {
        return succeed(imGroupNoticeService.getNotice(id));
    }

}
