package com.ym.mec.teacher.controller;

import com.ym.mec.biz.service.PracticeGroupService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2020/1/31
 */
@RequestMapping("${app-config.url.teacher:}/eduPracticeGroup")
@Api(tags = "陪练课服务")
@RestController
public class EduPracticeGroupController extends BaseController {

    @Autowired
    private PracticeGroupService practiceGroupService;

    @ApiOperation("查询订单信息")
    @GetMapping(value = "/queryOrderInfo")
    public HttpResponseResult queryOrderInfo(String orderNo) {
        return succeed(practiceGroupService.queryOrderInfo(orderNo));
    }

}
