package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.page.LiveGoodsMapperQueryInfo;
import com.ym.mec.biz.service.LiveGoodsMapperService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "直播商品关联管理")
@RequestMapping("${app-config.url.teacher:}/liveGoodsMapper")
@RestController
public class LiveGoodsMapperController extends BaseController {

    @Autowired
    private LiveGoodsMapperService liveGoodsMapperService;

    @ApiOperation("分页查询直播间商品")
    @PostMapping("/page")
    public HttpResponseResult page(LiveGoodsMapperQueryInfo queryInfo) {
        return succeed(liveGoodsMapperService.queryPage(queryInfo));
    }
}
