package com.ym.mec.auth.dal.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.auth.api.entity.SysUserDevice;
import com.ym.mec.common.dal.BaseDAO;

public interface SysUserDeviceDao extends BaseDAO<Integer, SysUserDevice> {

	List<SysUserDevice> queryByUserId(@Param("clientId") String clientId, @Param("userId") Integer userId);

	List<SysUserDevice> queryByDeviceNum(@Param("clientId") String clientId, @Param("deviceNum") String deviceNum, @Param("tenantId") Integer tenantId);

	String getDeviceConfig(@Param("paramName") String paramName, @Param("tenantId") Integer tenantId);
}