package com.ym.mec.biz.dal.dao;

import java.util.List;

import com.ym.mec.biz.dal.entity.AppVersionInfo;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface AppVersionInfoDao extends BaseDAO<Integer, AppVersionInfo> {

	List<AppVersionInfo> queryNewestByPlatform(String platform);

	/**
	 * 修改所有的为历史
	 * @param platform
	 */
	void batchUpdateStatus(String platform);

	List<AppVersionInfo> queryLatestByPlatform(@Param("platform") String platform, @Param("status") String status);

    AppVersionInfo checkForceUpdate(@Param("platform") String platform, @Param("localVersion") String localVersion);
}