package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ChargeType;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ChargeTypeDao extends BaseDAO<Integer, ChargeType> {


    /**
     * 根据收费类型编号列表获取收费类型名称map
     * @param chargeTypeIds
     * @return
     */
    List<Map<Integer, String>> queryNameByIds(@Param("chargeTypeIds") String chargeTypeIds);

    List<Map<Integer, String>> queryNormalChargeName(List<Integer> studentIds);
}