package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.CloudTeacherFreeCourse;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface CloudTeacherFreeCourseDao extends BaseDAO<Long, CloudTeacherFreeCourse> {

    void batchInsert(@Param("scheduleIdList") String scheduleIdList, @Param("calenderId") Long calenderId);

    void deleteByCourseIds(@Param("courseIdList") List<Long> courseIdList);

    Integer countByCourseIdList(@Param("courseIdList") List<Long> courseIdList);

    List<Map<Long, BigDecimal>> queryMapByClassDate(@Param("month") String month);
}