package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.CourseConvertDetailDto;
import com.ym.mec.biz.dal.dto.CourseConvertLogDto;
import com.ym.mec.biz.dal.entity.CourseConvertLog;
import com.ym.mec.common.dal.BaseDAO;

import java.util.List;
import java.util.Map;

public interface CourseConvertLogDao extends BaseDAO<Integer, CourseConvertLog> {

    void updateRevoke(Integer courseConvertId);

    int countConvertPage(Map<String, Object> params);

    List<CourseConvertLogDto> queryConvertPage(Map<String, Object> params);

    List<CourseConvertDetailDto> queryCourse(Integer courseConvertId);
}