package com.ym.mec.biz.dal.dao;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.HfMember;
import com.ym.mec.common.dal.BaseDAO;

public interface HfMemberDao extends BaseDAO<Integer, HfMember> {

    /**
     * 根据商户号获取商户信息
     *
     * @param memberId
     * @return
     */
    HfMember getByMemberId(@Param("memberId") String memberId, @Param("payerName") String payerName);

    /**
     * 根据名字获取商户信息
     *
     * @param name
     * @return
     */
    HfMember getByName(@Param("name") String name, @Param("payerName") String payerName);
    
    HfMember getByOrganId(@Param("organId") Integer organId, @Param("payerName") String payerName);
    
    HfMember queryByRequestNo(String requestNo);

}