package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.LuckDrawLog;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LuckDrawLogDao extends BaseDAO<Long, LuckDrawLog> {

    /**
    * @description: 奖品已使用的名称
     * @param allPrizeIds
    * @return java.lang.String
    * @author zx
    * @date 2021/11/19 15:46
    */
    String countUseNumByIds(@Param("prizeIds") List<Integer> allPrizeIds);
}