package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupBuildLog;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupBuildLogDao extends BaseDAO<Integer, MusicGroupBuildLog> {

    /**
     * 获取所有日志记录
     *
     * @param musicGroupId
     * @return
     */
    List<MusicGroupBuildLog> findById(@Param("musicGroupId") String musicGroupId);

    /**
     * 获取乐团的审核通过时间
     *
     * @param musicGroupIds
     * @return
     */
    List<MusicGroupBuildLog> getMusicGroupAuditSuccess(@Param("musicGroupIds") List<String> musicGroupIds);
}