package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.dto.MusicGroupDeliveryRecordDto;
import com.ym.mec.biz.dal.entity.MusicGroupDeliveryRecord;
import com.ym.mec.common.dal.BaseDAO;

public interface MusicGroupDeliveryRecordDao extends BaseDAO<Long, MusicGroupDeliveryRecord> {

	/**
	 * 通过参数查找结果集，适合分页场景
	 * @param params
	 * @return
	 */
	public List<MusicGroupDeliveryRecordDto> queryPageList(Map<String, Object> params);
	
	/**
	 * 通过参数查找结果集数目
	 * @param params
	 * @return
	 */
	public int queryCount(Map<String, Object> params);
}