package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupOrganizationCourseSettingsDetail;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupOrganizationCourseSettingsDetailDao extends BaseDAO<Integer, MusicGroupOrganizationCourseSettingsDetail> {

    int batchInsert(@Param("settingDetails") List<MusicGroupOrganizationCourseSettingsDetail> settingDetails);

    int deleteBySettingId(@Param("settingId") Integer settingId);
    
    List<MusicGroupOrganizationCourseSettingsDetail> queryByMusicGroupOrganizationCourseSettingsId(Integer musicGroupOrganizationCourseSettingsId);
}