package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.WaitSendMessageDto;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalenderRepair;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupPaymentCalenderRepairDao extends BaseDAO<Long, MusicGroupPaymentCalenderRepair> {


    void deleteByCalenderId(@Param("calenderId") Long calenderId);

    MusicGroupPaymentCalenderRepair findByCalenderId(@Param("calenderId") Long calenderId);

    List<WaitSendMessageDto> queryWaitSendMessage();

    void updateSendRemind(@Param("ids") List<Integer> ids);
}