package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.MusicGroupPaymentEntities;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MusicGroupPaymentEntitiesDao extends BaseDAO<Integer, MusicGroupPaymentEntities> {
    /**
     * 批量新增
     * @param entities
     */
    void batchAdd(@Param("entities") List<MusicGroupPaymentEntities> entities,@Param("musicGroupId")String musicGroupId);

    /**
     * 根据乐团编号删除
     * @param musicGroupId
     */
    void delByGroupId(String musicGroupId);

    /**
     * 根据乐团编号查询乐团
     * @param musicGroupId
     * @return
     */
    List<MusicGroupPaymentEntities> findByMusicGroupId(String musicGroupId);
}