package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MusicGroupPerformance;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface MusicGroupPerformanceDao extends BaseDAO<Integer, MusicGroupPerformance> {


    List<MusicGroupPerformance> findNoStart(@Param("educationUserId") Integer educationUserId,
                                            @Param("organIds") String organIds);

    List<MusicGroupPerformance> queryNoStart(Map<String, Object> params);

    int countNoStart(Map<String, Object> params);
}