package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ReplacementInstrumentCooperation;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface ReplacementInstrumentCooperationDao extends com.ym.mec.common.dal.BaseDAO<Integer, ReplacementInstrumentCooperation> {

    /**
     * 统计个合作单位的转化率
     * @return
     */
    List<ReplacementInstrumentCooperation> countAllReplacementsInfo(Integer tenantId);

    ReplacementInstrumentCooperation findByCooperationOrganIdAndTopicId(@Param("cooperationOrganId") Integer cooperationOrganId, @Param("topicId") Integer topicId);
}