package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.StudentWithdraw;
import com.ym.mec.common.dal.BaseDAO;

import java.util.List;

public interface StudentWithdrawDao extends BaseDAO<Integer, StudentWithdraw> {

    StudentWithdraw getByUserId(Long userId);

    /**
     * 根据用户编号列表获取转账信息
     * @param userIds
     * @return
     */
    List<StudentWithdraw> queryByUserId(Integer userIds);
}
