package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.MusicCompareRankingDto;
import com.ym.mec.biz.dal.entity.SysMusicCompareWeekData;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysMusicCompareWeekDataDao extends BaseDAO<Integer, SysMusicCompareWeekData> {

    SysMusicCompareWeekData getWithUserAndMonday(@Param("userId") Integer userId,
                                                 @Param("monday") String monday);

    List<MusicCompareRankingDto> getUserTrainStat(@Param("monday") String monday,
                                                  @Param("orderType") Integer orderType,
                                                  @Param("heardLevel") String heardLevel,
                                                  @Param("organId") Integer organId,@Param("tenantId") Integer tenantId);
	
}
