package com.ym.mec.biz.dal.dao;


import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SysMusicScoreAccompanimentDao extends BaseDAO<String, SysMusicScoreAccompaniment> {


    List<Integer> findSubjectByMusicScoreId(@Param("sysMusicScoreId") Integer sysMusicScoreId, @Param("idList") List<Integer> idList);

    List<SysMusicScoreAccompaniment> queryAccPage(Map<String, Object> params);

    List<SysMusicScoreAccompaniment> queryAccPage1(@Param("musicScoreIds") List<Integer> musicScoreIds);

    int findAccCount(Map<String, Object> params);

    /**
     * 获取伴奏声部列表
     * @return
     */
    List<Subject> querySubjectIds(@Param("categoriesIdList") List<Integer> categoriesIdList);

    List<SysMusicScoreAccompaniment> findByMusicScoreId(@Param("recordId") Integer recordId);
}