package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.SysTenantAccountDetail;
import com.ym.mec.common.dal.BaseDAO;

import java.util.List;
import java.util.Map;

public interface SysTenantAccountDetailDao extends BaseDAO<Long, SysTenantAccountDetail> {

	SysTenantAccountDetail queryByOrderNo(String orderNo);

	/**
	 * 统计交易分钟数
	 * @param params
	 * @return
	 */
	Integer sumTransMinutes(Map<String, Object> params);
}