package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherFreeTime;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface TeacherFreeTimeDao extends BaseDAO<Integer, TeacherFreeTime> {

    /**
     * @describe 获取教师休息时间
     * @author Joburgess
     * @date 2020/2/16
     * @param userId: 教师编号
     * @return com.ym.mec.biz.dal.entity.TeacherFreeTime
     */
    TeacherFreeTime findTeacherFreeTime(@Param("userId") Integer userId);
}
