package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherRemind;
import com.ym.mec.biz.dal.enums.TeacherRemindTypeEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TeacherRemindDao extends BaseDAO<Long, TeacherRemind> {

    int batchInsert(@Param("reminds") List<TeacherRemind> reminds);

    List<TeacherRemind> findTeachersRemindWithType(@Param("remindType")TeacherRemindTypeEnum teacherRemindType,
                                                   @Param("teacherIds") List<Integer> teacherIds,
                                                   @Param("startDate") String startDate,
                                                   @Param("endDate") String endDate);
	
}
