package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.entity.TempLittleArtistTrainingCampUserRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 训练营与学生关系表(TempLittleArtistTrainingCampUserRelation)表数据库访问层
 *
 * @author hgw
 * @since 2022-05-18 15:48:00
 */
public interface TempLittleArtistTrainingCampUserRelationDao extends BaseMapper<TempLittleArtistTrainingCampUserRelation> {

    int insertBatch(@Param("entities") List<TempLittleArtistTrainingCampUserRelation> entities);

    //获取指定状态的训练营
    List<TempLittleArtistTrainingCampUserRelation> queryByUserId(@Param("userId") Integer userId,@Param("state") String state);
}

