package com.ym.mec.biz.dal.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.dto.TenantContractTemplateDto;
import com.ym.mec.biz.dal.entity.TenantContractTemplate;

public interface TenantContractTemplateDao extends BaseDAO<Integer, TenantContractTemplate> {

	List<TenantContractTemplateDto> queryPageList(Map<String, Object> params);
	
	/**
	 * 获取最新协议模板
	 * @param owner
	 * @param type
	 * @return
	 */
	TenantContractTemplate queryLatestContractTemplate(@Param("owner") String owner, @Param("type") String type, @Param("tenantId") Integer tenantId);
	
	int disableContract(@Param("owner") String owner, @Param("type") String type, @Param("tenantId") Integer tenantId);
	
	Integer queryMaxVersion();
}