package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.dto.TenantOrderRecordDto;
import com.ym.mec.biz.dal.entity.TenantOrderRecord;

import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 机构付款记录表(TenantOrderRecord)表数据库访问层
 *
 * @author hgw
 * @since 2021-12-20 10:08:27
 */
public interface TenantOrderRecordDao extends BaseMapper<TenantOrderRecord> {

    int insertBatch(@Param("entities") List<TenantOrderRecord> entities);

    <T> IPage<T> queryPage(Page<T> page, @Param("param") TenantOrderRecordDto dto);
    
    TenantOrderRecord getLockedById(Integer id);

}

