package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2021/8/16 0016
 */
public class CloudStudyStudentDataDto {

    private Integer organId;

    @ApiModelProperty("分部名称")
    private String organName;

    @ApiModelProperty("在读学员总数")
    private BigDecimal totalStudentNum = BigDecimal.ZERO;
    
    @ApiModelProperty("有效学员总数")
    private BigDecimal effectiveStudentNum = BigDecimal.ZERO;

    @ApiModelProperty("付费会员数")
    private BigDecimal vipStudentNum = BigDecimal.ZERO;
    
	private BigDecimal effectiveVipStudentNum = BigDecimal.ZERO;
	
	private BigDecimal waitActivateVipStudentNum = BigDecimal.ZERO;

    @ApiModelProperty("试用会员数")
    private BigDecimal eVipStudentNum = BigDecimal.ZERO;

    @ApiModelProperty("付费会员占比")
    private BigDecimal vipStudentRate = BigDecimal.ZERO;

    @ApiModelProperty("云教练使用人数")
    private int cloudStudyUseStudentNum;

    @ApiModelProperty("云教练今日使用人数")
    private int cloudStudyTodayUseStudentNum;

    @ApiModelProperty("云教练使用人数占比")
    private BigDecimal cloudStudyUseStudentDuty = BigDecimal.ZERO;

    @ApiModelProperty("活跃人数")
    private BigDecimal cloudStudyLivelyStudentNum = BigDecimal.ZERO;

    @ApiModelProperty("云教练新增人数")
    private BigDecimal newCloudStudyStudentNum = BigDecimal.ZERO;

    @ApiModelProperty("重复购买云教练的用户")
    private BigDecimal againBuyNum = BigDecimal.ZERO;

    //重复购买率
    private BigDecimal againBuyRate = BigDecimal.ZERO;

    //购买率
    private BigDecimal buyRate = BigDecimal.ZERO;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getTotalStudentNum() {
        return totalStudentNum;
    }

    public void setTotalStudentNum(BigDecimal totalStudentNum) {
        this.totalStudentNum = totalStudentNum;
    }

    public BigDecimal getEffectiveStudentNum() {
        return effectiveStudentNum;
    }

    public void setEffectiveStudentNum(BigDecimal effectiveStudentNum) {
        this.effectiveStudentNum = effectiveStudentNum;
    }

    public BigDecimal getVipStudentNum() {
        return vipStudentNum;
    }

    public void setVipStudentNum(BigDecimal vipStudentNum) {
        this.vipStudentNum = vipStudentNum;
    }

    public BigDecimal getEffectiveVipStudentNum() {
        return effectiveVipStudentNum;
    }

    public void setEffectiveVipStudentNum(BigDecimal effectiveVipStudentNum) {
        this.effectiveVipStudentNum = effectiveVipStudentNum;
    }

    public BigDecimal getWaitActivateVipStudentNum() {
        return waitActivateVipStudentNum;
    }

    public void setWaitActivateVipStudentNum(BigDecimal waitActivateVipStudentNum) {
        this.waitActivateVipStudentNum = waitActivateVipStudentNum;
    }

    public BigDecimal geteVipStudentNum() {
        return eVipStudentNum;
    }

    public void seteVipStudentNum(BigDecimal eVipStudentNum) {
        this.eVipStudentNum = eVipStudentNum;
    }

    public BigDecimal getVipStudentRate() {
        return vipStudentRate;
    }

    public void setVipStudentRate(BigDecimal vipStudentRate) {
        this.vipStudentRate = vipStudentRate;
    }

    public int getCloudStudyUseStudentNum() {
        return cloudStudyUseStudentNum;
    }

    public void setCloudStudyUseStudentNum(int cloudStudyUseStudentNum) {
        this.cloudStudyUseStudentNum = cloudStudyUseStudentNum;
    }

    public int getCloudStudyTodayUseStudentNum() {
        return cloudStudyTodayUseStudentNum;
    }

    public void setCloudStudyTodayUseStudentNum(int cloudStudyTodayUseStudentNum) {
        this.cloudStudyTodayUseStudentNum = cloudStudyTodayUseStudentNum;
    }

    public BigDecimal getCloudStudyUseStudentDuty() {
        return cloudStudyUseStudentDuty;
    }

    public void setCloudStudyUseStudentDuty(BigDecimal cloudStudyUseStudentDuty) {
        this.cloudStudyUseStudentDuty = cloudStudyUseStudentDuty;
    }

    public BigDecimal getCloudStudyLivelyStudentNum() {
        return cloudStudyLivelyStudentNum;
    }

    public void setCloudStudyLivelyStudentNum(BigDecimal cloudStudyLivelyStudentNum) {
        this.cloudStudyLivelyStudentNum = cloudStudyLivelyStudentNum;
    }

    public BigDecimal getNewCloudStudyStudentNum() {
        return newCloudStudyStudentNum;
    }

    public void setNewCloudStudyStudentNum(BigDecimal newCloudStudyStudentNum) {
        this.newCloudStudyStudentNum = newCloudStudyStudentNum;
    }

    public BigDecimal getAgainBuyNum() {
        return againBuyNum;
    }

    public void setAgainBuyNum(BigDecimal againBuyNum) {
        this.againBuyNum = againBuyNum;
    }

    public BigDecimal getAgainBuyRate() {
        return againBuyRate;
    }

    public void setAgainBuyRate(BigDecimal againBuyRate) {
        this.againBuyRate = againBuyRate;
    }

    public BigDecimal getBuyRate() {
        return buyRate;
    }

    public void setBuyRate(BigDecimal buyRate) {
        this.buyRate = buyRate;
    }
}
