package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class CloudTeacherSumDto {

    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty(value = "分部")
    private Integer organId;

    @ApiModelProperty(value = "分部")
    private String teacherName;

    @ApiModelProperty(value = "在读人数")
    private BigDecimal normalNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "练习率")
    private BigDecimal trainRate = BigDecimal.ZERO;

    @ApiModelProperty(value = "练习总时长")
    private BigDecimal trainTotalTime = BigDecimal.ZERO;

    @ApiModelProperty(value = "平均练习时长")
    private BigDecimal avgTrainTime = BigDecimal.ZERO;

    @ApiModelProperty(value = "平均练习时长（练习)")
    private BigDecimal trainAvgTrainTime = BigDecimal.ZERO;

    @ApiModelProperty(value = "练习达标率")
    private BigDecimal trainStandRate = BigDecimal.ZERO;

    @ApiModelProperty(value = "练习总人数")
    private BigDecimal trainStudentNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "<10分钟")
    private BigDecimal train0 = BigDecimal.ZERO;

    @ApiModelProperty(value = "10~60分钟")
    private BigDecimal train1 = BigDecimal.ZERO;

    @ApiModelProperty(value = "60~120分钟")
    private Integer train2;

    @ApiModelProperty(value = "120~240分钟")
    private Integer train3;

    @ApiModelProperty(value = "＞=240分钟")
    private Integer train4;
    public BigDecimal getTrainAvgTrainTime() {
        return trainAvgTrainTime;
    }

    public void setTrainAvgTrainTime(BigDecimal trainAvgTrainTime) {
        this.trainAvgTrainTime = trainAvgTrainTime;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public BigDecimal getNormalNum() {
        return normalNum;
    }

    public void setNormalNum(BigDecimal normalNum) {
        this.normalNum = normalNum;
    }

    public BigDecimal getTrainRate() {
        return trainRate;
    }

    public void setTrainRate(BigDecimal trainRate) {
        this.trainRate = trainRate;
    }

    public BigDecimal getTrainTotalTime() {
        return trainTotalTime;
    }

    public void setTrainTotalTime(BigDecimal trainTotalTime) {
        this.trainTotalTime = trainTotalTime;
    }

    public BigDecimal getAvgTrainTime() {
        return avgTrainTime;
    }

    public void setAvgTrainTime(BigDecimal avgTrainTime) {
        this.avgTrainTime = avgTrainTime;
    }

    public BigDecimal getTrainStandRate() {
        return trainStandRate;
    }

    public void setTrainStandRate(BigDecimal trainStandRate) {
        this.trainStandRate = trainStandRate;
    }

    public BigDecimal getTrainStudentNum() {
        return trainStudentNum;
    }

    public void setTrainStudentNum(BigDecimal trainStudentNum) {
        this.trainStudentNum = trainStudentNum;
    }

    public BigDecimal getTrain0() {
        return train0;
    }

    public void setTrain0(BigDecimal train0) {
        this.train0 = train0;
    }

    public BigDecimal getTrain1() {
        return train1;
    }

    public void setTrain1(BigDecimal train1) {
        this.train1 = train1;
    }

    public Integer getTrain2() {
        return train2;
    }

    public void setTrain2(Integer train2) {
        this.train2 = train2;
    }

    public Integer getTrain3() {
        return train3;
    }

    public void setTrain3(Integer train3) {
        this.train3 = train3;
    }

    public Integer getTrain4() {
        return train4;
    }

    public void setTrain4(Integer train4) {
        this.train4 = train4;
    }
}
