package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CooperationOrgan;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CooperationOrganDto {

    private Integer id;

    /**  */
    private Integer educationUserId;

    /**  */
    private String realName;

    private String musicGroupId;

    /** 单位名称 */
    @ApiModelProperty(value = "班级编号", required = false)
    private String name;

    /** 分部编号 */
    @ApiModelProperty(value = "分部编号", required = false)
    private Integer organId;

    /** 联系人 */
    @ApiModelProperty(value = "联系人", required = false)
    private String linkman;

    /**  */
    @ApiModelProperty(value = "职位", required = false)
    private String job;

    /**  */
    @ApiModelProperty(value = "手机号码", required = false)
    private String mobileNo;

    /**  */
    @ApiModelProperty(value = "地址", required = false)
    private String address;

    @ApiModelProperty(value = "权属类型(OWN('自有'),COOPERATION('合作'),LEASE('租赁'))", required = false)
    private CooperationOrgan.OwnershipType ownershipType;

    @ApiModelProperty(value = "是否启用", required = false)
    private Boolean isEnable;

    @ApiModelProperty(value = "是否全职资源",required = false)
    private Integer fullJobResource = 1;

    @ApiModelProperty("合作单位logo")
    private String logo;
}
