package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import io.swagger.annotations.ApiModelProperty;

public class CourseConvertDetailDto {

    @ApiModelProperty(value = "课程编号")
    private Long courseId;

    @ApiModelProperty(value = "班级名称")
    private String className;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "老师名称")
    private String teacherName;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum status;

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }
}
