package com.ym.mec.biz.dal.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class GoodsOrderItemVO {
    private double couponAmount; // 优惠券金额
    private int giftGrowth; // 赠送成长值
    private int giftIntegration; // 赠送积分
    private long id; // 唯一标识符
    private double integrationAmount; // 积分抵扣金额
    private long orderId; // 所属订单的唯一标识符
    private String orderSn; // 订单编号
    private double precisionAmount; // 精确金额
    private String productAttr; // 商品属性，JSON 格式
    private String productBrand; // 商品品牌
    private long productCategoryId; // 商品分类的唯一标识符
    private long productId; // 商品的唯一标识符
    private String productSn; // 商品货号
    private String productName; // 商品名称
    private String productPic; // 商品图片
    private double productPrice; // 商品价格
    private int productQuantity; // 商品数量
    private String productSkuCode; // 商品 SKU 编码
    private long productSkuId; // 商品 SKU 的唯一标识符
    private double promotionAmount; // 促销金额
    private String promotionName; // 促销名称
    private BigDecimal realAmount; // 实际支付金额
    private int returnStatus; // 退货状态
    private String productType; // 商品类型
}
