package com.ym.mec.biz.dal.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class HumanTypeDto {
    private Integer organId;
    private BigDecimal fixedCost = BigDecimal.ZERO; // 固定人力成本
    private BigDecimal variableCost = BigDecimal.ZERO; // 变动人力成本
    private BigDecimal networkClassroomCost = BigDecimal.ZERO; // 网络教室成本
    private BigDecimal cloudCoachingCost = BigDecimal.ZERO; // 云教练成本
    private BigDecimal internalSettlement = BigDecimal.ZERO; // 内部结算
    private BigDecimal studentManagementFeeAdjustment = BigDecimal.ZERO; // 学员管理费调整
    private BigDecimal commission = BigDecimal.ZERO; // 手续费
    private BigDecimal tax = BigDecimal.ZERO; // 税费
}
