package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class IndexCloudStudySumDto {

	private Integer organId;
	
	private String organName;

	//在读学员数
	private BigDecimal totalStudentNum = BigDecimal.ZERO;

	//会员总数
	private BigDecimal vipStudentNum = BigDecimal.ZERO;

	//会员人数占比
	private BigDecimal vipStudentRate = BigDecimal.ZERO;

	//生效中的学员数
	private BigDecimal effectiveVipStudentNum = BigDecimal.ZERO;

	//待激活学员数
	private BigDecimal waitActivateVipStudentNum = BigDecimal.ZERO;

	//活跃人数
	private BigDecimal activeStudentNum = BigDecimal.ZERO;

	//重复购买人数
	private BigDecimal againBuyNum = BigDecimal.ZERO;

	//重复购买率
	private BigDecimal againBuyRate = BigDecimal.ZERO;

	//购买率
	private BigDecimal buyRate = BigDecimal.ZERO;

	@ApiModelProperty("云教练今日使用人数")
	private BigDecimal cloudStudyTodayUseStudentNum = BigDecimal.ZERO;

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public BigDecimal getTotalStudentNum() {
		return totalStudentNum;
	}

	public void setTotalStudentNum(BigDecimal totalStudentNum) {
		this.totalStudentNum = totalStudentNum;
	}

	public BigDecimal getVipStudentNum() {
		return vipStudentNum;
	}

	public void setVipStudentNum(BigDecimal vipStudentNum) {
		this.vipStudentNum = vipStudentNum;
	}

	public BigDecimal getVipStudentRate() {
		return vipStudentRate;
	}

	public void setVipStudentRate(BigDecimal vipStudentRate) {
		this.vipStudentRate = vipStudentRate;
	}

	public BigDecimal getEffectiveVipStudentNum() {
		return effectiveVipStudentNum;
	}

	public void setEffectiveVipStudentNum(BigDecimal effectiveVipStudentNum) {
		this.effectiveVipStudentNum = effectiveVipStudentNum;
	}

	public BigDecimal getWaitActivateVipStudentNum() {
		return waitActivateVipStudentNum;
	}

	public void setWaitActivateVipStudentNum(BigDecimal waitActivateVipStudentNum) {
		this.waitActivateVipStudentNum = waitActivateVipStudentNum;
	}

	public BigDecimal getActiveStudentNum() {
		return activeStudentNum;
	}

	public void setActiveStudentNum(BigDecimal activeStudentNum) {
		this.activeStudentNum = activeStudentNum;
	}

	public BigDecimal getAgainBuyNum() {
		return againBuyNum;
	}

	public void setAgainBuyNum(BigDecimal againBuyNum) {
		this.againBuyNum = againBuyNum;
	}

	public BigDecimal getAgainBuyRate() {
		return againBuyRate;
	}

	public void setAgainBuyRate(BigDecimal againBuyRate) {
		this.againBuyRate = againBuyRate;
	}

	public BigDecimal getBuyRate() {
		return buyRate;
	}

	public void setBuyRate(BigDecimal buyRate) {
		this.buyRate = buyRate;
	}

	public BigDecimal getCloudStudyTodayUseStudentNum() {
		return cloudStudyTodayUseStudentNum;
	}

	public void setCloudStudyTodayUseStudentNum(BigDecimal cloudStudyTodayUseStudentNum) {
		this.cloudStudyTodayUseStudentNum = cloudStudyTodayUseStudentNum;
	}
}
