package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 进度评测表(LessonExamination)表实体类
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@Data
public class LessonExaminationSaveDto {

    private Integer teacherId;

    @ApiModelProperty(value = "班级编号")
    private Integer classGroupId;

    @ApiModelProperty(value = "课程编号")
    private Long courseScheduleId;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "学员总数")
    private Integer expectNum;

    @ApiModelProperty(value = "声部学员列表")
    private List<StudentLessonExaminationSaveDto> studentLessonExaminationSaveDtos;
}

