package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class MaintenancePayDto{
    @ApiModelProperty(value = "乐器列表id", required = true)
    private Long id;

    @ApiModelProperty(value = "支付金额", required = true)
    private BigDecimal amount;

    @ApiModelProperty(value = "是否使用余额", required = true)
    private Boolean isUseBalance = false;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    public List<Integer> getCouponIdList() {
        return couponIdList;
    }

    public void setCouponIdList(List<Integer> couponIdList) {
        this.couponIdList = couponIdList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getUseBalance() {
        return isUseBalance;
    }

    public void setUseBalance(Boolean useBalance) {
        isUseBalance = useBalance;
    }
}
