package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class MusicGroupPaymentImportDto {

    @ApiModelProperty(value = "缴费批次")
    private String batchNo;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;

    @ApiModelProperty(value = "交易流水号")
    private String transNo;

    @ApiModelProperty(value = "收款账户")
    private String merNos;

    @ApiModelProperty(value = "交易时间")
    private Date payTime;

    @ApiModelProperty(value = "学员姓名")
    private String studentName;

    @ApiModelProperty(value = "学员性别")
    private String gender;

    @ApiModelProperty(value = "学员手机号")
    private String phone;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty(value = "年级")
    private String grade;

    @ApiModelProperty(value = "班级")
    private String currentClass;
}

