package com.ym.mec.biz.dal.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OASummaryExpensesDto {
    // 组织id
    private String organName;

    // 房屋租金
    private BigDecimal house;

    // 办公用品
    private BigDecimal office;

    // 物业费
    private BigDecimal mainsProperty;

    // 差旅费
    private BigDecimal travel;

    // 服务费
    private BigDecimal services;

    // 福利费
    private BigDecimal welfare;

    // 活动费
    private BigDecimal activities;

    // 交通费
    private BigDecimal traffic;

    // 证书费
    private BigDecimal certificates;

    // 仪器设备
    private BigDecimal instrument;

    // 通信费
    private BigDecimal communications;

    // 邮政快递
    private BigDecimal postalTransport;

    // 招待费
    private BigDecimal hospitality;

    // 退款
    private BigDecimal refund;

    // 其他费用
    private BigDecimal other;

    // 固定人力成本
    private BigDecimal fixedHumanCost;

    // 变动人力成本
    private BigDecimal variableHumanCost;

    // 网络教室成本
    private BigDecimal network;

    // 云教练成本
    private BigDecimal cloudCoachingCost;

    // 内部结算
    private BigDecimal internalSettlement;

    // 学员管理费
    private BigDecimal studentManagementFeeAdjustment;

    // 手续费
    private BigDecimal commission;

    // 税费
    private BigDecimal tax;
}
