package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class ReturnFeeDto {

    @ApiModelProperty(value = "课程组编号",required = false)
    private Long vipGroupId;

    @ApiModelProperty(value = "课程组编号",required = false)
    private Long groupId;

    @ApiModelProperty(value = "退费学员",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "退费金额",required = false)
    private BigDecimal amount;

    @ApiModelProperty(value = "是否确认退还活动赠送",required = false)
    private Boolean confirmReturnActivityGive = false;

    private GroupType groupType;
}
