package com.ym.mec.biz.dal.dto;


import com.ym.mec.biz.dal.enums.HardLevelEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@Data
public class StudentLessonExaminationDetailDto {
    @ApiModelProperty(value = "主键")
    private Long studentLessonExaminationDetailId;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;

    @ApiModelProperty(value = "评测编号")
    private Long lessonExaminationId;

    @ApiModelProperty(value = "曲谱名称")
    private String musicScoreName;

    @ApiModelProperty(value = "曲谱")
    private Integer musicScoreId;

    @ApiModelProperty(value = "开始小节")
    private Integer start;

    @ApiModelProperty(value = "截止小节")
    private Integer end;

    @ApiModelProperty(value = "评测难度")
    private HardLevelEnum heardLevel;

    @ApiModelProperty(value = "练习最高分数")
    private Integer trainingScore;

    @ApiModelProperty(value = "是否评测")
    private Boolean trainingFlag;

    @ApiModelProperty(value = "总平均分")
    private Integer avgScore;

    @ApiModelProperty(value = "实际得分")
    private Integer actualAvgScore;

    @ApiModelProperty(value = "达标总分")
    private Integer standardScore;

    @ApiModelProperty(value = "分谱")
    private Integer partIndex;

    @ApiModelProperty(value = "曲目是否有效")
    private Boolean validFlag;

}

