package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Map;

public class StudentPaymentOrderMallExportDto extends StudentPaymentOrderRouteDto {
    @ApiModelProperty(value = "分部",required = true)
    private String organName;

    @ApiModelProperty(value = "业务分部",required = true)
    private String userOrganName;

    @ApiModelProperty(value = "支付状态",required = true)
    private Integer payingStatus;

    @ApiModelProperty(value = "订单金额",required = true)
    private BigDecimal orderAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "购买商品名称列表",required = true)
    private String goodsNames;

    @ApiModelProperty(value = "购买商品列表",required = true)
    private String goodsJson;

    @ApiModelProperty(value = "购买的商品汇总金额",required = true)
    private Map<String, BigDecimal> categoryAmount;

    @ApiModelProperty(value = "商品分类1",required = true)
    private BigDecimal category1 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类2",required = true)
    private BigDecimal category2 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类3",required = true)
    private BigDecimal category3 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类4",required = true)
    private BigDecimal category4 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类5",required = true)
    private BigDecimal category5 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类6",required = true)
    private BigDecimal category6 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类7",required = true)
    private BigDecimal category7 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类8",required = true)
    private BigDecimal category8 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类9",required = true)
    private BigDecimal category9 = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品分类10",required = true)
    private BigDecimal category10 = BigDecimal.ZERO;

    public Map<String, BigDecimal> getCategoryAmount() {
        return categoryAmount;
    }

    public void setCategoryAmount(Map<String, BigDecimal> categoryAmount) {
        this.categoryAmount = categoryAmount;
    }

    public BigDecimal getCategory1() {
        return category1;
    }

    public void setCategory1(BigDecimal category1) {
        this.category1 = category1;
    }

    public BigDecimal getCategory2() {
        return category2;
    }

    public void setCategory2(BigDecimal category2) {
        this.category2 = category2;
    }

    public BigDecimal getCategory3() {
        return category3;
    }

    public void setCategory3(BigDecimal category3) {
        this.category3 = category3;
    }

    public BigDecimal getCategory4() {
        return category4;
    }

    public void setCategory4(BigDecimal category4) {
        this.category4 = category4;
    }

    public BigDecimal getCategory5() {
        return category5;
    }

    public void setCategory5(BigDecimal category5) {
        this.category5 = category5;
    }

    public BigDecimal getCategory6() {
        return category6;
    }

    public void setCategory6(BigDecimal category6) {
        this.category6 = category6;
    }

    public BigDecimal getCategory7() {
        return category7;
    }

    public void setCategory7(BigDecimal category7) {
        this.category7 = category7;
    }

    public BigDecimal getCategory8() {
        return category8;
    }

    public void setCategory8(BigDecimal category8) {
        this.category8 = category8;
    }

    public BigDecimal getCategory9() {
        return category9;
    }

    public void setCategory9(BigDecimal category9) {
        this.category9 = category9;
    }

    public BigDecimal getCategory10() {
        return category10;
    }

    public void setCategory10(BigDecimal category10) {
        this.category10 = category10;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getUserOrganName() {
        return userOrganName;
    }

    public void setUserOrganName(String userOrganName) {
        this.userOrganName = userOrganName;
    }

    public Integer getPayingStatus() {
        return payingStatus;
    }

    public void setPayingStatus(Integer payingStatus) {
        this.payingStatus = payingStatus;
    }

    public BigDecimal getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(BigDecimal orderAmount) {
        this.orderAmount = orderAmount;
    }

    public String getGoodsNames() {
        return goodsNames;
    }

    public void setGoodsNames(String goodsNames) {
        this.goodsNames = goodsNames;
    }

    public String getGoodsJson() {
        return goodsJson;
    }

    public void setGoodsJson(String goodsJson) {
        this.goodsJson = goodsJson;
    }
}
