package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StudentPaymentOrderRouteDto extends StudentPaymentOrder {
    //汇付手续费
    @ApiModelProperty(value = "汇付手续费",required = true)
    private BigDecimal transferFee = BigDecimal.ZERO;

    //平台手续费
    @ApiModelProperty(value = "平台手续费",required = true)
    private BigDecimal platformFee = BigDecimal.ZERO;

    //收款账户
    @ApiModelProperty(value = "收款账户",required = true)
    private String routeMerNo;

    //分润金额
    @ApiModelProperty(value = "分润金额",required = true)
    private BigDecimal routeAmount;

    //分润余额
    @ApiModelProperty(value = "分润余额",required = true)
    private BigDecimal routeBalance;

    //分润中的销售费用
    @ApiModelProperty(value = "分润中的销售费用",required = true)
    private BigDecimal saleAmount = BigDecimal.ZERO;

    //分润中的服务费用
    @ApiModelProperty(value = "分润中的服务费用",required = true)
    private BigDecimal serviceAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "服务费",required = true)
    private BigDecimal serviceFee = BigDecimal.ZERO;
}
