package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * 乐团声部报名详情
 */
public class SubjectApplyDetailDto {

    @ApiModelProperty(value = "乐团声部计划编号",required = false)
    private Integer musicGroupSubjectPlanId;

    @ApiModelProperty(value = "科目编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "科目名称",required = false)
    private String subjectName;

    @ApiModelProperty(value = "预计招收人数",required = false)
    private Integer expectedStudentNum = 0;

    @ApiModelProperty(value = "报名人数",required = false)
    private Integer applyStudentNum = 0;

    @ApiModelProperty(value = "缴费人数",required = false)
    private Integer payNum = 0;

    @ApiModelProperty(value = "未分班人数",required = false)
    private Integer notPartClassNum = 0;

    @ApiModelProperty(value = "缴费中人数",required = false)
    private Integer payingNum=0;

    @ApiModelProperty(value = "审核中人数",required = false)
    private Integer checkNum=0;

    @ApiModelProperty(value = "在读人数",required = false)
    private Integer normalNum=0;
    
    @ApiModelProperty(value = "购买云教练人数",required = false)
    private Integer buyCloudTeacherNum = 0;
    
    @ApiModelProperty(value = "购买乐器未入团人数", required = false)
    private Integer cloudTeacherStudentNumOfApply = 0;
    
    @ApiModelProperty(value = "没买云教练入团人数", required = false)
    private Integer noCloudTeacherStudentNumOfNormal = 0;

    private BigDecimal totalAmount;

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getMusicGroupSubjectPlanId() {
        return musicGroupSubjectPlanId;
    }

    public void setMusicGroupSubjectPlanId(Integer musicGroupSubjectPlanId) {
        this.musicGroupSubjectPlanId = musicGroupSubjectPlanId;
    }

    public Integer getNotPartClassNum() {
        return notPartClassNum;
    }

    public void setNotPartClassNum(Integer notPartClassNum) {
        this.notPartClassNum = notPartClassNum;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getExpectedStudentNum() {
        return expectedStudentNum;
    }

    public void setExpectedStudentNum(Integer expectedStudentNum) {
        this.expectedStudentNum = expectedStudentNum;
    }

    public Integer getApplyStudentNum() {
        return applyStudentNum;
    }

    public void setApplyStudentNum(Integer applyStudentNum) {
        this.applyStudentNum = applyStudentNum;
    }

    public Integer getPayNum() {
        return payNum;
    }

    public void setPayNum(Integer payNum) {
        this.payNum = payNum;
    }

    public Integer getPayingNum() {
        return payingNum;
    }

    public void setPayingNum(Integer payingNum) {
        this.payingNum = payingNum;
    }

    public Integer getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(Integer checkNum) {
        this.checkNum = checkNum;
    }

	public Integer getNormalNum() {
		return normalNum;
	}

	public void setNormalNum(Integer normalNum) {
		this.normalNum = normalNum;
	}

	public Integer getBuyCloudTeacherNum() {
		return buyCloudTeacherNum;
	}

	public void setBuyCloudTeacherNum(Integer buyCloudTeacherNum) {
		this.buyCloudTeacherNum = buyCloudTeacherNum;
	}

	public Integer getCloudTeacherStudentNumOfApply() {
		return cloudTeacherStudentNumOfApply;
	}

	public void setCloudTeacherStudentNumOfApply(Integer cloudTeacherStudentNumOfApply) {
		this.cloudTeacherStudentNumOfApply = cloudTeacherStudentNumOfApply;
	}

	public Integer getNoCloudTeacherStudentNumOfNormal() {
		return noCloudTeacherStudentNumOfNormal;
	}

	public void setNoCloudTeacherStudentNumOfNormal(Integer noCloudTeacherStudentNumOfNormal) {
		this.noCloudTeacherStudentNumOfNormal = noCloudTeacherStudentNumOfNormal;
	}
}
