package com.ym.mec.biz.dal.dto;


import com.ym.mec.biz.dal.enums.ShareModeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @author 袁亮
 * @apiNote 课程修改分享方式模型模型
 */
@ApiModel(value = "课程修改分享方式模型模型")
@Data
@NoArgsConstructor
public class UpdateCourseShareModeDto {

    @ApiModelProperty("课程ID")
    private Long courseId;

    @ApiModelProperty("课程分享方式，OPEN:公开，PRIVATE：私密")
    private ShareModeEnum shareMode;
}
