package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class CloudTeacherStudent {

    @ApiModelProperty(value = "学生Id")
    private Integer studentId;

    @ApiModelProperty(value = "机构编号")
    private Integer tenantId;

    @ApiModelProperty(value = "团练宝订单Id")
    private Integer cloudTeacherOrderId;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "声部Id")
    private Integer subject;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty(value = "所属分部")
    private Integer organId;

    @ApiModelProperty(value = "所属分部")
    private String organName;

    @ApiModelProperty(value = "团练宝类型")
    private PeriodEnum type;

    @ApiModelProperty(value = "团练宝类型名称")
    private String typeName;

    @ApiModelProperty(value = "流水号")
    private String transNo;

    @ApiModelProperty(value = "订单号")
    private String orderNo;

    @ApiModelProperty(value = "订单时间")
    private String orderTime;

    @ApiModelProperty(value = "金额")
    private BigDecimal amount;

    @ApiModelProperty(value = "数量")
    private Integer time;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "操作人")
    private Integer operator;

    @ApiModelProperty(value = "操作人名称")
    private String operatorName;

    @ApiModelProperty(value = "操作时间")
    private Date operateTime;

    @ApiModelProperty(value = "取消原因")
    private String cancelReason;

    private Date createTime;
}
