package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(cooperation_share_profit):
 */
public class CooperationShareProfit {

	private Integer id;
	
	private Integer organId;
	
	private Integer cooperationId;
	
	private String musicGroupId;
	
	@ApiModelProperty(value = "乐器数量", required = false)
	private Integer musicalNum;
	
	@ApiModelProperty(value = "分润总额", required = false)
	private java.math.BigDecimal totalAmount;
	
	@ApiModelProperty(value = "付款状态PAID_COMPLETED(\"已缴费\"), NON_PAYMENT(\"未缴费\")", required = false)
	private String paymentStatus = "NON_PAYMENT";
	
	@ApiModelProperty(value = "交易流水号", required = false)
	private String paymentNo;
	
	@ApiModelProperty(value = "备注", required = false)
	private String memo;

	@ApiModelProperty(value = "凭证", required = false)
	private String credentials;
	
	private java.util.Date createTime;
	
	private java.util.Date updateTime;

	public String getCredentials() {
		return credentials;
	}

	public void setCredentials(String credentials) {
		this.credentials = credentials;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setCooperationId(Integer cooperationId){
		this.cooperationId = cooperationId;
	}
	
	public Integer getCooperationId(){
		return this.cooperationId;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setMusicalNum(Integer musicalNum){
		this.musicalNum = musicalNum;
	}
	
	public Integer getMusicalNum(){
		return this.musicalNum;
	}
			
	public void setTotalAmount(java.math.BigDecimal totalAmount){
		this.totalAmount = totalAmount;
	}
	
	public java.math.BigDecimal getTotalAmount(){
		return this.totalAmount;
	}
			
	public void setPaymentStatus(String paymentStatus){
		this.paymentStatus = paymentStatus;
	}
	
	public String getPaymentStatus(){
		return this.paymentStatus;
	}
			
	public void setPaymentNo(String paymentNo){
		this.paymentNo = paymentNo;
	}
	
	public String getPaymentNo(){
		return this.paymentNo;
	}
			
	public void setMemo(String memo){
		this.memo = memo;
	}
	
	public String getMemo(){
		return this.memo;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
