package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(course_convert_log):
 */
public class CourseConvertLog {

	private Integer id;
	
	@ApiModelProperty(value = "乐团编号")
	private String musicGroupId;

	@ApiModelProperty(value = "学员编号列表")
	private String studentIds;

	/** 转换前课程编号 */
	@ApiModelProperty(value = "转换前课程编号")
	private String oldCourseIds;
	
	/** 转换前班级编号 */
	@ApiModelProperty(value = "转换前班级编号")
	private Integer oldClassId;

	/** 转换前班级编号 */
	@ApiModelProperty(value = "转换前班级")
	private String oldClassName;
	
	@ApiModelProperty(value = "转换前课表")
	private String oldCourseJson;

	@ApiModelProperty(value = "转换前老师课酬")
	private String oldCourseTeacherSalaryJson;

	@ApiModelProperty(value = "转换前课程学员关联")
	private String oldCourseStudentMapperJson;
	
	/** 转换前的老师考勤记录 */
	@ApiModelProperty(value = "转换前的老师考勤记录")
	private String oldTeacherAttendanceJson;
	
	/** 转换后的课程编号 */
	@ApiModelProperty(value = "转换后的课程编号")
	private String newCourseIds;
	
	/** 转换后的班级编号 */
	@ApiModelProperty(value = "转换后的班级编号")
	private String newClassIds;

	@ApiModelProperty(value = "操作人")
	private Integer operator;

	@ApiModelProperty(value = "操作人")
	private String operatorName;

	@ApiModelProperty(value = "是否还原")
	private Boolean revokeFlag = false;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getOldClassName() {
		return oldClassName;
	}

	public void setOldClassName(String oldClassName) {
		this.oldClassName = oldClassName;
	}

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public String getStudentIds() {
		return studentIds;
	}

	public void setStudentIds(String studentIds) {
		this.studentIds = studentIds;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getOldCourseIds() {
		return oldCourseIds;
	}

	public void setOldCourseIds(String oldCourseIds) {
		this.oldCourseIds = oldCourseIds;
	}

	public Integer getOldClassId() {
		return oldClassId;
	}

	public void setOldClassId(Integer oldClassId) {
		this.oldClassId = oldClassId;
	}

	public String getOldCourseJson() {
		return oldCourseJson;
	}

	public void setOldCourseJson(String oldCourseJson) {
		this.oldCourseJson = oldCourseJson;
	}

	public String getOldCourseTeacherSalaryJson() {
		return oldCourseTeacherSalaryJson;
	}

	public void setOldCourseTeacherSalaryJson(String oldCourseTeacherSalaryJson) {
		this.oldCourseTeacherSalaryJson = oldCourseTeacherSalaryJson;
	}

	public String getOldCourseStudentMapperJson() {
		return oldCourseStudentMapperJson;
	}

	public void setOldCourseStudentMapperJson(String oldCourseStudentMapperJson) {
		this.oldCourseStudentMapperJson = oldCourseStudentMapperJson;
	}

	public String getOldTeacherAttendanceJson() {
		return oldTeacherAttendanceJson;
	}

	public void setOldTeacherAttendanceJson(String oldTeacherAttendanceJson) {
		this.oldTeacherAttendanceJson = oldTeacherAttendanceJson;
	}

	public String getNewCourseIds() {
		return newCourseIds;
	}

	public void setNewCourseIds(String newCourseIds) {
		this.newCourseIds = newCourseIds;
	}

	public String getNewClassIds() {
		return newClassIds;
	}

	public void setNewClassIds(String newClassIds) {
		this.newClassIds = newClassIds;
	}

	public Integer getOperator() {
		return operator;
	}

	public void setOperator(Integer operator) {
		this.operator = operator;
	}

	public Boolean getRevokeFlag() {
		return revokeFlag;
	}

	public void setRevokeFlag(Boolean revokeFlag) {
		this.revokeFlag = revokeFlag;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
