package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class MusicGroupPaymentCalenderBase extends BaseEntity {
    private long id;

    @ApiModelProperty(value = "数量", required = false)
    private BigDecimal num;

    @ApiModelProperty(value = "申请价格", required = false)
    private BigDecimal actualAmount;

    @ApiModelProperty(value = "原价", required = false)
    private BigDecimal originalAmount;

    @ApiModelProperty(value = "是否必选", required = false)
    private Boolean optionalFlag = false;

    @ApiModelProperty(value = "缴费项目编号", required = false)
    private Long calenderId;

    private Date createTime;

    private Date updateTime;
}
