package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

import java.util.List;

/**
 * 对应数据库表(questionnaire_topic):
 */
public class QuestionnaireTopic extends BaseEntity {

	/**  */
	private Integer id;
	
	/** 标题 */
	private String title;
	
	/** 发布状态（1-可见  0-不可见） */
	private int status = 0;

	/** 发布状态（是否可重复提交1是0否） */
	private int againCommitFlag = 0;

	/** 创建人编号 */
	private Integer creatorId;

	/** 是否需要登录（1是0否） */
	private Integer loginFlag = 1;

	/** 是否逐题提交（1逐题0一起提交） */
	private Integer commitType = 1;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	//需要删除的问卷题
	private List<Long> delQuestionnaireQuestionIdList;

	//问卷题目
	private List<QuestionnaireQuestion> questionnaireQuestionList;

	private Integer templateType;

	private Boolean modifyFlag = true;

	//分享标题
	private String shareTitle;

	//分享标题
	private String shareDescribe;

	public String getShareTitle() {
		return shareTitle;
	}

	public void setShareTitle(String shareTitle) {
		this.shareTitle = shareTitle;
	}

	public String getShareDescribe() {
		return shareDescribe;
	}

	public void setShareDescribe(String shareDescribe) {
		this.shareDescribe = shareDescribe;
	}

	public Boolean getModifyFlag() {
		return modifyFlag;
	}

	public void setModifyFlag(Boolean modifyFlag) {
		this.modifyFlag = modifyFlag;
	}

	public Integer getTemplateType() {
		return templateType;
	}

	public void setTemplateType(Integer templateType) {
		this.templateType = templateType;
	}

	public Integer getLoginFlag() {
		return loginFlag;
	}

	public void setLoginFlag(Integer loginFlag) {
		this.loginFlag = loginFlag;
	}

	public Integer getCommitType() {
		return commitType;
	}

	public void setCommitType(Integer commitType) {
		this.commitType = commitType;
	}

	public int getAgainCommitFlag() {
		return againCommitFlag;
	}

	public void setAgainCommitFlag(int againCommitFlag) {
		this.againCommitFlag = againCommitFlag;
	}

	public List<QuestionnaireQuestion> getQuestionnaireQuestionList() {
		return questionnaireQuestionList;
	}

	public List<Long> getDelQuestionnaireQuestionIdList() {
		return delQuestionnaireQuestionIdList;
	}

	public void setDelQuestionnaireQuestionIdList(List<Long> delQuestionnaireQuestionIdList) {
		this.delQuestionnaireQuestionIdList = delQuestionnaireQuestionIdList;
	}

	public void setQuestionnaireQuestionList(List<QuestionnaireQuestion> questionnaireQuestionList) {
		this.questionnaireQuestionList = questionnaireQuestionList;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}

	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public void setCreatorId(Integer creatorId){
		this.creatorId = creatorId;
	}
	
	public Integer getCreatorId(){
		return this.creatorId;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
