package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 学生订单收货地址
 * 2024-03-01 12:05:41
 */
@Data
@ApiModel(" StudentPaymentOrderAddress-学生订单收货地址")
@TableName("student_payment_order_address")
public class StudentPaymentOrderAddress implements Serializable {

    @ApiModelProperty("id") 
	    @TableId(value = "id_")
	    private Long id;

    @ApiModelProperty("订单号") 
	@TableField(value = "order_no_")
    private String orderNo;

    @ApiModelProperty("收货人") 
	@TableField(value = "contact_name_")
    private String contactName;

    @ApiModelProperty("收货人手机号") 
	@TableField(value = "contact_mobile_")
    private String contactMobile;

    @ApiModelProperty("详细地址") 
	@TableField(value = "address_")
    private String address;

    @ApiModelProperty("省") 
	@TableField(value = "province_id_")
    private Integer provinceId;

    @ApiModelProperty("市") 
	@TableField(value = "city_id_")
    private Integer cityId;

    @ApiModelProperty("县/街道") 
	@TableField(value = "county_id_")
    private Integer countyId;

}