package com.ym.mec.biz.dal.entity;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(sys_im_complaint):
 */
@Data
public class SysImComplaint extends BaseEntity {

	/**  */
	private Long id;
	
	/** 投诉对象类型 GROUP,PERSON*/
	private String type;
	
	/** 图片凭证 */
	private String url;
	
	/** 描述 */
	private String memo;
	
	/** 投诉人 */
	private Integer userId;
	
	/** 目标id */
	private String targetId;
	
	/** 处理人 */
	private Long operator;
	
	/** 处理时间 */
	private java.util.Date operatorTime;
	
	/** 处理状态0待处理，1已处理 */
	private Integer status;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
