package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value = "temp_director_training_camp-乐队指导训练营活动")
@Data
public class TempDirectorTrainingCamp implements Serializable {

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("name_")
    @ApiModelProperty(value = "活动名称")
    private String name;

    @TableField("apply_start_date_")
    @ApiModelProperty(value = "报名开始日期")
    private Date applyStartDate;

    @TableField("apply_end_date_")
    @ApiModelProperty(value = "报名结束日期")
    private Date applyEndDate;

    @TableField("bird_price_end_date_")
    @ApiModelProperty(value = "早鸟价截止日期")
    private Date birdPriceEndDate;

    @TableField("bird_price_")
    @ApiModelProperty(value = "早鸟价")
    private BigDecimal birdPrice;

    @TableField("current_price_")
    @ApiModelProperty(value = "优惠价")
    private BigDecimal currentPrice;

    @TableField("original_price_")
    @ApiModelProperty(value = "原价")
    private BigDecimal originalPrice;

    @TableField("status_")
    @ApiModelProperty(value = "未开始 NOT_START,报名中 APPLY,已结束 END ,不用，直接使用时间判断")
    private String status;

    @TableField("update_by_")
    @ApiModelProperty(value = "修改人")
    private Integer updateBy;

    @TableField("del_flag_")
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;
}

