package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-03-23
 */
@TableName("user_music_compare_camp_day_data")
@ApiModel(value = "UserMusicCompareCampDayData对象", description = "")
public class UserMusicCompareCampDayData implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @ApiModelProperty("用户编号 ")
    @TableField(value = "user_id_")
    private Integer userId;
    @ApiModelProperty("训练营id ")
    @TableField(value = "camp_id_")
    private Integer campId;
    @ApiModelProperty("日期 ")
    @TableField(value = "day_")
    private Date day;
    @ApiModelProperty("训练次数 ")
    @TableField(value = "train_num_")
    private Integer trainNum;
    @ApiModelProperty("训练时长 ")
    @TableField(value = "train_time_")
    private Float trainTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getCampId() {
        return campId;
    }

    public void setCampId(Integer campId) {
        this.campId = campId;
    }

    public Date getDay() {
        return day;
    }

    public void setDay(Date day) {
        this.day = day;
    }

    public Integer getTrainNum() {
        return trainNum;
    }

    public void setTrainNum(Integer trainNum) {
        this.trainNum = trainNum;
    }

    public Float getTrainTime() {
        return trainTime;
    }

    public void setTrainTime(Float trainTime) {
        this.trainTime = trainTime;
    }


}
