package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(vip_group_category):
 */
public class VipGroupCategory extends BaseEntity {

	/**  */
	private Integer id;
	
	@ApiModelProperty(value = "名称",required = false)
	private String name;

	@ApiModelProperty(value = "课程类型: VIP, LIVE", required = true)
	private String groupType;
	
	/**  */
	private String delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	@ApiModelProperty(value = "单节课时",required = false)
	private String singleClassMinutes;
	
	@ApiModelProperty(value = "学生数",required = false)
	private Integer studentNum;

	@ApiModelProperty(value = "线上课单价",required = false)
	private BigDecimal onlineClassesUnitPrice;

	@ApiModelProperty(value = "线下课单价",required = false)
	private BigDecimal offlineClassesUnitPrice;

	@ApiModelProperty(value = "是否小组课")
	private Boolean musicTheory = false;

	@ApiModelProperty("购买单价id")
	private Integer unitPriceId;

	public Boolean getMusicTheory() {
		return musicTheory;
	}

	public void setMusicTheory(Boolean musicTheory) {
		this.musicTheory = musicTheory;
	}

	public BigDecimal getOnlineClassesUnitPrice() {
		return onlineClassesUnitPrice;
	}

	public void setOnlineClassesUnitPrice(BigDecimal onlineClassesUnitPrice) {
		this.onlineClassesUnitPrice = onlineClassesUnitPrice;
	}

	public BigDecimal getOfflineClassesUnitPrice() {
		return offlineClassesUnitPrice;
	}

	public void setOfflineClassesUnitPrice(BigDecimal offlineClassesUnitPrice) {
		this.offlineClassesUnitPrice = offlineClassesUnitPrice;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setDelFlag(String delFlag){
		this.delFlag = delFlag;
	}
	
	public String getDelFlag(){
		return this.delFlag;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setSingleClassMinutes(String singleClassMinutes){
		this.singleClassMinutes = singleClassMinutes;
	}
	
	public String getSingleClassMinutes(){
		return this.singleClassMinutes;
	}
			
	public void setStudentNum(Integer studentNum){
		this.studentNum = studentNum;
	}
	
	public Integer getStudentNum(){
		return this.studentNum;
	}

	public String getGroupType() {
		return groupType;
	}

	public void setGroupType(String groupType) {
		this.groupType = groupType;
	}

	public Integer getUnitPriceId() {
		return unitPriceId;
	}

	public void setUnitPriceId(Integer unitPriceId) {
		this.unitPriceId = unitPriceId;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
