package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-04-04
 */
@Getter
public enum ELessonTrainingType implements BaseEnum<String, ELessonTrainingType> {

    /**
     * 课后练习
     */
    HOMEWORK( "课后练习"),


    /**
     * 课外练习
     */
    EXTRACURRICULAR( "课外练习"),

    /**
     * 额外练习
     */
    EXTRA( "额外练习"),

    /**
     * 评测
     */
    EVALUATION( "评测"),
    ;

    private String desc;

    @EnumValue
    private String code;

    ELessonTrainingType(String desc) {
        this.desc = desc;
        this.code = name();
    }



}
