package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum ESchoolActivityStatus implements BaseEnum<String, ESchoolActivityStatus> {

    // 活动状态 未开始 NOT_START 进行中 PROCESSING 已结束 END,
    NOT_START("NOT_START","未开始"),
    PROCESSING("PROCESSING","进行中"),
    END("END","已结束");

    @EnumValue
    private String code;

    private String msg;

    ESchoolActivityStatus(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
