package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum ESchoolActivityType implements BaseEnum<String, ESchoolActivityType> {

    // 活动类型 开放日 OPEN_DAY 汇演 PERFORMANCE 音乐会 CONCERT 比赛 COMPETITION 讲座 LECTURE 校庆 SCHOOL_DAY 迎宾 WELCOME 其他 OTHER
    OPEN_DAY("OPEN_DAY","开放日"),
    PERFORMANCE("PERFORMANCE","汇演"),
    CONCERT("CONCERT","音乐会"),
    COMPETITION("COMPETITION","比赛"),
    LECTURE("LECTURE","讲座"),
    SCHOOL_DAY("SCHOOL_DAY","校庆"),
    WELCOME("WELCOME","迎宾"),
    OTHER("OTHER","其他");

    @EnumValue
    private String code;

    private String msg;

    ESchoolActivityType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
