package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum HardLevelEnum implements BaseEnum<String, HardLevelEnum> {
	BEGINNER("BEGINNER","入门级"),
	ADVANCED("ADVANCED","进阶级"),
	PERFORMER("PERFORMER","大师级");

	private String code;

	private String desc;

	HardLevelEnum(String code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	@Override
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}
}
