package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;

public enum HumanCostTypeEnum implements BaseEnum<String, HumanCostTypeEnum> {
	FIXED("FIXED","固定人力成本"),
	VARIABLE("VARIABLE","变动人力成本"),
	NETWORK_CLASSROOM("NETWORK_CLASSROOM","网络教室成本"),
	CLOUD_COACHING_COST("CLOUD_COACHING_COST","云教练成本"),
	INTERNAL_SETTLEMENT("INTERNAL_SETTLEMENT","内部结算"),
	STUDENT_MANAGEMENT_FEE_ADJUSTMENT("STUDENT_MANAGEMENT_FEE_ADJUSTMENT","学员管理费调整"),
	COMMISSION("COMMISSION","手续费"),
	TAX("TAX","税费"),
	;

	@EnumValue
	private String code;

	private String msg;

	HumanCostTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
