package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

//职务类型（指导老师、教务老师、教学主管）
public enum JoinCourseType implements BaseEnum<String, JoinCourseType> {
    // 购买
    PURCHASE("PURCHASE", "购买"),

    // 分享
    SHARE("SHARE", "分享"),
    ;

	private String code;

	private String msg;

	JoinCourseType(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
