package com.ym.mec.biz.dal.enums.im;

/**
 * 常用定义
 * Created by Eric.Shang on 2022/11/4.
 */
public interface CK {

    // 手机号
    String EXP_MOBILE_NUMBER = "^((13[0-9])|(14(0|[5-7]|9))|(15([0-3]|[5-9]))|(16(2|[5-8]))|(17[0-8])|(18[0-9])|(19([0-3]|[5-9])))\\d{8}$";
    // 邮箱
    String EXP_EMAIL = "^(\\w+([-.][A-Za-z0-9]+)*){3,18}@\\w+([-.][A-Za-z0-9]+)*\\.\\w+([-.][A-Za-z0-9]+)*$\n";
    // 正型
    String EXP_INT = "^\\d+$";
    String EXP_JSON_A = "^\\[.?|.+\\]$";
    String EXP_JSON_O = "^\\{.?|.+\\}$";

    // 参数配置
    String PARAM_SMS_MAX_TIMES = "sms_max_times";
    // 参数配置
    String PARAM_SMS_RECENT_MINUTES = "sms_recent_minutes";
    // 密码前缀
    String PASSWORD_PREFIX = "yyszkt";

    // 时间格式化
    String FORMAT_YYYY_MM_DD = "yyyyMMdd";

    // IM用户ID格式
    String IM_USER_ID_FORMAT = "{0}_{1}";
    String IM_USER_LONG_ID_FORMAT = "{0}_{1}_{2}";
    // 用户ID分隔符
    String IM_USER_ID_SPLIT = "_";

}
