package com.ym.mec.biz.dal.enums.school;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.google.common.collect.Lists;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

@Getter
public enum EQuitGroupAuditStatusEnum implements BaseEnum<String, EQuitGroupAuditStatusEnum> {

	ING("待审核"),
	PASS("审核通过"),
	REJECT("拒绝"),
	;

	private final String describe;

	@EnumValue
	private final String code;

	EQuitGroupAuditStatusEnum(String describe) {
		this.describe = describe;

		this.code = this.name();
	}

	@Override
	public String getCode() {
		return this.name();
	}
}
