package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.CoursePatrolEvaluation;
import com.ym.mec.biz.dal.wrapper.CoursePatrolEvaluationWrapper;

/**
 * 巡堂详情
 * 2023-05-04 11:32:00
 */
@Repository
public interface CoursePatrolEvaluationMapper extends BaseMapper<CoursePatrolEvaluation> {

	/**
	 * 分页查询
	 * @param page IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluation>
	 * @param param CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery
	 * @return List<CoursePatrolEvaluationWrapper.CoursePatrolEvaluation>
	 */
	List<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationInfo> selectPage(@Param("page") IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationInfo> page, @Param("param") CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery param);

    IPage<CoursePatrolEvaluationWrapper.CoursePatrolEvaluationStat> pageStat(@Param("page") IPage<Object> page, @Param("param") CoursePatrolEvaluationWrapper.CoursePatrolEvaluationQuery query);
}