package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.dto.CourseScheduleDto;
import com.ym.mec.biz.dal.wrapper.LiveGroupWrapper;
import com.ym.mec.common.page.PageInfo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface LiveGroupPlusMapper extends BaseMapper<Object> {


    IPage<LiveGroupWrapper.LiveGroupStudentList> liveStudentList(@Param("page") IPage<LiveGroupWrapper.LiveGroupStudentList> page,
                                                                 @Param("param") LiveGroupWrapper.LiveGroupStudentQuery query);

    /**
     * 直播课课表
     */
    List<CourseScheduleDto> liveCoursePage(@Param("page") IPage<CourseScheduleDto> page, @Param("param") LiveGroupWrapper.LiveCoursePageQuery queryInfo);

    /**
     * 直播课详情
     *
     * @param courseScheduleId 课表id
     * @return
     */
    CourseScheduleDto detailLiveCourse(@Param("courseScheduleId") Long courseScheduleId);
}