package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.common.page.QueryInfo;

/**
 * @Author Joburgess
 * @Date 2019/12/27
 */
public class CourseScheduleSWQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "教师编号")
    private String teacherIdList;

    @ApiModelProperty(value = "课程创建开始时间")
    private Date createStartDate;
    
    @ApiModelProperty(value = "课程创建结束时间")
    private Date createEndDate;

    @ApiModelProperty(value = "课程状态")
    private String courseStatus;

    @ApiModelProperty(value = "上课模式")
    private String teachMode;

	public String getTeacherIdList() {
		return teacherIdList;
	}

	public void setTeacherIdList(String teacherIdList) {
		this.teacherIdList = teacherIdList;
	}

	public Date getCreateStartDate() {
		return createStartDate;
	}

	public void setCreateStartDate(Date createStartDate) {
		this.createStartDate = createStartDate;
	}

	public Date getCreateEndDate() {
		return createEndDate;
	}

	public void setCreateEndDate(Date createEndDate) {
		this.createEndDate = createEndDate;
	}

	public String getCourseStatus() {
		return courseStatus;
	}

	public void setCourseStatus(String courseStatus) {
		this.courseStatus = courseStatus;
	}

	public String getTeachMode() {
		return teachMode;
	}

	public void setTeachMode(String teachMode) {
		this.teachMode = teachMode;
	}

}
