package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class LessonExaminationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部编号")
    private String organId;

    @ApiModelProperty(value = "乐团编号")
    private String musicGroupId;

    @ApiModelProperty(value = "乐团编号列表")
    private List<String> musicGroupIds;

    @ApiModelProperty(value = "老师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "布置时间(年月)")
    private String startTime;

    @ApiModelProperty(value = "班级类型")
    private Integer subjectId;

    @ApiModelProperty(value = "测验是否截止")
    private Boolean expireFlag;

    private Long lessonExaminationId;
}
