package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.enums.CourseViewTypeEnum;
import com.ym.mec.common.page.QueryInfo;

public class OrganizationCourseUnitPriceSettingsQueryInfo extends QueryInfo {

	@ApiModelProperty(value = "分部编号", required = false)
	private Integer organId;

	@ApiModelProperty(value = "课程类型", required = false)
	private CourseScheduleType courseScheduleType;
	
	@ApiModelProperty(value = "收费模式",required = false)
	private CourseViewTypeEnum courseViewType;

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public CourseScheduleType getCourseScheduleType() {
		return courseScheduleType;
	}

	public void setCourseScheduleType(CourseScheduleType courseScheduleType) {
		this.courseScheduleType = courseScheduleType;
	}

	public CourseViewTypeEnum getCourseViewType() {
		return courseViewType;
	}

	public void setCourseViewType(CourseViewTypeEnum courseViewType) {
		this.courseViewType = courseViewType;
	}

}
