package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SellTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class SellOrderQueryInfo extends QueryInfo {

    private String organIdList;

    @ApiModelProperty(value = "商品名称",required = false)
    private String goodsName;

    @ApiModelProperty(value = "合作单位id",required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "销售类型",required = false)
    private SellTypeEnum type;

    @ApiModelProperty(value = "开始时间",required = false)
    private Date startTime;

    @ApiModelProperty(value = "结束时间",required = false)
    private Date endTime;

    @ApiModelProperty(value = "发货开始时间（年月日）",required = false)
    private String deliveryStartTime;

    @ApiModelProperty(value = "发货结束时间",required = false)
    private String deliveryEndTime;

    @ApiModelProperty(value = "用户名称或编号",required = false)
    private String userName;
}
