package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentLessonExaminationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "测验编号")
    private Long lessonExaminationId;

    @ApiModelProperty(value = "是否测验")
    private Boolean trainingFlag;

    @ApiModelProperty(value = "是否达标")
    private Boolean standardFlag;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;
}
