package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/9/8 0008
 */
public class SysCouponCodeQueryInfo extends QueryInfo {

    private Integer organId;

    private Integer userId;

    private String couponName;

    private Long paymentOrderId;

    private Integer usageStatus;

    /**
     * 0手动领取 1手动发放 2有paymentOrderId属于订单送券,交易获取
     */
    private Integer issueType;

    // 使用系统 MALL:商城  MEC:管乐迷
    private String useSystem;

    // 优惠券类型 详情-CouponDetailTypeEnum-枚举类 多个逗号隔开
    @ApiModelProperty("优惠券类型：OTHER：其他，MUSICAL：乐器 MAINTENANCE 乐保 ACCESSORIES 辅件 TEACHING 教材 " +
            "PRACTICE 网管课 SINGLE 声部课 MIX 合奏课 VIP:VIP LIVE:直播课 MEMBER:会员开通 FULLCOUPON:全类 MALLCOUPON:商城券")
    private String typeDetail;

    public String getTypeDetail() {
        return typeDetail;
    }

    public void setTypeDetail(String typeDetail) {
        this.typeDetail = typeDetail;
    }

    public String getUseSystem() {
        return useSystem;
    }

    public void setUseSystem(String useSystem) {
        this.useSystem = useSystem;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getCouponName() {
        return couponName;
    }

    public void setCouponName(String couponName) {
        this.couponName = couponName;
    }

    public Long getPaymentOrderId() {
        return paymentOrderId;
    }

    public void setPaymentOrderId(Long paymentOrderId) {
        this.paymentOrderId = paymentOrderId;
    }

    public Integer getUsageStatus() {
        return usageStatus;
    }

    public void setUsageStatus(Integer usageStatus) {
        this.usageStatus = usageStatus;
    }

    public Integer getIssueType() {
        return issueType;
    }

    public void setIssueType(Integer issueType) {
        this.issueType = issueType;
    }
}
