package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ClientTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SysExamSongQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "上传人",required = true)
    private Integer createUserId;

    @ApiModelProperty(value = "声部",required = true)
    private Integer subjectId;

    @ApiModelProperty(value = "声部",required = true)
    private String subjectIds;

    @ApiModelProperty(value = "类型",required = true)
    private String type;

    @ApiModelProperty(value = "曲库分类",required = true)
    private String categoriesId;
    
    private String filterCategoriesIds;
    
    private String categoriesIds;

    @ApiModelProperty(value = "是否收费",required = true)
    private Integer rankType;

    private Integer sysMusicScoreId;

    private Integer parentId;

    private Boolean isShowFingering;

    private ClientTypeEnum clientType;

    private List<Integer> categoriesIdList;

    private Integer showFlag;

    private Integer clientShowFlag;

    private Boolean clientFlag;

    private Boolean enable;

    private String organId;

    @ApiModelProperty("是否可转谱(0:否; 1:是)")
    private Boolean isConvertibleScore;

    @ApiModelProperty("谱面类型")
    private String scoreType;
}
