package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SuggestionType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Joburgess
 * @Date 2021/8/10 0010
 */
@Data
public class SysSuggestionQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "建议类型")
    private SuggestionType type;

    @ApiModelProperty(value = "反馈类型")
    private Integer suggestionType;

    @ApiModelProperty(value = "处理状态")
    private Boolean handleFlag;

    @ApiModelProperty(value = "是否处理")
    private Boolean disposeFlag;

    @ApiModelProperty(value = "是否需要反馈")
    private Boolean feedbackFlag;

    private String startTime;

    private String endTime;

    @ApiModelProperty(value = "客户端类型",required = false)
    private String clientType;

    private Integer userId;

    private String operatorSearch;
}
