package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/11
 */
@Data
public class VipGroupSalaryQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "vip课编号")
    private String vipGroupId;

    @ApiModelProperty(value = "部门编号")
    private Long organId;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "课类型")
    private String groupType = "VIP";
}
