package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.Optional;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
@Data
public class VipGroupTeachingRecordQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "vip课编号")
    private Long vipGroupId;

    @ApiModelProperty(value = "开始时间")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    private Date endTime;

    @ApiModelProperty(value = "vip课教学模式")
    private String teachMode;

    @ApiModelProperty(value = "vip课状态")
    private String status;

    @ApiModelProperty(value = "课类型")
    private String groupType = "VIP";
}
