package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.StudentAttendanceStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CourseStudentDto {
    @ApiModelProperty(value = "学员编号",required = false)
    private Integer studentId;

    @ApiModelProperty(value = "学员头像",required = false)
    private String studentAvatar;

    @ApiModelProperty(value = "是否会员",required = false)
    private Boolean memberFlag;

    @ApiModelProperty(value = "学员姓名",required = false)
    private String studentName;

    @ApiModelProperty(value = "考勤状态",required = false)
    private StudentAttendanceStatusEnum attendanceStatus;

    @ApiModelProperty(value = "课后评价是否达标",required = false)
    private Boolean qualifiedFlag;

    @ApiModelProperty(value = "课程状态",required = false)
    private CourseStatusEnum courseStatus;
}
