package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.entity.MusicGroupQuit;
import com.ym.mec.biz.dal.enums.school.EQuitGroupAuditStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class MusicGroupQuitDetailDto extends MusicGroupQuitPageDto{

    @ApiModelProperty(value = "审核原因",required = true)
    private String schoolStaffAuditReason;

    @ApiModelProperty(value = "学员退团原因",required = true)
    private String userComment;

    @ApiModelProperty(value = "学员编号",required = true)
    private MusicGroupQuit.ReasonEnum reasonEnum;

    private String musicGroupName;
}
