package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.enums.school.EQuitGroupAuditStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class MusicGroupQuitPageDto {

    @ApiModelProperty(value = "审核状态",required = true)
    private EQuitGroupAuditStatusEnum status;

    @ApiModelProperty(value = "提交时间",required = true)
    private Date createTime;

    @ApiModelProperty(value = "学员编号",required = true)
    private Integer studentId;

    @ApiModelProperty(value = "学员名称",required = true)
    private String studentName;

    @ApiModelProperty(value = "学员头像",required = true)
    private String studentAvatar;

    @ApiModelProperty(value = "声部",required = true)
    private Integer subjectId;

    @ApiModelProperty(value = "声部",required = true)
    private String subjectName;

    @ApiModelProperty(value = "退团id",required = true)
    private Long musicGroupQuitId;
}
