package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.entity.SysNewsInformation;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class NewsInformationDto {
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "封面图片")
    private String coverImage;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "子类型")
    private Integer subType;

    @ApiModelProperty(value = "链接地址")
    private String linkUrl;

    @ApiModelProperty(value = "跳转类型_bank,_slef")
    private String hrefTarget;

    @ApiModelProperty(value = "红点类型")
    private SysNewsInformation.ERedPointEnum redPoint;

    @ApiModelProperty(value = "是否有红点")
    private Boolean redPointFlag = false;
}
