package com.ym.mec.biz.dal.school.page;

import com.ym.mec.biz.dal.enums.school.EQuitGroupAuditStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class MusicGroupQuitQueryInfo  extends QueryInfo {

    @ApiModelProperty(value = "审核状态",required = true)
    private EQuitGroupAuditStatusEnum status;

    @ApiModelProperty(value = "合作单位编号",required = true)
    private Integer coopId;

    @ApiModelProperty(value = "乐团编号",required = false)
    private List<String> musicGroupIds;
}
