package com.ym.mec.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * IM群组请求
 * Created by Eric.Shang on 2023/5/24.
 */
@ApiModel(value = "ImGroupVo对象", description = "IM群组对象")
public class ImGroupVo implements Serializable {

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("GroupChangeOwner-群主转移")
    public static class GroupChangeOwner implements Serializable {

        @ApiModelProperty("群组编号")
        private String imGroupId;

        @ApiModelProperty("用户编号")
        private Integer userId;
    }
}
