package com.ym.mec.biz.dal.wrapper;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

public class MultiDataSourceHomeStatsWrapper {

    @Data
    public static class IncomeByDate{

        private BigDecimal totalAmount;

        private String date;
    }

    @Data
    public static class summerIncome{

        private String platform;

        private BigDecimal totalAmount;

        private List<IncomeByDate> incomeByDates;
    }

    @Data
    public static class QueryDto{

        private String startTime;

        private String endTime;

        private String organIds;

        private String groupBy;

        private String format;
    }
}
