package com.ym.mec.biz.dal.wrapper;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

public class MusicGroupPaymentCalenderAddressWrapper {


    @Data
    public static class MusicGroupPaymentCalenderAddress{
        @ApiModelProperty(value = "主键")
        private Long id;

        @ApiModelProperty(value = "缴费项目编号")
        private Long calenderId;

        @ApiModelProperty("订单编号")
        private String orderNo;

        @ApiModelProperty("是否发货")
        private Boolean deliveryFlag = false;

        @ApiModelProperty(value = "收货人")
        private String name;

        @ApiModelProperty(value = "收货人手机号")
        private String phone;

        @ApiModelProperty(value = "省")
        private String province;

        @ApiModelProperty(value = "市")
        private String city;

        @ApiModelProperty(value = "区")
        private String region;


        @ApiModelProperty(value = "省")
        private String provinceName;

        @ApiModelProperty(value = "市")
        private String cityName;

        @ApiModelProperty(value = "区")
        private String regionName;

        @ApiModelProperty(value = "邮编")
        private String postCode;

        @ApiModelProperty(value = "详细地址")
        private String address;

        @ApiModelProperty(value = "创建时间")
        private Date createTime;

        @ApiModelProperty(value = "更新时间")
        private Date updateTime;
    }
}
