package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.enums.ClientEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

public class UserInfoWrapper {


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("用户信息更新")
    public static class UpdateUser implements Serializable {

        @ApiModelProperty("IM设备ID")
        private String imDeviceId;


        @ApiModelProperty("用户ID")
        private Integer userId;

        @ApiModelProperty("用户类型")
        private ClientEnum client;

    }
}
