package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.ActivityPlanAddDto;
import com.ym.mec.biz.dal.entity.ActivityPlan;
import com.ym.mec.common.service.BaseService;
import org.springframework.stereotype.Service;

@Service
public interface ActivityPlanService extends BaseService<Integer, ActivityPlan> {

    /**
    * @description:
     * @param activityPlanAddDto
    * @author zx
    * @date 2021/9/26 15:09
    */
    void addActivityPlan(ActivityPlanAddDto activityPlanAddDto);

    /**
    * @description:
     * @param activityPlanAddDto
    * @return void
    * @author zx
    * @date 2021/9/26 15:25
    */
    void updateActivityPlan(ActivityPlanAddDto activityPlanAddDto);

    /**
    * @description:
     * @param id
    * @return void
    * @author zx
    * @date 2021/9/26 16:10
    */
    void deleteActivityPlan(Integer id);
}