package com.ym.mec.biz.service;


import com.ym.mec.biz.dal.entity.ChildrenDayDegreeInfo;

import com.ym.mec.common.service.BaseService;

import java.util.List;


public interface ChildrenDayDegreeInfoService extends BaseService<Integer, ChildrenDayDegreeInfo> {

    /**
     * 增加购买信息汇总
     * @param orderId
     * @return
     */
    ChildrenDayDegreeInfo addInfo(Long orderId);

    /**
     * 获取已付费的用户
     * @param userIds
     * @return
     */
    List<Integer> getPayedUser(List<Integer> userIds);

}
