package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.CloudCoachPaymentProgram;
import com.ym.mec.biz.dal.page.CloudCoachPaymentProgramQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;
import org.springframework.transaction.annotation.Transactional;

public interface CloudCoachPaymentProgramService extends BaseService<Long, CloudCoachPaymentProgram> {
    PageInfo<CloudCoachPaymentProgram> queryPage(CloudCoachPaymentProgramQueryInfo queryInfo);

    void add(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void auditPass(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void modify(CloudCoachPaymentProgram cloudCoachPaymentProgram);

    void audit(CloudCoachPaymentProgram cloudCoachPaymentProgram);
}