package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.CourseConvertLogDao;
import com.ym.mec.biz.dal.dto.CourseConvertDetailDto;
import com.ym.mec.biz.dal.dto.CourseConvertLogDto;
import com.ym.mec.biz.dal.entity.CourseConvertLog;
import com.ym.mec.biz.dal.entity.CourseScheduleStudentPayment;
import com.ym.mec.biz.dal.entity.CourseScheduleTeacherSalary;
import com.ym.mec.biz.dal.page.ConvertLogQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface CourseConvertLogService extends  BaseService<Integer, CourseConvertLog>{
    CourseConvertLogDao getDao();

    CourseConvertLog save(List<Long> oldCourseIdList, List<Integer> newClassGroupIds, List<Long> courseIdList,
              List<CourseScheduleTeacherSalary> teacherSalaries,
              List<CourseScheduleStudentPayment> studentPayments);

    PageInfo<CourseConvertLogDto> queryConvertPage(ConvertLogQueryInfo queryInfo);

    List<CourseConvertDetailDto> queryCourse(Integer courseConvertId);
}