package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.CourseHomeworkTemplate;
import com.ym.mec.biz.dal.page.CourseHomeWorkTemplateQueryInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface CourseHomeworkTemplateService extends BaseService<Integer, CourseHomeworkTemplate> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/16
     * @params [queryInfo]
     * @return java.util.List<com.ym.mec.biz.dal.entity.CourseHomeworkTemplate>
     * @describe 根据班级类型获取作业模板
     */
    List<CourseHomeworkTemplate> findByClassType(CourseHomeWorkTemplateQueryInfo queryInfo);

}