package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.CourseScheduleModifyLogDao;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.CourseScheduleModifyLog;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.common.service.BaseService;

public interface CourseScheduleModifyLogService extends BaseService<Integer, CourseScheduleModifyLog> {
    CourseScheduleModifyLogDao getDao();

    void pushSchoolCourseChange(long courseId);

    void pushSchoolCourseChange(CourseSchedule courseSchedule, MusicGroup musicGroup);

    void pushSchoolCourseChange(CourseSchedule courseSchedule);

    void pushSchoolCourseCreate(long courseId);

    void pushSchoolCourseCreate(CourseSchedule courseSchedule, MusicGroup musicGroup);

    void pushSchoolCourseCreate(CourseSchedule courseSchedule);
}