package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ExtracurricularExercisesMessage;
import com.ym.mec.biz.dal.page.StudentCourseHomeworkReplyQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface ExtracurricularExercisesMessageService extends BaseService<Long, ExtracurricularExercisesMessage> {

    /**
     * @describe 添加学生作业评论
     * @author Joburgess
     * @date 2020/3/26
     * @param extracurricularExercisesMessage:
     * @return void
     */
    void addStudentExtraExerciseComment(ExtracurricularExercisesMessage extracurricularExercisesMessage);



    /**
     * @describe 获取学生课外作业评论列表
     * @author Joburgess
     * @date 2020/3/26
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo
     */
    PageInfo findStudentExtraExerciseComments(StudentCourseHomeworkReplyQueryInfo queryInfo);

}
