package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.GoodsProcurement;
import com.ym.mec.biz.dal.page.GoodsProcurementQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface GoodsProcurementService extends BaseService<Long, GoodsProcurement> {

    /**
     * @describe 分页查询进货清单
     * @author Joburgess
     * @date 2020.10.09
     * @param queryInfo:
     * @return com.ym.mec.common.page.PageInfo<com.ym.mec.biz.dal.entity.GoodsProcurement>
     */
    PageInfo<GoodsProcurement> queryGoodsProcurements(GoodsProcurementQueryInfo queryInfo);

}
