package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.ImGroupMember;
import com.ym.mec.biz.dal.entity.ImGroupMemberPlus;

import java.util.List;

/**
 * 群成员表
 * 2023-08-29 17:18:04
 */
public interface ImGroupMemberPlusService extends IService<ImGroupMemberPlus>  {

	/**
     * 查询详情
     * @param id 详情ID
     * @return ImGroupMember
     */
    ImGroupMemberPlus detail(Long id);


    /**
     * 批量保存
     *
     * @param imGroupMemberEntity
     */
    void insertBatch(List<ImGroupMemberPlus> imGroupMemberEntity);
}