package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.ImGroupNoticeDao;
import com.ym.mec.biz.dal.dto.ImGroupNoticeDto;
import com.ym.mec.biz.dal.entity.ImGroupNotice;
import com.ym.mec.biz.dal.page.ImGroupNoticeQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface ImGroupNoticeService extends BaseService<Long, ImGroupNotice> {
	
	PageInfo<ImGroupNoticeDto> queryPage(ImGroupNoticeQueryInfo queryInfo);

	/**
	 * 查询最新的群公告
	 * @param imGroupId
	 * @return
	 */
	ImGroupNoticeDto queryLatestNotice(String imGroupId);

	void modify(ImGroupNotice imGroupNotice);

	ImGroupNoticeDao getDao();

    Long add(ImGroupNotice imGroupNotice);

	void del(Long id);

	ImGroupNoticeDto getNotice(Long id);
}