package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.ImLiveRoomVideoDao;
import com.ym.mec.biz.dal.entity.ImLiveRoomVideo;
import com.ym.mec.biz.dal.vo.ImLiveRoomVideoVo;

import java.util.List;
import java.util.Map;

/**
 * 直播视频记录(ImLiveRoomVideo)表服务接口
 *
 * @author hgw
 * @since 2022-03-07 19:06:55
 */
public interface ImLiveRoomVideoService extends IService<ImLiveRoomVideo> {

    ImLiveRoomVideoDao getDao();

    List<ImLiveRoomVideoVo> queryList(String roomUid);

    /**
     * 直播间的视频数
     *
     * @param roomIdList 直播间id
     */
    Map<String,Integer> queryRoomUidCountMap(List<String> roomIdList);
}

