package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.dto.HorseRaceLampDto;
import com.ym.mec.biz.dal.entity.LuckDrawPrize;
import com.ym.mec.common.service.BaseService;

public interface LuckDrawPrizeService extends BaseService<Integer, LuckDrawPrize> {
	
	/**
	 * 批量新增
	 * @param luckDrawPrizeList
	 * @return
	 */
	boolean batchInsert(List<LuckDrawPrize> luckDrawPrizeList);

	/**
	 * 抽奖
	 * @param userId 用户编号
	 * @param group 奖品组
	 * @return
	 */
	LuckDrawPrize draw(Long userId, int group);

	/**
	* @description: 获取双十一活动跑马灯
	 * @param groupId
	* @return java.util.List<com.ym.mec.biz.dal.dto.HorseRaceLampDto>
	* @author zx
	* @date 2021/10/19 15:33
	*/
    List<HorseRaceLampDto> queryHorseRaceLampDto(int groupId);
}
