package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.entity.MemberPrivilegesItem;
import com.ym.mec.biz.dal.entity.MemberRankPrivileges;
import com.ym.mec.common.service.BaseService;

public interface MemberRankPrivilegesService extends BaseService<Integer, MemberRankPrivileges> {

	/**
	 * 获取指定会员等级的特权项目（树状结构）
	 * @param memberRankId 会员等级编号
	 * @return
	 */
	List<MemberPrivilegesItem> queryByMemberRankId(Integer memberRankId);
}