package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.dto.MusicGroupDeliveryRecordDto;
import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.MusicGroupDeliveryRecord;
import com.ym.mec.biz.dal.page.MusicGroupDeliveryRecordQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface MusicGroupDeliveryRecordService extends BaseService<Long, MusicGroupDeliveryRecord> {
	
	PageInfo<MusicGroupDeliveryRecordDto> queryPage(MusicGroupDeliveryRecordQueryInfo queryInfo);

	/**
	 * 查询已发货清单
	 * @param musicGroupId
	 * @param deliveryBatchNo
	 * @return
	 */
	List<Goods> queryDeliveryList(String musicGroupId, String deliveryBatchNo);
}