package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ReplacementInstrumentCooperation;
import com.ym.mec.biz.dal.page.ReplacementInstrumentCooperationQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface ReplacementInstrumentCooperationService extends BaseService<Integer, ReplacementInstrumentCooperation> {

    /**
     * 开启缴费
     * @param cooperationId
     * @return
     */
    ReplacementInstrumentCooperation openPay(Integer cooperationId);

    /**
     * 获取合作单位乐器置换列表
     * @param queryInfo
     * @return
     */
    PageInfo<ReplacementInstrumentCooperation> getPageList(ReplacementInstrumentCooperationQueryInfo queryInfo);

    ReplacementInstrumentCooperation findByCooperationOrganIdAndTopicId(Integer cooperationOrganId, Integer topicId);
}