package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.SchoolIndexStatDto;
import com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper;

public interface SchoolIndexStatService{

    /**
    * @description: 学校首页统计
     * @param queryDto
    * @return com.ym.mec.biz.dal.dto.SchoolIndexStatDto
    * @author zx
    * @date 2023/5/12 10:57
    */
    SchoolIndexStatDto stat(SchoolIndexStatWrapper.QueryDto queryDto);

    /**
    * @description: 学员出勤统计
     * @param queryDto
    * @return com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper.StudentAttendance
    * @author zx
    * @date 2023/5/12 17:05
    */
    SchoolIndexStatWrapper.StudentAttendance attendanceStat(SchoolIndexStatWrapper.QueryDto queryDto);

    /**
    * @description: 学员练习统计
     * @param queryDto
    * @return com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper.StudentLesson
    * @author zx
    * @date 2023/5/12 17:05
    */
    SchoolIndexStatWrapper.StudentLesson lessonStat(SchoolIndexStatWrapper.QueryDto queryDto);
}
