package com.ym.mec.biz.service;


import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetWrapper;
import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.entity.SysMusicScore;
import com.ym.mec.biz.dal.entity.SysMusicScoreAccompaniment;
import com.ym.mec.biz.dal.page.SysExamSongQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;
import java.util.Map;

public interface SysMusicScoreAccompanimentService extends BaseService<String, SysMusicScoreAccompaniment> {

    List<SysMusicScoreAccompaniment> queryAll(SysExamSongQueryInfo queryInfo);

    SysMusicScoreAccompaniment initSysMusicScoreAccompaniment(CbsMusicSheetWrapper.MusicSheetAccApplication musicSheetApplication);

    List<SysMusicScoreAccompaniment> queryAccPage(SysExamSongQueryInfo queryInfo);

    List<SysMusicScoreAccompaniment> queryAccPage(List<Integer> musicSheetIds,List<CbsMusicSheetWrapper.MusicSheetApplication> applications);

    List<SysMusicScoreAccompaniment> queryAccPage(Map<String, Object> params);

    List<Subject> querySubjectIds(Integer categoriesId);

    PageInfo<SysMusicScoreAccompaniment> queryScorePage(SysExamSongQueryInfo queryInfo);
}