package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.SysNewsInformationDao;
import com.ym.mec.biz.dal.entity.SysNewsInformation;
import com.ym.mec.biz.dal.school.dto.NewsInformationDto;
import com.ym.mec.common.exception.BizException;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

/**
 * 新闻资讯表(SysNewsInformation)表服务接口
 *
 * @author zx
 * @since 2023-05-11 16:08:27
 */
public interface SysNewsInformationService extends IService<SysNewsInformation> {

    SysNewsInformationDao getDao();

    List<NewsInformationDto> queryPage(Integer type,Integer coopId) throws Exception;
}

