package com.ym.mec.biz.service;

import java.util.Date;
import java.util.List;

import com.ym.mec.biz.dal.entity.TeacherDefaultPracticeGroupSalary;
import com.ym.mec.common.service.BaseService;

public interface TeacherDefaultPracticeGroupSalaryService extends BaseService<Long, TeacherDefaultPracticeGroupSalary> {

	/**
	 * 查询指定老师的默认课酬
	 * @param userId
	 * @return
	 */
	List<TeacherDefaultPracticeGroupSalary> queryByUserId(Integer userId);

	/**
	 * 批量设置课酬
	 * @param teacherDefaultPracticeGroupSalaryList
	 * @param startDate
	 * @return
	 */
	boolean update(List<TeacherDefaultPracticeGroupSalary> teacherDefaultPracticeGroupSalaryList, Date startDate);
}