package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.TeacherDefaultVipGroupSalary;
import com.ym.mec.common.service.BaseService;

import java.util.Date;
import java.util.List;

public interface TeacherDefaultVipGroupSalaryService extends BaseService<Long, TeacherDefaultVipGroupSalary> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/9
     * @params [userId, categoryId]
     * @return com.ym.mec.biz.dal.entity.TeacherDefaultVipGroupSalary
     * @describe 根据用户及课程类型获取教师默认vip课酬
     */
    TeacherDefaultVipGroupSalary findByTeacherAndCategory(Integer userId, Integer categoryId);

    /**
     * 批量新增修改教师vip课酬设置
     * @param teacherDefaultVipGroupSalaries
     * @param startDate
     */
    void upSet(List<TeacherDefaultVipGroupSalary> teacherDefaultVipGroupSalaries, Date startDate);
}