package com.ym.mec.biz.service;

import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.entity.TempTest;
import com.ym.mec.common.service.BaseService;

public interface TempTestService extends BaseService<Long, TempTest> {

	/**
	 * 根据手机号码、身份证、姓名查询用户编号
	 * @param mobile
	 * @param idCard
	 * @param realName
	 * @return
	 */
	Integer queryUserId(String mobile, String idCard, String realName);
	
	/**
	 * 业务逻辑处理
	 * @param datas
	 * @return
	 */
	boolean processBiz(List<Map<String, Object>> datas);
	
	/**
	 * 业务逻辑处理
	 * @param datas
	 * @return
	 */
	boolean processBiz1(List<Map<String, Object>> datas);
}