package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.entity.TenantAssetsInfo;
import com.ym.mec.biz.dal.entity.VipGroup;

import java.math.BigDecimal;
import java.util.List;

/**
 * 机构资产信息(TenantAssetsInfo)表服务接口
 *
 * @author hgw
 * @since 2021-12-22 14:27:02
 */
public interface TenantAssetsInfoService extends IService<TenantAssetsInfo> {

    void manualDeductAmount(List<Integer> ids);

    void deductAmount(List<CourseSchedule> dto);

    int updateAmount(int tenantId, BigDecimal amount);
}

