package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.TenantCloudCourseRecord;
import com.ym.mec.biz.dal.vo.TenantCloudCourseRecordVo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * 机构云教室课程扣费记录(TenantCloudCourseRecord)表服务接口
 *
 * @author hgw
 * @since 2021-12-26 21:54:10
 */
public interface TenantCloudCourseRecordService extends IService<TenantCloudCourseRecord> {

    PageInfo<TenantCloudCourseRecordVo> queryPage(Map<String,Object> param);

    List<TenantCloudCourseRecordVo> queryList(Map<String, Object> param);

}

