package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesUnitPrice;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;

public interface VipGroupDefaultClassesUnitPriceService extends BaseService<Integer, VipGroupDefaultClassesUnitPrice> {

    /**
    * @description: 获取课程价格
     * @param organId
     * @param courseNum
    * @return java.math.BigDecimal
    * @author zx
    * @date 2022/10/9 15:56
    */
    BigDecimal getAmount(Integer categoryId,Integer organId, BigDecimal courseNum);
}