package com.ym.mec.biz.service;

/**
 * Created by Eric.Shang on 2022/10/31.
 */
public interface WsConnectService {

    /**
     * 保存用户ws连接记录信息
     * @param sessionId 会话ID
     * @param roomId 房间ID
     * @param userid 用户ID
     * @param clientType 客户端类型
     * @return int
     */
    int saveWsConnectRecordInfo(String sessionId, String roomId, String userid, String clientType);

    /**
     * 更新用户ws连接断开时间
     * @param roomId 房间ID
     * @param userId 用户
     * @param clientType 客户端类型
     * @return int
     */
    int updateWsDisconnectRecordInfo(String sessionId, String roomId, String userId, String clientType);
}
