package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.ClassGroupRelationDao;
import com.ym.mec.biz.dal.entity.ClassGroupRelation;
import com.ym.mec.biz.service.ClassGroupRelationService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.util.List;

@Service
public class ClassGroupRelationServiceImpl extends BaseServiceImpl<Integer, ClassGroupRelation>  implements ClassGroupRelationService {
	
	@Autowired
	private ClassGroupRelationDao classGroupRelationDao;

	@Override
	public BaseDAO<Integer, ClassGroupRelation> getDAO() {
		return classGroupRelationDao;
	}

    @Override
    public int classGroupRelationsInsert(List<ClassGroupRelation> classGroupRelationList) {
		return classGroupRelationDao.classGroupRelationsInsert(classGroupRelationList);
    }

    @Override
    public ClassGroupRelation findClassGroupRelation(Integer subClassGroupId) {
	    return classGroupRelationDao.findClassGroupRelation(subClassGroupId);
    }
}