package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.ClassGroupTeacherSalaryDao;
import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;
import com.ym.mec.biz.service.ClassGroupTeacherSalaryService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ClassGroupTeacherSalaryServiceImpl extends BaseServiceImpl<Long, ClassGroupTeacherSalary> implements ClassGroupTeacherSalaryService {

    @Autowired
    private ClassGroupTeacherSalaryDao ClassGroupTeacherSalaryDao;

    @Override
    public BaseDAO<Long, ClassGroupTeacherSalary> getDAO() {
        return ClassGroupTeacherSalaryDao;
    }


    @Override
    public List<ClassGroupTeacherSalary> findByMusicGroupId(String musicGroupId) {
        return ClassGroupTeacherSalaryDao.findByMusicGroupId(musicGroupId);
    }
}