package com.ym.mec.biz.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.CooperationOrganLinkmanDao;
import com.ym.mec.biz.dal.entity.CooperationOrganLinkman;
import com.ym.mec.biz.service.CooperationOrganLinkmanService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class CooperationOrganLinkmanServiceImpl extends BaseServiceImpl<Integer, CooperationOrganLinkman>  implements CooperationOrganLinkmanService {
	
	@Autowired
	private CooperationOrganLinkmanDao cooperationOrganLinkmanDao;

	@Override
	public BaseDAO<Integer, CooperationOrganLinkman> getDAO() {
		return cooperationOrganLinkmanDao;
	}

	@Override
	public List<CooperationOrganLinkman> queryByCooperationOrganId(Integer cooperationOrganId) {
		return cooperationOrganLinkmanDao.queryByCooperationOrganId(cooperationOrganId);
	}
	
}