package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.EmployeeInfoDao;
import com.ym.mec.biz.dal.dto.EmployeeInfoDto;
import com.ym.mec.biz.dal.entity.EmployeeInfo;
import com.ym.mec.biz.service.EmployeeInfoService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class EmployeeInfoServiceImpl extends BaseServiceImpl<Long, EmployeeInfo>  implements EmployeeInfoService {

	@Autowired
	private EmployeeInfoDao employeeInfoDao;

	@Override
	public BaseDAO<Long, EmployeeInfo> getDAO() {
		return employeeInfoDao;
	}

	@Override
	public EmployeeInfoDto queryDetail(Long id) {
		return employeeInfoDao.queryDetail(id);
	}

    @Override
    public EmployeeInfo findByPhone(String mobileNo) {
		return employeeInfoDao.findByPhone(mobileNo);
    }

}