package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.ExtensionOrderDao;
import com.ym.mec.biz.dal.entity.ExtensionOrder;
import com.ym.mec.biz.service.ExtensionOrderService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class ExtensionOrderServiceImpl extends BaseServiceImpl<Long, ExtensionOrder>  implements ExtensionOrderService {
	
	@Autowired
	private ExtensionOrderDao extensionOrderDao;

	@Override
	public BaseDAO<Long, ExtensionOrder> getDAO() {
		return extensionOrderDao;
	}
	
}