package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.entity.GoodsSub;
import com.ym.mec.biz.dal.mapper.GoodsSubMapper;
import com.ym.mec.biz.service.GoodsSubService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 组合商品，子商品信息
 * 2024-02-26 15:42:42
 */
@Slf4j
@Service
public class GoodsSubServiceImpl extends ServiceImpl<GoodsSubMapper, GoodsSub> implements GoodsSubService {

    @Override
    public GoodsSubMapper getBaseMapper() {
        return baseMapper;
    }

}