package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.HumanCostDao;
import com.ym.mec.biz.dal.entity.HumanCost;
import com.ym.mec.biz.service.HumanCostService;
import org.springframework.stereotype.Service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 人力资源成本(HumanCost)表服务实现类
 *
 * @author zx
 * @since 2023-04-17 15:31:32
 */
@Service("humanCostService")
public class HumanCostServiceImpl extends ServiceImpl<HumanCostDao, HumanCost> implements HumanCostService {

    private final static Logger log = LoggerFactory.getLogger(HumanCostServiceImpl.class);

    @Override
    public HumanCostDao getDao(){
            return this.baseMapper;
    }

}

