package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.ManagerDownloadDao;
import com.ym.mec.biz.dal.entity.ManagerDownload;
import com.ym.mec.biz.service.ManagerDownloadService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ManagerDownloadServiceImpl extends BaseServiceImpl<Integer, ManagerDownload> implements ManagerDownloadService {

    @Autowired
    private ManagerDownloadDao managerDownloadDao;

    @Override
    public BaseDAO<Integer, ManagerDownload> getDAO() {
        return managerDownloadDao;
    }

    @Override
    public void batchDel(String ids) {
        managerDownloadDao.batchDel(ids);
    }
}
