package com.ym.mec.biz.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.MusicGroupBuildLogDao;
import com.ym.mec.biz.dal.entity.MusicGroupBuildLog;
import com.ym.mec.biz.service.MusicGroupBuildLogService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

import java.util.List;

@Service
public class MusicGroupBuildLogServiceImpl extends BaseServiceImpl<Integer, MusicGroupBuildLog>  implements MusicGroupBuildLogService {
	
	@Autowired
	private MusicGroupBuildLogDao musicGroupBuildLogDao;

	@Override
	public BaseDAO<Integer, MusicGroupBuildLog> getDAO() {
		return musicGroupBuildLogDao;
	}

	@Override
	public List<MusicGroupBuildLog> findById(String musicGroupId) {
		return musicGroupBuildLogDao.findById(musicGroupId);
	}
}