package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.SysMessageConfigDao;
import com.ym.mec.biz.dal.entity.SysMessageConfig;
import com.ym.mec.biz.dal.enums.MessageTypeEnum;
import com.ym.mec.biz.service.SysMessageConfigService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SysMessageConfigServiceImpl extends BaseServiceImpl<Integer, SysMessageConfig>  implements SysMessageConfigService {
	
	@Autowired
	private SysMessageConfigDao sysMessageConfigDao;

	@Override
	public BaseDAO<Integer, SysMessageConfig> getDAO() {
		return sysMessageConfigDao;
	}

	@Override
	public SysMessageConfig queryByType(MessageTypeEnum type) {
		return sysMessageConfigDao.queryByType(type.getCode());
	}
	
}