package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.TenantProxyUserRelationDao;
import com.ym.mec.biz.dal.entity.TenantProxyUserRelation;
import com.ym.mec.biz.service.TenantProxyUserRelationService;
import org.springframework.stereotype.Service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 机构代理商人员关系表(TenantProxyUserRelation)表服务实现类
 *
 * @author hgw
 * @since 2022-04-22 14:08:22
 */
@Service("tenantProxyUserRelationService")
public class TenantProxyUserRelationServiceImpl extends ServiceImpl<TenantProxyUserRelationDao, TenantProxyUserRelation> implements TenantProxyUserRelationService {

    private final static Logger log = LoggerFactory.getLogger(TenantProxyUserRelationServiceImpl.class);

    @Override
    public TenantProxyUserRelationDao getDao() {
        return this.baseMapper;
    }

}

