<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, viewport-fit=cover" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Cache-Control" content="no-cache" />
    <meta http-equiv="Expires" content="0" />
    <title>乐器借用协议</title>
    <style>
        body { margin: 0; }
        header {
            height: 40px;
            line-height: .40px;
            color: #000;
            font-size: 17px;
            background: #fff;
            box-shadow: 0px 1px 8px 0px rgba(0, 0, 0, 0.07);
            text-align: center;
        }
        header .back {
            width: 20px;
            height: 20px;
            position: absolute;
            left: 12px;
            top: 10px;
        }
        .container {
            padding: 22px 20px 3px;
            font-size: 14px;
        }
        h1 {
            font-size: 16px;
            text-align: center;
        }
        h2 {
            font-size: 16px;
            font-weight: bold;
            padding-top: 15px;
        }
        h3 {
            font-size: 14px;
            font-weight: bold;
        }
        .signature {
            padding-top: 50px;
        }
        .signature .sign {
            position: relative;
            width: 49%;
            display: inline-block;
        }
        .signature span {
            display: block;
        }
        .signature .cachet {
            position: absolute;
            top: -60px;
            left: 0;
            width: 150px;
            height: 150px;
        }
        .iInfo {
            display: flex;
        }
        .iInfo span {
            flex: 1;
        }
        .iInfoContent, .iInfoContent span {
            display: block;
        }
    </style>
</head>
<body style="font-family:'SimSun'">
    <div class="container">
        <h1>《乐器借用协议》</h1>
        <#if ownershipType == 'OWN'>
        甲方：深圳大雅乐盟网络教育股份有限公司 <br/>
        <#else>
        甲方：武汉长乐长风乐器销售有限公司 <br/>
        </#if>        
        <div style="display: flex;">乙方：
            <div style="flex: 1 auto;">
                <div class="iInfo">
                    <span>家长姓名： ${studentInfo.realName!}</span>
                    <span>电话： ${studentInfo.phone!}</span>
                </div>
                <div class="iInfo">
                    <span>身份证号：${studentInfo.idCardNo!}</span>
                </div>
                <div class="iInfo">
                    <span>学生姓名：${studentInfo.username!}</span>
                </div>
                <#if studentInfo.grade?default("")?trim?length gt 1>
                <div class="iInfo">
                    <span>所在班级：${studentInfo.grade!} ${studentInfo.clazz!}</span>
                </div>
                </#if>
                <#if studentInfo.subject.name?default("")?trim?length gt 1>
                <div class="iInfo">
                    <span>所在声部：${studentInfo.subject.name!}</span>
                </div>
                </#if>
            </div>
        </div>                     
        
        为了促进学校乐团健康、持续发展，让更多的学生在校园拥有良好的器乐学习机会，甲方基于公益普惠的原则，决定提供价值${goodsList[0].marketPrice?string("0.00")}元的KEY品牌全新乐器供乙方在学校乐团期间免费使用。现根据《中华人民共和国合同法》等法律法规规定，为明确甲乙双方权利义务，经协商一致，就乙方借用乐器事宜达成如下协议：
        <h2>一、甲方权利与义务：</h2>
1、乙方所借用的乐器为甲方资产，乐器所有权归属甲方所有，甲方有权在必要时向乙方收回借用乐器并退还押金。<br/>
2、甲方所提供乐器为全新的KEY品牌乐器。在乙方签订本协议、交纳乐器使用押金后，甲方即将乐器交付给乙方供其在学校乐团期间免费使用。<br/>
        3、乙方归还乐器时，双方当面当场验收，经甲方维修技师检验确认乐器无人为损坏、可正常使用后，甲方在七个工作日内全额不计息退还乙方已交纳的押金。<br/>
        4、如乙方已购买甲方乐器维护服务，甲方需在乙方借用期间协助乙方处理乐器维修和保养问题。
        <h2>二、乙方权利与义务：</h2>
        1、乙方在签订本协议、交纳乐器使用押金￥${depositFee?string("0.00")}元（大写人民币${depositFeeFmt}）后，享有所借用乐器在学校乐团期间的免费使用权。乙方应当爱惜乐器并妥善保管，不得将该乐器转租、借用、出售、典当、质押或抵押，也不得将乐器交于非专业人士使用。乐器借用政策，每位团员仅可享受一次，退团后再次加入乐团的，将无法享受乐器借用政策。<br/>
        2、乐器日常维护由乙方自行完成，每次练习完毕后需按老师要求对乐器进行擦拭并装箱保管。如因人为原因（包括但不限于磕、碰、摔等）造成乐器损坏的，乙方需自行承担维修费用；如因非甲方原因导致乐器无法正常使用（正常使用磨损除外）或乐器毁损、灭失、遗失的，乙方须按本协议中明示的乐器价格进行赔付。<br/>
        3、当乙方决定不再继续乐团学习时，应在退团之日起1日内将其借用的乐器归还甲方，双方当面当场验收，经甲方维修技师检验确认乐器无人为损坏、可正常使用后，乙方可按照本协议约定获得已交纳的押金；经甲方维修技师检验，乐器存在损坏的，乙方应承担相应的维修费用，如乐器已经无法正常使用的，乙方须按本协议中明示的乐器团购价格进行赔付，甲方有权从应退还乙方的押金中先行扣除维修费用、赔付费用，如甲方扣除押金后仍然不足以弥补维修费用、赔付费用的，甲方有权继续要求乙方支付剩余费用。<br/>
        4、乙方终止乐团学习2个月内，仍未将乐器归还给甲方的，则视为乙方违约，乙方所交押金甲方有权不予退还，同时乙方须按乐器价格进行赔付。
        <h2>三、乐器标准：</h2> 
        <div class="iInfo">
            <span>名称：<#if (goodsList?size > 0)> ${goodsList[0].name} </#if></span>
            <span>品牌：<#if (goodsList?size > 0)> ${goodsList[0].brand} </#if></span>  
        </div>
        <div class="iInfo">
            <span>型号：<#if (goodsList?size > 0)> ${goodsList[0].specification} </#if></span>
            <span>乐器价格：<#if (goodsList?size > 0)> ${goodsList[0].groupPurchasePrice?string("0.00")}元 </#if></span>
        </div>

        <h2>四、违约责任</h2>  
        1、当事人一方不履行合同义务或者履行合同义务不符合约定的，均构成违约，守约方有权以书面通知的方式要求违约方纠正其违约行为并采取及时、有效的补救措施消除违约后果，并赔偿守约方因违约方之违约行为而遭致的损失。若违约方在收到守约方的上述通知后5日内未纠正其违约行为的，守约方有权在做出书面通知的情况下，单方解除本协议，违约方应赔偿守约方因此遭致的全部损失。<br/>
        2、乙方应始终维护甲方的知识产权以及品牌形象，本协议期间以及本协议因任何原因失效、被撤销、解除或终止后，均不得直接或间接通过任何公众媒体（包括但不限于传统大众媒体，以及微信、微博、博客、直播平台等社交平台）发表损害甲方（包括但不限于其产品、服务或甲方授课老师）声誉的言论或实施任何类似行为，否则乙方应赔偿甲方因此遭受的全部损失。
        <h2>五、保密条款</h2>
        1、双方对本协议的条款、本协议的签订及履行情况以及通过签订和履行本协议而获知的对方及对方关联公司的任何信息均负有保密义务。任何一方不得以任何形式透露给第三方（有关法律法规要求和甲乙双方的法律、会计顾问、授权雇员除外），也不得擅自使用。
        2、本保密义务期限不受本协议期限的限制。本协议失效、被撤销、解除或终止等任何情况下，双方均应遵守本保密义务。
        <h2>六、不可抗力</h2>
        1、一方遇到不可抗力事件（指甲乙双方无法控制、无法预见或即使预见也无法避免的事件，该事件妨碍、影响或延误任何一方履行本协议的全部或部分义务，该事件包括但不限于自然灾害（如水灾、地震等）、火灾、政府行为、法律或政策变化（含学校合作变化）、战争或其他任何类似事件）时，受影响方应当立即书面通知对方，并告知该不可抗力事件对本协议可能产生的影响，并在该不可抗力事件发生后5日内向对方提供该事件的详细信息及由有关机构出具的解释受影响方因此无法履行本协议项下全部或部分义务的相关证明。<br/>
        2、由于上述不可抗力事件致使受影响方无法履行或无法按时履行本协议项下全部或部分义务的，双方于彼此间均不承担违约责任，但双方应在相互信任的基础上协商解决，尽力减少不可抗力事件对本协议的影响，并采取合理方式进行调整（包括但不限于另行签订补充协议等），尽量避免损失的扩大。<br/>
        3、不可抗力事件消失或结束后，除双方另行协商一致外，受到不可抗力影响的一方应当立即采取措施继续履行本协议，如不可抗力事件持续30日以上的，则任何一方有权以书面通知对方的方式单方解除本协议。
        <h2>七、适用法律及争议解决方式</h2>
        1、本协议的订立、效力、履行、解释及争议解决均适用中华人民共和国法律。<br/>
        2、因履行本协议发生的一切争议，甲乙双方应友好协商解决；如双方在发生争议后30日内无法通过协商解决时，任何一方有权向甲方所在地有管辖权的人民法院提起诉讼解决。
        <h2>八、其他</h2>
        1、本协议自双方按照本协议约定方式签署之日起生效，有效期至双方履行完本协议约定的全部义务时止。<br/>
        2、双方确认并同意，本协议的电子版本与纸质版本具有同等法律效力。双方发生争议时，电子合同打印件可作为证据提交。双方通过网络以在线方式签订本协议的 ，则以乙方点击“确认”或“同意”等相关按钮或以电子签名的方式作为对合同内容的同意、确认以及本协议的签署；如双方签订纸质版本协议的，则本协议壹式贰份，甲方盖公章或合同专用章并且乙方签字作为有效签署方式，并且双方各执壹份，每份具有同等法律效力。<br/>
        3、本协议未尽事宜或对本协议的任何修改、补充，由双方另行协商后以签订补充协议的方式解决，补充协议与本协议具有同等法律效力；双方没有约定也没有协商一致的，遵照相关法律法规规定执行。<br/>
        4、双方因履行本协议而相互发出或者提供的所有通知、文件、资料，均以本协议中所列明的电话、APP推送消息送达，乙方如果变更电话号码的，应当自变更后1日内通知甲方且获得甲方确认，甲方通过电话、APP方式无法联系乙方或者甲方认为必要时，甲方也可以通过特快专递至乙方住址的方式向乙方发出上述任何通知、文件、资料等，并在甲方寄出特快专递后第5日视为送达成功。
        <div class="signature">
        	<#if isShowVisualSeal>
        	<#if ownershipType == 'OWN'>
            <div class="sign">甲方签章：深圳大雅乐盟网络教育股份有限公司<img class="cachet" src="https://oss.dayaedu.com/website/cachet.png" alt="" />
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            <#else>
            <div class="sign">甲方签章：武汉长乐长风乐器销售有限公司<img class="cachet" src="https://oss.dayaedu.com/website/clcf.png" alt="" />
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            </#if>
            <div class="sign">乙方签字：${studentInfo.realName!}
                <span>日期：${.now?string("yyyy年MM月dd日")} </span>
            </div>
        	<#else>
        	<#if ownershipType == 'OWN'>
            <div class="sign">甲方签章：深圳大雅乐盟网络教育股份有限公司
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            <#else>
            <div class="sign">甲方签章：武汉长乐长风乐器销售有限公司
                <span>日期：${.now?string("yyyy年MM月dd日")}</span>
            </div>
            </#if>
            <div class="sign">乙方签章：
                <span>日期：${.now?string("yyyy年MM月dd日")} </span>
            </div>
            </#if>
        </div>
    </div>
</body>
</html>