package com.ym.mec.cms.task;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import com.ym.mec.cms.task.fallback.CmsTaskRemoteServiceFallback;
import com.ym.mec.common.config.FeignConfiguration;

@FeignClient(name = "cms-server", contextId = "CmsTaskRemoteService", configuration = { FeignConfiguration.class }, fallback = CmsTaskRemoteServiceFallback.class)
public interface CmsTaskRemoteService {

	@GetMapping(value = "task/updateStatus")
	// 自动更新状态
	public void updateStatusTask();

}
