package com.ym.mec.mall.fallback;

import com.ym.mec.common.api.CommonResult;
import com.ym.mec.common.dto.*;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.mall.MallFeignService;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class MallFeignServiceFallback implements MallFeignService {


    @Override
    public PageInfo<PmsProductDto> getProductList(PmsProductQueryParamDto productQueryParam) {
        return null;
    }

    @Override
    public CommonResult<Boolean> productOrderCreate(OrderCreate order) {
        return null;
    }

    /**
     * 查询商品订单状态
     *
     * @param orderNo 订单编号
     * @param status 订单状态
     */
    @Override
    public CommonResult<Boolean> productUpdateOrderStatus(String orderNo, Integer status) {
        return null;
    }

    @Override
    public List<BrandDto> getList() {
        return null;
    }

    @Override
    public List<ProductCategoryDto> listWithChildren() {
        return null;
    }

    @Override
    public List<ProductAttributeCategoryDto> getProductAttributeCategoryList() {
        return null;
    }

    @Override
    public CommonResult<Boolean> returnApply(ReturnApplyDto returnApplyDto) {
        return null;
    }


}
