package com.ym.mec.web.fallback;

import com.ym.mec.common.dto.SchoolDto;
import com.ym.mec.common.entity.*;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.thirdparty.adapay.entity.BaseResult;
import com.ym.mec.thirdparty.adapay.entity.HfMerchantConfig;
import org.springframework.stereotype.Component;

import com.ym.mec.web.WebFeignService;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Component
public class WebFeignServiceFallback implements WebFeignService {

	@Override
	public Boolean createCashAccount(Integer userId,Integer tenantId) {
		return false;
	}

	@Override
	public Integer queryTeacherOrganId(Integer userId) {
		return null;
	}

	@Override
	public Boolean isPurchasedPracticeCourse(Integer userId) {
		return false;
	}

	@Override
	public int updateNickName(Integer userId, String nickName) {
		return 0;
	}

	@Override
	public String queryOrganIdByUserId(Integer userId, String clientId) {
		return null;
	}

	@Override
	public String getTenantConfigValue(Integer tenantId,String paramName){
		return null;
	}

	@Override
	public Boolean queryVipPracticeGroups() {
		return null;
	}

	@Override
	public HttpResponseResult<HfMerchantConfig> queryByTenantId(String payerName,Integer id) {
		return null;
	}

	@Override
	public HttpResponseResult<Map> mallCreateOrder(MallCreateOrderModel model) {
		return null;
	}

	@Override
	public HttpResponseResult executePayment(Map paymentParam) {
		return null;
	}

	@Override
	public HttpResponseResult updateOrder(Map map) {
		return null;
	}

    @Override
    public HttpResponseResult updateShippedStatus(List<OrderSkuSync> orderSkuSyncs) {
        return null;
    }

    @Override
	public HttpResponseResult<OrderCancelModel> cancelOrder(String orderNo, String reason) {
		return null;
	}


	@Override
	public HttpResponseResult<Map> mallSaveOrderInfo(MallCreateOrderModel model) {
		return null;
	}

	@Override
	public HttpResponseResult<Map<String, String>> getBaseUrl(String orderNo) {
		return null;
	}

	@Override
	public HttpResponseResult<BaseResult<Map<String, Object>>> refund(RefundModel refundModel) {
		return null;
	}

	@Override
	public HttpResponseResult<Map> couponAmount(MallCreateOrderModel model) {
		return null;
	}

	@Override
	public HttpResponseResult receive(String orderNo, boolean autoReceive) {
		return null;
	}

	@Override
	public HttpResponseResult<BigDecimal> balance(Long userId) {
		return null;
	}

	@Override
	public HttpResponseResult<Boolean> goodsStatusSynchronize(List<GoodsSubModel> goodsSubModelList) {
		return null;
	}

	@Override
	public HttpResponseResult<Boolean> goodsStockCountSynchronize(List<GoodsSubStockModel> goodsSubStockModels) {
		return null;
	}

    @Override
    public  HttpResponseResult<List<SchoolDto>> schoolListByIds(List<Integer> schoolIds) {
        return null;
    }
}
