package com.yonge.log.service;

import com.yonge.log.dal.model.HistoryMessage;
import com.yonge.mongodb.PageInfo;
import com.yonge.mongodb.service.BaseServiceWithMongo;

import java.io.File;
import java.util.Date;

public interface HistoryMessageService extends BaseServiceWithMongo<String, HistoryMessage> {

    /**
     * 保存融云历史聊天记录
     * @param file
     * @throws Exception
     */
    void saveImHistoryMessage(File file) throws Exception;

    long selectCount(int status, Date date, int targetType);

    PageInfo<HistoryMessage> selectPage(int page, int size, int status, Date date, int targetType);

    void updateStatus(String id, Integer status);

    void updateAllStatus(int status);

    long querySyncCount();

    PageInfo<HistoryMessage> getImToTencent(long page, int size);

    void updateSyncFlag(String id, int syncFlag);

    void updateMsg(String msgUID, Integer msgSeq, Integer msgRandom, Long msgTimeStamp);

}
