package com.yonge.log.service;

import com.yonge.log.dal.model.HistoryMessage;
import com.yonge.log.dal.model.HistoryMessageTencent;
import com.yonge.log.wrapper.HistoryMessageTencentWrapper;
import com.yonge.mongodb.PageInfo;
import com.yonge.mongodb.service.BaseServiceWithMongo;

import java.io.File;
import java.util.Date;

public interface HistoryMessageTenantService extends BaseServiceWithMongo<String, HistoryMessageTencent> {

    /**
     * 查询历史记录
     *
     * @param query 查询条件
     */
    PageInfo<HistoryMessageTencentWrapper.HistoryMessageTencent> historyMessage(HistoryMessageTencentWrapper.HistoryMessageTencentQuery query);

    void deleteOld();

    int initMsgBodyJsonCount();

    void initMsgBodyJson(int page, int size);
}
