package com.yonge.log.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yonge.log.dal.dao.AuditLogDao;
import com.yonge.log.dal.model.AuditLog;
import com.yonge.log.service.AuditLogService;
import com.yonge.mongodb.dao.BaseDaoWithMongo;
import com.yonge.mongodb.service.impl.BaseServiceImplWithMongo;

@Service
public class AuditLogServiceImpl extends BaseServiceImplWithMongo<String, AuditLog> implements AuditLogService {

	@Autowired
	private AuditLogDao auditLogDao;

	@Override
	public BaseDaoWithMongo<String, AuditLog> getDAO() {
		return auditLogDao;
	}

}
