package com.yonge.log.service.impl;

import com.yonge.log.dal.dao.OperationLogDao;
import com.yonge.log.dal.model.OperationLog;
import com.yonge.log.service.OperationLogService;
import com.yonge.mongodb.dao.BaseDaoWithMongo;
import com.yonge.mongodb.service.impl.BaseServiceImplWithMongo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class OperationLogServiceImpl extends BaseServiceImplWithMongo<String, OperationLog> implements OperationLogService {

	@Autowired
	private OperationLogDao operationLogDao;

	@Override
	public BaseDaoWithMongo<String, OperationLog> getDAO() {
		return operationLogDao;
	}

}
