package com.ym.mec.common.dto;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;


@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class PmsProductQueryParamDto {
    //skuId多个逗号隔开
    private String skuStockIds;
    //skuCode多个逗号隔开
    private String skuStockCodes;
    //上架状态
    private Integer publishStatus;
    //商品名称模糊关键字
    private String keyword;
    //商品货号
    private String productSn;
    //商品编号,多个逗号隔开
    private String productIds;
    //需要排除的商品编号
    private String excludeProductIds;
    //商品分类
    private Long productCategoryId;
    //商品品牌
    private Long brandId;

//    @NotNull(message = "每页条数不能为空")
    private Integer pageSize;
//    @NotNull(message = "页码不能为空")
    private Integer pageNum;

    private String json;
}
