package com.ym.mec.common.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-09-16
 */
@Data
public class OrderSkuSync {

    private String orderNo;

    private List<SkuSync> skuSyncList;


    @Data
    public static class SkuSync {

        // sku Id
        private Long sku;

        // 数量
        private Integer count;

        //价格
        private BigDecimal price;

        // 批次号
        private Long recordId;

        // 内部库存 INTERNAL, 税务库存 TAX
        private String type;
    }
}
