package com.ym.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.service.GroupService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/muteAllMembers")
public class MuteAllMembersController{

    @Autowired
    GroupService groupService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public Object add(@RequestBody String[] groupIds) throws Exception {
        return groupService.muteAllMembersAdd(groupIds);
    }

    @RequestMapping(value = "/remove", method = RequestMethod.POST)
    public Object remove(@RequestBody String[] groupIds) throws Exception {
        return groupService.muteAllMembersRemove(groupIds);
    }

    @RequestMapping(value = "/getList", method = RequestMethod.POST)
    public Object getList() throws Exception {
        return groupService.muteAllMembersGetList();
    }
}
