package com.ym.dao;

import com.ym.pojo.UserInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@Repository
public interface UserDao extends JpaRepository<UserInfo, Long> {

    UserInfo findByUid(String uid);

    @Modifying
    int deleteByUid(String uid);
}