package com.ym.mec.im.message;

import com.ym.mec.biz.dal.entity.CourseScheduleStudentMusicScore;
import com.ym.mec.common.entity.BaseMessage;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

public class MusicScoreDownloadStatusMessage extends BaseMessage {

    private @Setter @Getter Integer studentId;

    private @Setter @Getter List<CourseScheduleStudentMusicScore> studentMusicScores;

    public MusicScoreDownloadStatusMessage(Integer studentId, List<CourseScheduleStudentMusicScore> studentMusicScores) {
        this.studentId = studentId;
        this.studentMusicScores = studentMusicScores;
    }

    @Override
    public String getObjectName() {
        return "DY:MSDSMsg";
    }
}
