package com.ym.pojo;

import lombok.Data;

@Data
public class RecordNotifyConfig {
    //录制启动模式: 1 自动启动录制任务
    Integer trigger;

    //Mix模式下布局：2 悬浮布局(默认) 3 自适应布局
    Integer mixLayout;

    //文件切片时间（分钟）
    Integer slicesMin;

    //设置的音频文件格式
    String audioFormat;

    //设置的视频文件格式
    String videoFormat;

    @Override
    public String toString() {
        return "RecordNotifyConfig{" +
                "trigger=" + trigger +
                ", mixLayout=" + mixLayout +
                ", slicesMin=" + slicesMin +
                ", audioFormat='" + audioFormat + '\'' +
                ", videoFormat='" + videoFormat + '\'' +
                '}';
    }
}
