package com.ym.pojo;

import lombok.Data;

import java.util.Optional;

@Data
public class ReqDeviceControlData {
	private Boolean cameraOn;
	private Boolean microphoneOn;
	private Boolean musicModeOn;
	private Boolean handUpOn;
	private Boolean examSongOn;
	//原音播放状态
	private Boolean musicScoreOn;
	//伴奏播放状态
	private Boolean accompanimentOn;

	private String roomId;
	private String userId;
	private String userName;
	private String ticket;
	private Integer status;
	private Integer examSongId;
	private String musicScoreAccompanimentId;
	//伴奏音量
	private Integer soundVolume = 100;
	// 服务提供方
	private String serviceProvider;
	// 取消静音
	private Boolean cancelMuteFlag;
	// 发送用户信息
	private String sendUserId;
	private String sendUserName;
	private String avatar;

	public String getMusicScoreAccompanimentId() {
		return musicScoreAccompanimentId;
	}

	public void setMusicScoreAccompanimentId(String musicScoreAccompanimentId) {
		this.musicScoreAccompanimentId = musicScoreAccompanimentId;
	}

	public Boolean getExamSongOn() {
		return examSongOn;
	}

	public void setExamSongOn(Boolean examSongOn) {
		this.examSongOn = examSongOn;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getExamSongId() {
		return examSongId;
	}

	public void setExamSongId(Integer examSongId) {
		this.examSongId = examSongId;
	}

	public Boolean getMusicModeOn() {
		return musicModeOn;
	}

	public Boolean getHandUpOn() {
		return handUpOn;
	}

	public void setHandUpOn(Boolean handUpOn) {
		this.handUpOn = handUpOn;
	}

	public void setMusicModeOn(Boolean musicModeOn) {
		this.musicModeOn = musicModeOn;
	}

	public Boolean getCameraOn() {
		return cameraOn;
	}
	public void setCameraOn(Boolean cameraOn) {
		this.cameraOn = cameraOn;
	}
	public Boolean getMicrophoneOn() {
		return microphoneOn;
	}
	public void setMicrophoneOn(Boolean microphoneOn) {
		this.microphoneOn = microphoneOn;
	}
	public String getRoomId() {
		return roomId;
	}
	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getTicket() {
		return ticket;
	}
	public void setTicket(String ticket) {
		this.ticket = ticket;
	}

	public String getServiceProvider() {
		return serviceProvider;
	}

	public void setServiceProvider(String serviceProvider) {
		this.serviceProvider = serviceProvider;
	}

	public String getSendUserId() {
		return sendUserId;
	}

	public void setSendUserId(String sendUserId) {
		this.sendUserId = sendUserId;
	}

	public String getSendUserName() {
		return sendUserName;
	}

	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getSoundVolume() {
		return Optional.ofNullable(soundVolume).orElse(100);
	}
}
