package com.yonge.cooleshow.admin.dao;

import com.yonge.cooleshow.admin.wrapper.PmsSkuStockWrapper;
import com.yonge.cooleshow.mbg.model.PmsSkuStock;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.List;

/**
 * 商品SKU管理自定义Dao
 * Created by macro on 2018/4/26.
 */
public interface PmsSkuStockDao {
    /**
     * 批量插入操作
     */
    int insertList(@Param("list")List<PmsSkuStock> skuStockList);

    /**
     * 批量插入或替换操作
     */
    int replaceList(@Param("list")List<PmsSkuStock> skuStockList);

}
