package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.admin.dto.HomeStatistical;
import com.yonge.cooleshow.admin.dto.PmsProductParam;
import com.yonge.cooleshow.admin.dto.PmsProductQueryParam;
import com.yonge.cooleshow.admin.dto.PmsProductResult;
import com.yonge.cooleshow.admin.wrapper.PmsProductSkuStockRecordWrapper;
import com.yonge.cooleshow.mbg.model.PmsProduct;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 商品管理Service
 * Created by macro on 2018/4/26.
 */
public interface PmsProductSkuStockRecordService {


    /**
     * 列表分页
     *
     */
    List<PmsProductSkuStockRecordWrapper.PmsProductSkuStockRecord> list(PmsProductSkuStockRecordWrapper.PmsProductSkuStockRecordQuery query);

    /**
     * 新增
     *
     */
    int create(PmsProductSkuStockRecordWrapper.PmsProductSkuStockRecord pmsProductSkuStockRecord);

    /**
     * 修改
     *
     */
    int update(PmsProductSkuStockRecordWrapper.PmsProductSkuStockRecord pmsProductSkuStockRecord);
}
