package com.yonge.cooleshow.mbg.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

public class PmsSkuStockDto {


    @Data
    @ApiModel("PmsSkuStock-sku管理")
    public static class PmsSkuStockStock {
        @ApiModelProperty(value = "sku库存表id")
        private Long id;

        @ApiModelProperty(value = "商品id")
        private Long productId;

        /**
         * 内部库存
         */
        @ApiModelProperty("内部库存")
        private Integer internalStock;

        /**
         * 税务库存
         */
        @ApiModelProperty("税务库存")
        private Integer taxStock;

    }
}
