package com.yonge.cooleshow.mbg.model;

import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 商品库存入库记录
 */
@Data
public class PmsProductSkuStockRecord {
    /**
    * id，批次号
    */
    private Long id;

    /**
    * 商品ID
    */
    private Long productId;

    /**
    * 商品skuId
    */
    private Long productSkuId;

    /**
    * 备查货号
    */
    private String selectProductSn;

    /**
    * 内部库存
    */
    private Integer internalStock;

    /**
    * 内部销售库存
    */
    private Integer internalSaleStock;

    /**
    * 税务库存
    */
    private Integer taxStock;

    /**
    * 税务库存
    */
    private Integer taxSaleStock;

    /**
    * 采购价
    */
    private BigDecimal price;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建人
    */
    private Long createBy;
}