package com.yonge.cooleshow.mbg.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class PmsProductSkuStockRecordExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public PmsProductSkuStockRecordExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNull() {
            addCriterion("product_id is null");
            return (Criteria) this;
        }

        public Criteria andProductIdIsNotNull() {
            addCriterion("product_id is not null");
            return (Criteria) this;
        }

        public Criteria andProductIdEqualTo(Long value) {
            addCriterion("product_id =", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotEqualTo(Long value) {
            addCriterion("product_id <>", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThan(Long value) {
            addCriterion("product_id >", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdGreaterThanOrEqualTo(Long value) {
            addCriterion("product_id >=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThan(Long value) {
            addCriterion("product_id <", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdLessThanOrEqualTo(Long value) {
            addCriterion("product_id <=", value, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdIn(List<Long> values) {
            addCriterion("product_id in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotIn(List<Long> values) {
            addCriterion("product_id not in", values, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdBetween(Long value1, Long value2) {
            addCriterion("product_id between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andProductIdNotBetween(Long value1, Long value2) {
            addCriterion("product_id not between", value1, value2, "productId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdIsNull() {
            addCriterion("product_sku_id is null");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdIsNotNull() {
            addCriterion("product_sku_id is not null");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdEqualTo(Long value) {
            addCriterion("product_sku_id =", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdNotEqualTo(Long value) {
            addCriterion("product_sku_id <>", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdGreaterThan(Long value) {
            addCriterion("product_sku_id >", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdGreaterThanOrEqualTo(Long value) {
            addCriterion("product_sku_id >=", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdLessThan(Long value) {
            addCriterion("product_sku_id <", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdLessThanOrEqualTo(Long value) {
            addCriterion("product_sku_id <=", value, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdIn(List<Long> values) {
            addCriterion("product_sku_id in", values, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdNotIn(List<Long> values) {
            addCriterion("product_sku_id not in", values, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdBetween(Long value1, Long value2) {
            addCriterion("product_sku_id between", value1, value2, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andProductSkuIdNotBetween(Long value1, Long value2) {
            addCriterion("product_sku_id not between", value1, value2, "productSkuId");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnIsNull() {
            addCriterion("select_product_sn is null");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnIsNotNull() {
            addCriterion("select_product_sn is not null");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnEqualTo(String value) {
            addCriterion("select_product_sn =", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnNotEqualTo(String value) {
            addCriterion("select_product_sn <>", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnGreaterThan(String value) {
            addCriterion("select_product_sn >", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnGreaterThanOrEqualTo(String value) {
            addCriterion("select_product_sn >=", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnLessThan(String value) {
            addCriterion("select_product_sn <", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnLessThanOrEqualTo(String value) {
            addCriterion("select_product_sn <=", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnLike(String value) {
            addCriterion("select_product_sn like", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnNotLike(String value) {
            addCriterion("select_product_sn not like", value, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnIn(List<String> values) {
            addCriterion("select_product_sn in", values, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnNotIn(List<String> values) {
            addCriterion("select_product_sn not in", values, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnBetween(String value1, String value2) {
            addCriterion("select_product_sn between", value1, value2, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andSelectProductSnNotBetween(String value1, String value2) {
            addCriterion("select_product_sn not between", value1, value2, "selectProductSn");
            return (Criteria) this;
        }

        public Criteria andInternalStockIsNull() {
            addCriterion("internal_stock is null");
            return (Criteria) this;
        }

        public Criteria andInternalStockIsNotNull() {
            addCriterion("internal_stock is not null");
            return (Criteria) this;
        }

        public Criteria andInternalStockEqualTo(Integer value) {
            addCriterion("internal_stock =", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockNotEqualTo(Integer value) {
            addCriterion("internal_stock <>", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockGreaterThan(Integer value) {
            addCriterion("internal_stock >", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockGreaterThanOrEqualTo(Integer value) {
            addCriterion("internal_stock >=", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockLessThan(Integer value) {
            addCriterion("internal_stock <", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockLessThanOrEqualTo(Integer value) {
            addCriterion("internal_stock <=", value, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockIn(List<Integer> values) {
            addCriterion("internal_stock in", values, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockNotIn(List<Integer> values) {
            addCriterion("internal_stock not in", values, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockBetween(Integer value1, Integer value2) {
            addCriterion("internal_stock between", value1, value2, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalStockNotBetween(Integer value1, Integer value2) {
            addCriterion("internal_stock not between", value1, value2, "internalStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockIsNull() {
            addCriterion("internal_sale_stock is null");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockIsNotNull() {
            addCriterion("internal_sale_stock is not null");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockEqualTo(Integer value) {
            addCriterion("internal_sale_stock =", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockNotEqualTo(Integer value) {
            addCriterion("internal_sale_stock <>", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockGreaterThan(Integer value) {
            addCriterion("internal_sale_stock >", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockGreaterThanOrEqualTo(Integer value) {
            addCriterion("internal_sale_stock >=", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockLessThan(Integer value) {
            addCriterion("internal_sale_stock <", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockLessThanOrEqualTo(Integer value) {
            addCriterion("internal_sale_stock <=", value, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockIn(List<Integer> values) {
            addCriterion("internal_sale_stock in", values, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockNotIn(List<Integer> values) {
            addCriterion("internal_sale_stock not in", values, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockBetween(Integer value1, Integer value2) {
            addCriterion("internal_sale_stock between", value1, value2, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andInternalSaleStockNotBetween(Integer value1, Integer value2) {
            addCriterion("internal_sale_stock not between", value1, value2, "internalSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockIsNull() {
            addCriterion("tax_stock is null");
            return (Criteria) this;
        }

        public Criteria andTaxStockIsNotNull() {
            addCriterion("tax_stock is not null");
            return (Criteria) this;
        }

        public Criteria andTaxStockEqualTo(Integer value) {
            addCriterion("tax_stock =", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockNotEqualTo(Integer value) {
            addCriterion("tax_stock <>", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockGreaterThan(Integer value) {
            addCriterion("tax_stock >", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockGreaterThanOrEqualTo(Integer value) {
            addCriterion("tax_stock >=", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockLessThan(Integer value) {
            addCriterion("tax_stock <", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockLessThanOrEqualTo(Integer value) {
            addCriterion("tax_stock <=", value, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockIn(List<Integer> values) {
            addCriterion("tax_stock in", values, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockNotIn(List<Integer> values) {
            addCriterion("tax_stock not in", values, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockBetween(Integer value1, Integer value2) {
            addCriterion("tax_stock between", value1, value2, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxStockNotBetween(Integer value1, Integer value2) {
            addCriterion("tax_stock not between", value1, value2, "taxStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockIsNull() {
            addCriterion("tax_sale_stock is null");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockIsNotNull() {
            addCriterion("tax_sale_stock is not null");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockEqualTo(Integer value) {
            addCriterion("tax_sale_stock =", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockNotEqualTo(Integer value) {
            addCriterion("tax_sale_stock <>", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockGreaterThan(Integer value) {
            addCriterion("tax_sale_stock >", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockGreaterThanOrEqualTo(Integer value) {
            addCriterion("tax_sale_stock >=", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockLessThan(Integer value) {
            addCriterion("tax_sale_stock <", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockLessThanOrEqualTo(Integer value) {
            addCriterion("tax_sale_stock <=", value, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockIn(List<Integer> values) {
            addCriterion("tax_sale_stock in", values, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockNotIn(List<Integer> values) {
            addCriterion("tax_sale_stock not in", values, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockBetween(Integer value1, Integer value2) {
            addCriterion("tax_sale_stock between", value1, value2, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andTaxSaleStockNotBetween(Integer value1, Integer value2) {
            addCriterion("tax_sale_stock not between", value1, value2, "taxSaleStock");
            return (Criteria) this;
        }

        public Criteria andPriceIsNull() {
            addCriterion("price is null");
            return (Criteria) this;
        }

        public Criteria andPriceIsNotNull() {
            addCriterion("price is not null");
            return (Criteria) this;
        }

        public Criteria andPriceEqualTo(BigDecimal value) {
            addCriterion("price =", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotEqualTo(BigDecimal value) {
            addCriterion("price <>", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThan(BigDecimal value) {
            addCriterion("price >", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("price >=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThan(BigDecimal value) {
            addCriterion("price <", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("price <=", value, "price");
            return (Criteria) this;
        }

        public Criteria andPriceIn(List<BigDecimal> values) {
            addCriterion("price in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotIn(List<BigDecimal> values) {
            addCriterion("price not in", values, "price");
            return (Criteria) this;
        }

        public Criteria andPriceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andPriceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("price not between", value1, value2, "price");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(Long value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(Long value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(Long value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(Long value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(Long value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(Long value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<Long> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<Long> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(Long value1, Long value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(Long value1, Long value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}