package com.ym.mec.task.jobs;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.auth.api.client.AuthTaskFeignService;
import com.ym.mec.task.core.BaseTask;
import com.ym.mec.task.core.TaskException;

@Service
public class UserAutoUnlockedTask extends BaseTask {

	@Autowired
	private AuthTaskFeignService authTaskFeignService;

	@Override
	public void execute() throws TaskException {
		authTaskFeignService.autoUnlock();
	}
}
