package com.ym.mec.util.exception;

import com.ym.mec.util.string.MessageFormatter;

public class UtilException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4562885563376566463L;

	public UtilException() {
		super();
	}

	public UtilException(String message) {
		super(message);
	}

	public UtilException(Throwable cause) {
		super(cause);
	}

	public UtilException(String message, Throwable cause) {
		super(message, cause);
	}

	public UtilException(String message, Object... arguments) {
		super(MessageFormatter.arrayFormat(message, arguments));
	}

	public UtilException(String message, Throwable cause, Object... args) {
		super(MessageFormatter.arrayFormat(message, args), cause);
	}

}
