package com.ym.mec.workfow.service;

import java.util.List;

import org.snaker.engine.impl.GeneralAccessStrategy;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.auth.api.client.SysUserFeignService;

@Service
public class MecAccessStrategy extends GeneralAccessStrategy {

	@Autowired
	private SysUserFeignService sysUserFeignService;

	@Override
	public List<String> ensureGroup(String operator) {

		List<String> roleCodeList = sysUserFeignService.queryRoleCodeListByUserId(Integer.parseInt(operator));

		return roleCodeList;
	}

}
