package com.ym.mec.student.controller.open;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.microsvc.toolkit.common.response.paging.PageInfo;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import com.microsvc.toolkit.common.response.template.R;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.UserMusicStar;
import com.ym.mec.biz.dal.wrapper.UserMusicStarWrapper;
import com.ym.mec.biz.service.StudentService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.biz.service.UserMusicStarService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.student:}/open/userMusicStar")
@Api(tags = "用户曲目作品点赞记录")
public class OpenUserMusicStarController {

    @Autowired
    private UserMusicStarService userMusicStarService;

    @Autowired
    private StudentService studentService;

    @Autowired
    private SysUserService sysUserService;

}
