package com.ym.mec.teacher.controller;

import com.ym.mec.biz.dal.page.CourseHomeWorkTemplateQueryInfo;
import com.ym.mec.biz.service.CourseHomeworkTemplateService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/18
 */
@RequestMapping("${app-config.url.teacher:}/courseHomeworkTemplate")
@Api(tags = "作业模板")
@RestController
public class CourseHomeworkTemplateController extends BaseController {


    @Autowired
    private CourseHomeworkTemplateService courseHomeworkTemplateService;

    @ApiOperation(value = "分页查询作业模板列表")
    @PostMapping("/findByClassType")
    public Object findByClassType(CourseHomeWorkTemplateQueryInfo queryInfo){
        return succeed(courseHomeworkTemplateService.findByClassType(queryInfo));
    }

}
