package com.ym.mec.teacher.controller;

import com.ym.mec.biz.service.LeaveCategoryService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.teacher:}/leaveCategory")
@Api(tags = "请假类型服务")
@RestController
public class LeaveCategoryController extends BaseController {

    @Autowired
    private LeaveCategoryService leaveCategoryService;

    @ApiOperation(value = "分页查询请假类型列表")
    @PostMapping("/queryPage")
    public Object queryPage(QueryInfo queryInfo) {
        return succeed(leaveCategoryService.queryPage(queryInfo));
    }

}
