package com.ym.mec.teacher.controller.open;

import com.ym.mec.biz.service.StudentService;
import com.ym.mec.biz.service.SysUserService;
import com.ym.mec.biz.service.UserMusicStarService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.teacher:}/open/userMusicStar")
@Api(tags = "用户曲目作品点赞记录")
public class OpenUserMusicStarController {

    @Autowired
    private UserMusicStarService userMusicStarService;

    @Autowired
    private StudentService studentService;

    @Autowired
    private SysUserService sysUserService;

}
