package com.ym.mec.web.controller;

import com.ym.mec.common.controller.BaseController;
import com.yonge.log.service.AuditLogService;
import com.yonge.mongodb.QueryInfo;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequestMapping("${app-config.url.web:}/auditLog")
@Api(tags = "系统操作日志")
@RestController
public class AuditLogController extends BaseController {

	@Autowired
	private AuditLogService auditLogService;

	@GetMapping("/queryPage")
	public Object queryPage(QueryInfo queryInfo) {
		return succeed(auditLogService.queryPage(queryInfo));
	}

}
