package com.ym.mec.web.controller;


import com.ym.mec.biz.service.HumanCostService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 人力资源成本(HumanCost)表控制层
 *
 * @author zx
 * @since 2023-04-17 15:31:26
 */
@Api(tags = "人力资源成本")
@RestController
@RequestMapping("${app-config.url.web:}/humanCost")
public class HumanCostController extends BaseController {
    /**
     * 服务对象
     */
    @Resource
    private HumanCostService humanCostService;

}

