package com.ym.mec.web.controller.student;

import com.ym.mec.biz.service.HotWordsLabelService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
@Api(tags = "热词标签")
@RequestMapping("${app-config.url.web:}/hotWordLabel")
@RestController
public class HotWordLabelController extends BaseController {

    @Autowired
    private HotWordsLabelService hotWordsLabelService;

    @ApiOperation("分页查询热词列表")
    @PostMapping("/queryPage")
    public Object queryPage(QueryInfo queryInfo){
        return succeed(hotWordsLabelService.queryPage(queryInfo));
    }

}
