package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ChargeTypeOrganizationFee;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface ChargeTypeOrganizationFeeDao extends BaseDAO<Integer, ChargeTypeOrganizationFee> {

    /**
     * 根据收费类型，分部获取默认费用
     * @param chargeTypeId
     * @param organId
     * @return
     */
    ChargeTypeOrganizationFee findByOrganId(@Param("chargeTypeId") Integer chargeTypeId, @Param("organId") Integer organId);
}