package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ChildrenDayDegreeInfo;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ChildrenDayDegreeInfoDao extends BaseDAO<Integer, ChildrenDayDegreeInfo> {

    /**
     * 获取已缴费的用户
     *
     * @param userIds
     * @return
     */
    List<Integer> getPayedUser(@Param("userIds") List<Integer> userIds);
}
