package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.CloudTeacher;
import com.ym.mec.biz.dal.entity.CloudTeacherOrder;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;


public interface CloudTeacherDao extends BaseDAO<Long, CloudTeacher> {

    /**
     * 获取学生的云教练信息
     *
     * @param studentId
     * @return
     */
    CloudTeacher getByStudentId(@Param("studentId") Integer studentId);

    int getOrganVipStudentNum(@Param("organId") Integer organId);
    int getOrgansTotalVipStudentNum(@Param("organIds") List<Integer> organIds);
    List<Map<Integer, Integer>> getOrgansVipStudentNum(@Param("organIds") List<Integer> organId);
}
