package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.StudentCourseHomeworkCommentDto;
import com.ym.mec.biz.dal.entity.ExtracurricularExercisesMessage;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ExtracurricularExercisesMessageDao extends BaseDAO<Long, ExtracurricularExercisesMessage> {

    int countStudentExtraComments(Map<String, Object> params);
    List<StudentCourseHomeworkCommentDto> findStudentExtraComments(Map<String, Object> params);

    List<ExtracurricularExercisesMessage> findReplyTeacherMessages(@Param("replyIds") List<Long> replyIds);

}
