package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.GoodsCategory;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface GoodsCategoryDao extends BaseDAO<Integer, GoodsCategory> {


    /**
     * 根据父级编号获取子列表
     * @param parentId
     * @param yesOrNoEnum
     * @return
     */
    List<GoodsCategory> findByParentId(@Param("parentId") Integer parentId, @Param("delFlag") YesOrNoEnum yesOrNoEnum);
}