package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.entity.HumanCost;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人力资源成本(HumanCost)表数据库访问层
 *
 * @author zx
 * @since 2023-04-17 15:31:30
 */
public interface HumanCostDao extends BaseMapper<HumanCost> {

   int insertBatch(@Param("entities") List<HumanCost> entities);
   
}

