package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.entity.ImLiveBroadcastRoomData;
import com.ym.mec.biz.dal.vo.ImLiveBroadcastRoomDetailVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 直播房间数据表(ImLiveBroadcastRoomData)表数据库访问层
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
public interface ImLiveBroadcastRoomDataDao extends BaseMapper<ImLiveBroadcastRoomData> {

    int insertBatch(@Param("entities") List<ImLiveBroadcastRoomData> entities);

    ImLiveBroadcastRoomDetailVo queryByRoomUid(@Param("roomUid") String roomUid);

}

