package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.ImLiveRoomBlack;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 直播房间黑名单表(ImLiveRoomBlack)表数据库访问层
 *
 * @author hgw
 * @since 2022-05-30 14:58:31
 */
public interface ImLiveRoomBlackDao extends BaseMapper<ImLiveRoomBlack> {

    int insertBatch(@Param("entities") List<ImLiveRoomBlack> entities);

    <T> IPage<T> queryStudent(Page<T> page, @Param("param") Map<String, Object> param);

    <T> IPage<T> queryBlackList(Page<T> page, @Param("param") Map<String, Object> param);

}

