package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.ImLiveRoomPurview;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 直播间的观看权限表(ImLiveRoomPurview)表数据库访问层
 *
 * @author hgw
 * @since 2022-06-08 09:43:47
 */
public interface ImLiveRoomPurviewDao extends BaseMapper<ImLiveRoomPurview> {

    int insertBatch(@Param("entities") List<ImLiveRoomPurview> entities);

    <T> IPage<T> selectRoomPurviewStudent(Page<T> page, @Param("param") Map<String, Object> param);

    <T> List<T> selectRoomPurviewStudent(@Param("param") Map<String, Object> param);

    <T> IPage<T> selectRoomPurviewGroup(Page<T> page, @Param("param") Map<String, Object> param);

}

