package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.entity.ImLiveRoomVideo;
import com.ym.mec.biz.dal.vo.ImLiveRoomVideoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 直播视频记录(ImLiveRoomVideo)表数据库访问层
 *
 * @author hgw
 * @since 2022-03-07 19:06:54
 */
public interface ImLiveRoomVideoDao extends BaseMapper<ImLiveRoomVideo> {

    int insertBatch(@Param("entities") List<ImLiveRoomVideo> entities);

    ImLiveRoomVideo getLastRecord(@Param("roomId") String roomId, @Param("recordId") String recordId);

    List<ImLiveRoomVideoVo> queryVideoList(@Param("roomUid") String roomUid);

    List<ImLiveRoomVideoVo> queryByRoomIds(@Param("roomIds") List<String> roomIds);
}

