package com.ym.mec.biz.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.ImSendGroupMessage;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface ImSendGroupMessageDao extends BaseDAO<Long, ImSendGroupMessage> {

	List<ImSendGroupMessage> findBySendFlag(@Param("sendFlag") Boolean sendFlag, @Param("sendTime") Date sendTime);

	void batchUpdateSendFlag(@Param("sendGroupMessages") List<ImSendGroupMessage> sendGroupMessages);
}