package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.ActivityDetailDto;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.biz.dal.entity.MarketActivity;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MarketActivityDao extends BaseDAO<Integer, MarketActivity> {


    /**
    * @description: 根据营销活动编号，获取活动详情列表
     * @param marketPriceId
    * @return java.util.List<com.ym.mec.biz.dal.entity.ActivityDetailDto>
    * @author zx
    * @date 2021/10/19 15:50
    */
    List<ActivityDetailDto> queryActivity(@Param("marketPriceId") Integer marketPriceId, @Param("organId") Integer organId);
}