package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.OrganCourseTypeOriginalCost;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

public interface OrganCourseTypeOriginalCostDao extends BaseDAO<Integer, OrganCourseTypeOriginalCost> {

    //获取对应分部课程类型成本价
    BigDecimal findByOrganIdAndCourseType(@Param("organId") Integer organId, @Param("courseType") String courseType);

    //计算课程成本价
    BigDecimal getCourseCostPrice(@Param("courseIds") String courseIds);
}