package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.OrganizationCloudTeacherFee;
import com.ym.mec.biz.dal.entity.PracticeGroupSellPrice;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface OrganizationCloudTeacherFeeDao extends BaseDAO<Integer, OrganizationCloudTeacherFee> {

    /**
     * 根据分部id获取云教练费用配置
     *
     * @param organId
     * @return
     */
    OrganizationCloudTeacherFee getByOrganId(@Param("organId") Integer organId);
}
