package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.PageMonitor;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

public interface PageMonitorDao extends BaseDAO<Long, PageMonitor> {

	/**
	 * 根据事件和用户获取
	 * @param userId
	 * @param event
	 * @return
	 */
	PageMonitor findByUserIdAndEvent(@Param("userId") Integer userId, @Param("event") String event);
}