package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.dto.StudentLessonExaminationDetailDto;
import com.ym.mec.biz.dal.entity.StudentLessonExaminationDetail;
import com.ym.mec.biz.dal.page.StudentLessonExaminationQueryDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 进度评测详情表(StudentLessonExaminationDetail)表数据库访问层
 *
 * @author zx
 * @since 2023-04-03 18:22:00
 */
public interface StudentLessonExaminationDetailDao extends BaseMapper<StudentLessonExaminationDetail> {

    int insertBatch(@Param("entities") List<StudentLessonExaminationDetail> entities);

    List<StudentLessonExaminationDetailDto> queryAll(@Param("query") StudentLessonExaminationQueryDto query);
}

