package com.ym.mec.biz.dal.dao;

import org.apache.ibatis.annotations.Param;

import com.ym.mec.biz.dal.entity.SysMessageConfig;
import com.ym.mec.common.dal.BaseDAO;

public interface SysMessageConfigDao extends BaseDAO<Integer, SysMessageConfig> {

	/**
	 * 根据消息类型查询对象
	 * @param messageType
	 * @return
	 */
	SysMessageConfig queryByType(@Param("messageType") String messageType);

    String findContent(String messageType);
}