package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayaedu.cbs.openfeign.wrapper.music.CbsMusicSheetExtendWrapper;
import com.ym.mec.biz.dal.entity.SysUserTenant;
import com.ym.mec.biz.dal.vo.SysUserTenantVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台用户与机构关系表(SysUserTenant)表数据库访问层
 *
 * @author hgw
 * @since 2022-03-02 11:09:34
 */
public interface SysUserTenantDao extends BaseMapper<SysUserTenant> {

    int insertBatch(@Param("entities") List<SysUserTenant> entities);

    List<SysUserTenantVo> queryUserTenant(@Param("userId") Integer userId);

    IPage<CbsMusicSheetExtendWrapper.MusicSheetExtend> personOwnerList(@Param("page") IPage<CbsMusicSheetExtendWrapper.MusicSheetExtend> page,
                                                                       @Param("param") CbsMusicSheetExtendWrapper.MusicSheetExtendQuery queryInfo);

    IPage<CbsMusicSheetExtendWrapper.MusicSheetExtend> orgOwnerList(@Param("page") IPage<CbsMusicSheetExtendWrapper.MusicSheetExtend> page,
                                                                    @Param("param") CbsMusicSheetExtendWrapper.MusicSheetExtendQuery queryInfo);
}

