package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.TeacherCloudCourseReport;
import com.ym.mec.biz.dal.vo.TeacherCloudCourseReportDto;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface TeacherCloudCourseReportDao extends BaseDAO<Long, TeacherCloudCourseReport> {


    void batchSaveBySelect(@Param("classDate") String classDate);

    void deleteByClassDate(@Param("classDate") String classDate);

    int countReport(Map<String, Object> params);

    List<TeacherCloudCourseReportDto> queryReport(Map<String, Object> params);
}