package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.TempDirectorTrainingCampDetail;
import com.ym.mec.biz.dal.wrapper.TempDirectorTrainingCampDetailWrapper;
import com.ym.mec.biz.dal.wrapper.TempDirectorTrainingCampWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TempDirectorTrainingCampDetailDao extends BaseMapper<TempDirectorTrainingCampDetail> {

    List<TempDirectorTrainingCampWrapper.TempDirectorTrainingCamp> getStat(@Param("ids") List<Integer> tempDirectorTrainingCampIds);

    IPage<TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetail> queryPage(@Param("page") IPage<Object> page,
                                                                                          @Param("param") TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailQuery queryInfo);

    TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailStat queryPageStat(@Param("param") TempDirectorTrainingCampDetailWrapper.TempDirectorTrainingCampDetailQuery queryInfo);
}

