package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.TenantCloudCourseRecord;
import com.ym.mec.biz.dal.vo.TenantCloudCourseRecordVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 机构云教室课程扣费记录(TenantCloudCourseRecord)表数据库访问层
 *
 * @author hgw
 * @since 2021-12-26 21:53:20
 */
public interface TenantCloudCourseRecordDao extends BaseMapper<TenantCloudCourseRecord> {

    <T> IPage<T> queryPage(Page<T> page, @Param("param") Map<String, Object> param);

    List<TenantCloudCourseRecordVo> queryPage(@Param("param") Map<String, Object> param);

}

