package com.ym.mec.biz.dal.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ym.mec.biz.dal.entity.TenantPreJoin;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 机构入驻表(预加入)(TenantPreJoin)表数据库访问层
 *
 * @author hgw
 * @since 2022-02-09 14:38:08
 */
public interface TenantPreJoinDao extends BaseMapper<TenantPreJoin> {

    int insertBatch(@Param("entities") List<TenantPreJoin> entities);

    <T> IPage<T> queryPage(Page<T> page, @Param("param") Map<String, Object> param);
}

