package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.entity.VipGroupDefaultClassesUnitPrice;
import com.ym.mec.common.dal.BaseDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VipGroupDefaultClassesUnitPriceDao extends BaseDAO<Integer, VipGroupDefaultClassesUnitPrice> {

    /**
     * @Author: Joburgess
     * @Date: 2019/10/2
     * 根据vip课获取课时收费设置
     */
    VipGroupDefaultClassesUnitPrice getByVipGroup(Long vipGroupId);

    /**
     * @Author: Joburgess
     * @Date: 2019/10/8
     * @params [vipGroupCategoryId]
     * @return com.ym.mec.biz.dal.entity.VipGroupDefaultClassesUnitPrice
     * @describe 根据vip课类型获取课时收费设置
     */
    VipGroupDefaultClassesUnitPrice getByVipGroupCategory(@Param("vipGroupCategoryId") Integer vipGroupCategoryId,
                                                          @Param("organId") Integer organId,
                                                          @Param("groupType") String groupType,
                                                          @Param("tenantId") Integer tenantId);


    int updateByVipGroupCategory(VipGroupDefaultClassesUnitPrice vipGroupDefaultClassesUnitPrice);

}
