package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class ActivityUserMapperDetailDto{

    @ApiModelProperty(value = "活动编号")
    private Integer activityId;

    @ApiModelProperty(value = "来源")
    private String addMemo;

    @ApiModelProperty(value = "购买时间")
    private Date createTime;

    @ApiModelProperty(value = "是否免费")
    private Boolean freeFlag;

    @ApiModelProperty(value = "剩余课程次数")
    private Integer subCourseNum;

    @ApiModelProperty(value = "总课次")
    private Integer totalCourseNum;

    @ApiModelProperty(value = "剩余未排课价值")
    private BigDecimal subCoursePrice;

    @ApiModelProperty(value = "课类型")
    private String categoryName = "网管课";

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public String getAddMemo() {
        return addMemo;
    }

    public void setAddMemo(String addMemo) {
        this.addMemo = addMemo;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getFreeFlag() {
        return freeFlag;
    }

    public void setFreeFlag(Boolean freeFlag) {
        this.freeFlag = freeFlag;
    }

    public Integer getSubCourseNum() {
        return subCourseNum;
    }

    public void setSubCourseNum(Integer subCourseNum) {
        this.subCourseNum = subCourseNum;
    }

    public Integer getTotalCourseNum() {
        return totalCourseNum;
    }

    public void setTotalCourseNum(Integer totalCourseNum) {
        this.totalCourseNum = totalCourseNum;
    }

    public BigDecimal getSubCoursePrice() {
        return subCoursePrice;
    }

    public void setSubCoursePrice(BigDecimal subCoursePrice) {
        this.subCoursePrice = subCoursePrice;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }
}
