package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class CooperationCalenderRefundDto {

    @ApiModelProperty(value = "缴费项目编号",required = false)
    private Long calenderId;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "缴费批次",required = false)
    private String batchNo;

    @ApiModelProperty(value = "缴费类型",required = false)
    private String paymentType;

    @ApiModelProperty(value = "计价方式",required = false)
    private String calenderFeeType;

    @ApiModelProperty(value = "应收账款",required = false)
    private BigDecimal receivable = BigDecimal.ZERO;

    @ApiModelProperty(value = "实际收入",required = false)
    private BigDecimal income = BigDecimal.ZERO;

    @ApiModelProperty(value = "预收",required = false)
    private BigDecimal prepaidFee = BigDecimal.ZERO;

    @ApiModelProperty(value = "下次回款时间",required = false)
    private String nextRefundDate;

    @ApiModelProperty(value = "回款状态",required = false)
    private String refundStatus;

    @ApiModelProperty(value = "合同",required = false)
    private String contractUrl;

    private String memo;
}
