package com.ym.mec.biz.dal.dto;


import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class CooperationRefundDto{

    @ApiModelProperty(value = "分部",required = false)
    private Integer organId;

    @ApiModelProperty(value = "分部",required = false)
    private String organName;

    @ApiModelProperty(value = "合作单位",required = false)
    private Integer cooperationOrganId;

    @ApiModelProperty(value = "合作单位",required = false)
    private String cooperationOrganName;

    @ApiModelProperty(value = "乐团主管",required = false)
    private Integer educationUserId;

    @ApiModelProperty(value = "乐团主管",required = false)
    private String educationUserName;

    @ApiModelProperty(value = "应收账款",required = false)
    private BigDecimal receivable = BigDecimal.ZERO;

    @ApiModelProperty(value = "实际收入",required = false)
    private BigDecimal income = BigDecimal.ZERO;

    @ApiModelProperty(value = "预收",required = false)
    private BigDecimal prepaidFee = BigDecimal.ZERO;

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCooperationOrganName() {
        return cooperationOrganName;
    }

    public void setCooperationOrganName(String cooperationOrganName) {
        this.cooperationOrganName = cooperationOrganName;
    }

    public Integer getEducationUserId() {
        return educationUserId;
    }

    public void setEducationUserId(Integer educationUserId) {
        this.educationUserId = educationUserId;
    }

    public String getEducationUserName() {
        return educationUserName;
    }

    public void setEducationUserName(String educationUserName) {
        this.educationUserName = educationUserName;
    }

    public BigDecimal getReceivable() {
        return receivable;
    }

    public void setReceivable(BigDecimal receivable) {
        this.receivable = receivable;
    }

    public BigDecimal getIncome() {
        return income;
    }

    public void setIncome(BigDecimal income) {
        this.income = income;
    }

    public BigDecimal getPrepaidFee() {
        return prepaidFee;
    }

    public void setPrepaidFee(BigDecimal prepaidFee) {
        this.prepaidFee = prepaidFee;
    }
}
