package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class CourseConvertClassDto{

    @ApiModelProperty(value = "是否继续提交")
    private Boolean checkCourseTimesFlag = false;

    @ApiModelProperty(value = "老师设置", required = true)
    private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

    @ApiModelProperty(value = "排课次数", required = true)
    private Integer courseTimes;

    @ApiModelProperty(value = "排课循环方式", required = true)
    private List<CourseTimeDto> courseTimeDtoList;

    @ApiModelProperty(value = "是否允许0课酬")
    private Boolean allowZeroSalary = false;

    @ApiModelProperty(value = "确认生成课程")
    private Boolean confirmGenerate = false;

    public Boolean getCheckCourseTimesFlag() {
        return checkCourseTimesFlag;
    }

    public void setCheckCourseTimesFlag(Boolean checkCourseTimesFlag) {
        this.checkCourseTimesFlag = checkCourseTimesFlag;
    }

    public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
        return classGroupTeacherMapperList;
    }

    public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
        this.classGroupTeacherMapperList = classGroupTeacherMapperList;
    }

    public Integer getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(Integer courseTimes) {
        this.courseTimes = courseTimes;
    }

    public List<CourseTimeDto> getCourseTimeDtoList() {
        return courseTimeDtoList;
    }

    public void setCourseTimeDtoList(List<CourseTimeDto> courseTimeDtoList) {
        this.courseTimeDtoList = courseTimeDtoList;
    }

    public Boolean getAllowZeroSalary() {
        return allowZeroSalary;
    }

    public void setAllowZeroSalary(Boolean allowZeroSalary) {
        this.allowZeroSalary = allowZeroSalary;
    }

    public Boolean getConfirmGenerate() {
        return confirmGenerate;
    }

    public void setConfirmGenerate(Boolean confirmGenerate) {
        this.confirmGenerate = confirmGenerate;
    }
}
