package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ExtracurricularExercisesReply;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/26
 */
public class ExtraExerciseStudentsDto extends ExtracurricularExercisesReply {

    private String studentName;

    private Integer teacherId;

    private String teacherName;

    private String musicScoreId;

    private String musicScoreName;

    private String headUrl;

    private String title;

    private String content;

    private String phone;

    private java.util.Date expireDate;

    private String statusStr;
    private String isRepliedStr;
    private String isViewStr;
    private String isRepliedTimelyStr;

    @ApiModelProperty(value = "是否存在vip课")
    private Integer existVipCourse;

    private String existVipCourseStr;

    @ApiModelProperty(value = "作业创建时间")
    private Date homeworkCreateTime;

    @ApiModelProperty(value = "作业id")
    private Long extracurricularExercisesId;

    @ApiModelProperty(value = "乐团id")
    private String musicGroupId;

    @ApiModelProperty(value = "班级id")
    private Integer classGroupId;

    @ApiModelProperty(value = "作业类型")
    private String type;

    private String subjectId;

    public String getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(String subjectId) {
        this.subjectId = subjectId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public Long getExtracurricularExercisesId() {
        return extracurricularExercisesId;
    }

    @Override
    public void setExtracurricularExercisesId(Long extracurricularExercisesId) {
        this.extracurricularExercisesId = extracurricularExercisesId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Date getHomeworkCreateTime() {
        return homeworkCreateTime;
    }

    public void setHomeworkCreateTime(Date homeworkCreateTime) {
        this.homeworkCreateTime = homeworkCreateTime;
    }

    public String getMusicScoreId() {
        return musicScoreId;
    }

    public void setMusicScoreId(String musicScoreId) {
        this.musicScoreId = musicScoreId;
    }

    public String getMusicScoreName() {
        return musicScoreName;
    }

    public void setMusicScoreName(String musicScoreName) {
        this.musicScoreName = musicScoreName;
    }

    public String getHeadUrl() {
        return headUrl;
    }

    public void setHeadUrl(String headUrl) {
        this.headUrl = headUrl;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIsRepliedTimelyStr() {
        return isRepliedTimelyStr;
    }

    public void setIsRepliedTimelyStr(String isRepliedTimelyStr) {
        this.isRepliedTimelyStr = isRepliedTimelyStr;
    }

    public String getExistVipCourseStr() {
        return existVipCourseStr;
    }

    public void setExistVipCourseStr(String existVipCourseStr) {
        this.existVipCourseStr = existVipCourseStr;
    }

    public Integer getExistVipCourse() {
        return existVipCourse;
    }

    public void setExistVipCourse(Integer existVipCourse) {
        this.existVipCourse = existVipCourse;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getIsRepliedStr() {
        return isRepliedStr;
    }

    public void setIsRepliedStr(String isRepliedStr) {
        this.isRepliedStr = isRepliedStr;
    }

    public String getIsViewStr() {
        return isViewStr;
    }

    public void setIsViewStr(String isViewStr) {
        this.isViewStr = isViewStr;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
