package com.ym.mec.biz.dal.dto;


import com.ym.mec.biz.dal.enums.HardLevelEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author zx
 * @since 2023-04-03 18:20:36
 */
@Data
public class LessonExaminationDetailDto{

    @ApiModelProperty(value = "曲目id")
    private Long musicScoreId;

    @ApiModelProperty(value = "评测难度")
    private HardLevelEnum heardLevel;

    @ApiModelProperty(value = "分谱")
    private Integer partIndex;

    @ApiModelProperty(value = "合格分数")
    private Integer score;

    @ApiModelProperty("开始小节")
    private Integer start;

    @ApiModelProperty("结束小节")
    private Integer end;
}

