package com.ym.mec.biz.dal.dto;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OperatingTotalIncomeDto {
    // 城市
    private String organName;

    private Integer organId;

    // 学生指导费课耗收入
    private BigDecimal studentGuidanceIncome = BigDecimal.ZERO;

    // 学校课程采买课耗收入
    private BigDecimal coursePurchaseIncome = BigDecimal.ZERO;

    // 考级
    private BigDecimal examIncome = BigDecimal.ZERO;

    // 维修费用
    private BigDecimal maintenanceCost = BigDecimal.ZERO;

    // 乐保费用
    private BigDecimal instrumentInsuranceCost = BigDecimal.ZERO;

    // 其他服务收入
    private BigDecimal otherServiceIncome = BigDecimal.ZERO;

    // 云教练团云教练收入
    private BigDecimal cloudCoachIncome = BigDecimal.ZERO;

    // 个人云教练收入
    private BigDecimal saleCloudCoachIncome = BigDecimal.ZERO;

    // 团购乐器
    private BigDecimal groupPurchaseInstruments = BigDecimal.ZERO;

    // 团购教辅
    private BigDecimal groupPurchaseTeachingAids = BigDecimal.ZERO;

    // 其他（零售乐器、教辅）
    private BigDecimal otherIncome = BigDecimal.ZERO;

    // 大件乐器
    private BigDecimal largeInstruments = BigDecimal.ZERO;

    // 服务收入
    private BigDecimal serviceIncome = BigDecimal.ZERO;

    // 销售收入
    private BigDecimal salesIncome = BigDecimal.ZERO;
}
