package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.wrapper.SchoolIndexStatWrapper;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SchoolIndexStatDto {

    @ApiModelProperty("年级分布")
    private List<SchoolIndexStatWrapper.GradeDistribution> gradeDistributions;

    @ApiModelProperty("声部分布")
    private List<SchoolIndexStatWrapper.SubjectDistribution> subjectDistributions;

    @ApiModelProperty("乐团年级分布")
    private List<SchoolIndexStatWrapper.MusicGradeDistribution> musicGradeDistributions;

    @ApiModelProperty("年级声部分布")
    private List<SchoolIndexStatWrapper.SubjectGradeDistribution> subjectGradeDistributions;

    @ApiModelProperty("学员出勤")
    private SchoolIndexStatWrapper.StudentAttendance studentAttendance;

    @ApiModelProperty("学员练习")
    private SchoolIndexStatWrapper.StudentLesson studentLessons;
}
