package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class StudentCourseConsumerSumDto extends StudentCourseConsumerDto{

    @ApiModelProperty(value = "实际课耗：所选时间段内所有学生课时数之和，注意：若一节1v2课程又两个学生，则统计为2节课")
    private BigDecimal courseSum = BigDecimal.ZERO;

    @ApiModelProperty(value = "课耗达标率：实际课耗/应有课耗*100%")
    private BigDecimal courseConsumerRate = BigDecimal.ZERO;

    @ApiModelProperty(value = "达标占比：4节+≥5节的人数之和/在读人数*100%")
    private BigDecimal standRate = BigDecimal.ZERO;

    @ApiModelProperty(value = "应有课耗：根据所选时间段计算，若所选时间段在一个自然月内则按在读人数*4，若超出一个月，该时间周期存在几个月就按在读人数*4*月数")
    private BigDecimal courseConsumerNum = BigDecimal.ZERO;

    @ApiModelProperty(value = "大于等于4节")
    private BigDecimal num6 = BigDecimal.ZERO;

    public BigDecimal getNum6() {
        return num6;
    }

    public void setNum6(BigDecimal num6) {
        this.num6 = num6;
    }

    public BigDecimal getCourseSum() {
        return courseSum;
    }

    public void setCourseSum(BigDecimal courseSum) {
        this.courseSum = courseSum;
    }

    public BigDecimal getCourseConsumerRate() {
        return courseConsumerRate;
    }

    public void setCourseConsumerRate(BigDecimal courseConsumerRate) {
        this.courseConsumerRate = courseConsumerRate;
    }

    public BigDecimal getStandRate() {
        return standRate;
    }

    public void setStandRate(BigDecimal standRate) {
        this.standRate = standRate;
    }

    public BigDecimal getCourseConsumerNum() {
        return courseConsumerNum;
    }

    public void setCourseConsumerNum(BigDecimal courseConsumerNum) {
        this.courseConsumerNum = courseConsumerNum;
    }
}
