package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
@Data
public class StudentVipGroupDetailDto extends StudentVipGroupShowListDto {

    @ApiModelProperty(value = "总课时")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "授课地点")
    private String address;

    @ApiModelProperty(value = "教师vip课申请数量")
    private Integer numberOfClasses;

    @ApiModelProperty(value = "课程列表",required = false)
    private List<CourseSchedule> courseSchedules;

    @ApiModelProperty("直播间配置信息")
    private String liveConfigJson;

    private Boolean alertSubjectFlag = false;
}
