package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/10/2
 */
@Data
public class VipGroupBuyParamsDto extends BaseEntity {

    @ApiModelProperty(value = "vip课程ID")
    private Long vipGroupId;

    @ApiModelProperty(value = "付款渠道")
    private String paymentChannel;

    @ApiModelProperty(value = "业务渠道")
    private String paymentBusinessChannel;

    @ApiModelProperty(value = "是否使用账户余额支付")
    private boolean isUseBalancePayment;

    @ApiModelProperty(value = "是否重新支付")
    private boolean isRepeatPay = false;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    private Integer userId;

    @ApiModelProperty(value = "是否继续支付")
    private Boolean continuePay = false;
}
