package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
@Data
public class VipGroupSalarySettlementDto implements Serializable {

    @ApiModelProperty("收费VIP线下课收费标准")
    private VipGroupSalarySettlementTypeDto offlineSalarySettlement;

    @ApiModelProperty("赠送VIP线下课收费标准")
    private VipGroupSalarySettlementTypeDto giveVipOfflineSalarySettlement;

    @ApiModelProperty("网管课收费标准")
    private VipGroupSalarySettlementTypeDto practiceSalarySettlement;

    @ApiModelProperty("赠送网管课收费标准")
    private VipGroupSalarySettlementTypeDto givePracticeSalarySettlement;
}
