package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.SalarySettlementTypeEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
@Data
public class VipGroupSalarySettlementTypeDto {

    @ApiModelProperty(value = "课程形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "课酬结算方式")
    private SalarySettlementTypeEnum salarySettlementType;

    @ApiModelProperty(value = "课酬结算参数值")
    private BigDecimal settlementValue;
}
