package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
@Data
public class VipGroupStudentDto {

    @ApiModelProperty(value = "用户编号")
    private Integer id;

    @ApiModelProperty(value = "用户名称")
    private String userName;

    @ApiModelProperty(value = "分部")
    private Integer organId;

    @ApiModelProperty(value = "声部")
    private Integer subjectId;

    @ApiModelProperty(value = "声部")
    private String subjectName;

    @ApiModelProperty(value = "分部")
    private String organName;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "课时总数")
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课时")
    private Integer currentClassTimes;

    private BigDecimal courseSalary;

    private BigDecimal balance;

    private BigDecimal allBalance;

    private Date applyDate;

    private Date refundDate;

    private Integer studentStatus;

    /** 线上课单价 */
    private java.math.BigDecimal onlineClassesUnitPrice;

    /** 线下课单价 */
    private java.math.BigDecimal offlineClassesUnitPrice;
}
