package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(cooperation_share_profit):
 */
public class CooperationShareProfitDto extends CooperationShareProfit{

	@ApiModelProperty(value = "分部", required = false)
	private String organName;

	@ApiModelProperty(value = "合作单位", required = false)
	private String cooperationName;

	@ApiModelProperty(value = "乐团名称", required = false)
	private String musicGroupName;

	@ApiModelProperty(value = "乐团主管", required = false)
	private Integer educationUserId;

	@ApiModelProperty(value = "乐团主管", required = false)
	private String educationUserName;

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getCooperationName() {
		return cooperationName;
	}

	public void setCooperationName(String cooperationName) {
		this.cooperationName = cooperationName;
	}

	public String getMusicGroupName() {
		return musicGroupName;
	}

	public void setMusicGroupName(String musicGroupName) {
		this.musicGroupName = musicGroupName;
	}

	public Integer getEducationUserId() {
		return educationUserId;
	}

	public void setEducationUserId(Integer educationUserId) {
		this.educationUserId = educationUserId;
	}

	public String getEducationUserName() {
		return educationUserName;
	}

	public void setEducationUserName(String educationUserName) {
		this.educationUserName = educationUserName;
	}
}
