package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class LessonCourseware{
	@ApiModelProperty(value = "主键")
	@TableId(value = "id_", type = IdType.AUTO)
	private Integer id;

	@ApiModelProperty(value = "关联声部")
	@TableField(value = "subject_id_")
	private Integer subjectId;

	@ApiModelProperty(value = "课件编号")
	@TableField(value = "lesson_course_id_")
	private Long lessonCourseId;

	@ApiModelProperty(value = "学员适用范围ALL,RANGE,DISABLE")
	@TableField(value = "student_range_type_")
	private String studentRangeType;

	@ApiModelProperty(value = "老师适用范围ALL,RANGE,DISABLE")
	@TableField(value = "teacher_range_type_")
	private String teacherRangeType;

	@ApiModelProperty(value = "是否启用")
	@TableField(value = "enable_")
	private Boolean enable = false;

	@ApiModelProperty(value = "创建人")
	@TableField(value = "create_by_")
	private Integer createBy;

	@ApiModelProperty(value = "修改人")
	@TableField(value = "update_by_")
	private Integer updateBy;

	@ApiModelProperty(value = "更新时间")
	@TableField(value = "update_time_")
	private Date updateTime;

	@ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time_")
	private Date createTime;
}
