package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class LessonCoursewareUserMapper {
    @ApiModelProperty(value = "主键")
    @TableId(value = "id_", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "课件id")
    @TableField(value = "lesson_courseware_id_")
    private Integer lessonCoursewareId;

    @ApiModelProperty(value = "用户类型")
    @TableField(value = "user_type_")
    private String userType;

    @ApiModelProperty(value = "用户id")
    @TableField(value = "user_id_")
    private Integer userId;

    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time_")
    private Date createTime;
}
