package com.ym.mec.biz.dal.entity;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.ym.mec.common.entity.BaseEntity;

public class LuckDrawCount extends BaseEntity {
	private Long userId;

	private Integer usedCount;

	private Integer availableCount;

	private BigDecimal availableAmount = new BigDecimal(0);

	private Date modifyOn;

	@JsonProperty("HZFlag")
	private Boolean HZFlag = false;

	private Integer groupId;

	public Boolean getHZFlag() {
		return HZFlag;
	}

	public void setHZFlag(Boolean HZFlag) {
		this.HZFlag = HZFlag;
	}

	public Integer getGroupId() {
		return groupId;
	}

	public void setGroupId(Integer groupId) {
		this.groupId = groupId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Integer getUsedCount() {
		return usedCount == null ? 0 : usedCount;
	}

	public void setUsedCount(Integer usedCount) {
		this.usedCount = usedCount;
	}

	public Integer getAvailableCount() {
		return availableCount == null ? 0 : availableCount;
	}

	public void setAvailableCount(Integer availableCount) {
		this.availableCount = availableCount;
	}

	public BigDecimal getAvailableAmount() {
		return availableAmount;
	}

	public void setAvailableAmount(BigDecimal availableAmount) {
		this.availableAmount = availableAmount;
	}

	public Date getModifyOn() {
		return modifyOn;
	}

	public void setModifyOn(Date modifyOn) {
		this.modifyOn = modifyOn;
	}
}