package com.ym.mec.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ym.mec.biz.dal.enums.GoodsType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@ApiModel(value = "music_group_payment_calender_goods")
@Data
public class MusicGroupPaymentCalenderGoods implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("calender_id_")
    @ApiModelProperty(value = "缴费项目编号")
    private Long calenderId;

    @TableField("goods_id_")
    @ApiModelProperty(value = "商品编号")
    private Integer goodsId;

    @TableField("goods_name_")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @TableField("goods_type_")
    @ApiModelProperty(value = "商品类型", required = false)
    private String goodsType;

    @TableField("goods_sn_")
    @ApiModelProperty(value = "商品货号")
    private String goodsSn;

    @TableField("child_goods_json_")
    @ApiModelProperty(value = "子商品明细")
    private String childGoodsJson;

    @TableField("num_")
    @ApiModelProperty(value = "数量")
    private Integer num;

    @TableField("single_price_")
    @ApiModelProperty(value = "单价")
    private java.math.BigDecimal singlePrice;

    @TableField("total_price_")
    @ApiModelProperty(value = "总价")
    private java.math.BigDecimal totalPrice;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}

