package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.PeriodEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class MusicGroupPaymentCalenderMember extends MusicGroupPaymentCalenderBase{
    @ApiModelProperty(value = "会员名称", required = false)
    private String name;

    @ApiModelProperty(value = "会员周期", required = false)
    private PeriodEnum period;

    @ApiModelProperty(value = "会员等级编号", required = false)
    private Integer memberRankSettingId = 1;

    private Integer organId;

    @ApiModelProperty(value = "自动激活团练宝标识", required = false)
    private Boolean autoActivationFlag = false;

    @ApiModelProperty(value = "团练宝收入实际收入，用于结算经营报表，actualAmount减去收入以及其他费用，剩下的就是课程费用", required = false)
    private BigDecimal income = BigDecimal.ZERO;
}
