package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import lombok.Data;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * 活动详情人员
 * 2023-05-04 11:32:00
 */
@Data
@ApiModel(" SchoolActivityDetailUser-活动详情人员")
@TableName("school_activity_detail_user")
public class SchoolActivityDetailUser implements Serializable {

	    @TableId(value = "id_", type = IdType.AUTO)
        private Integer id;

    @ApiModelProperty("活动详情ID") 
	@TableField(value = "school_activity_detail_id_")
    private Integer schoolActivityDetailId;

    @ApiModelProperty("学生ID") 
	@TableField(value = "student_id_")
    private Integer studentId;

    @ApiModelProperty("声部ID")
    @TableField(value = "subject_id_")
    private Integer subjectId;

}