package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 学生课件播放统计记录
 * 2024-07-04 14:48:14
 */
@Data
@ApiModel(" StudentCoursewarePlayRecord-学生课件播放统计记录")
@TableName("student_courseware_play_record")
public class StudentCoursewarePlayRecord implements Serializable {

    @ApiModelProperty("主键ID")
    @TableId(value = "id_")
    private Long id;

    @ApiModelProperty("分部ID")
    @TableField(value = "organization_id_")
    private Integer organizationId;

    @ApiModelProperty("用户编号")
    @TableField(value = "user_id_")
    private Integer userId;

    @ApiModelProperty("播放时长，单位为秒")
    @TableField(value = "play_time_")
    private BigDecimal playTime;

    @ApiModelProperty("创建的天")
    @TableField(value = "create_date_")
    private String createDate;

    @ApiModelProperty("更新时间")
    @TableField(value = "update_time_")
    private Date updateTime;

    @ApiModelProperty("创建时间")
    @TableField(value = "create_time_")
    private Date createTime;

}