package com.ym.mec.biz.dal.entity;

import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 对应数据库表(teacher_cloud_course_report):
 */
public class TeacherCloudCourseReport extends BaseEntity {

	private Long id;

	@ApiModelProperty(value = "老师编号")
	private Long teacherId;

	@ApiModelProperty(value = "分部")
	private Integer organId;

	@ApiModelProperty(value = "课程时长")
	private Integer courseTime;

	@ApiModelProperty(value = "训练时长")
	private Integer playTime;

	@ApiModelProperty(value = "训练总时长")
	private Integer totalPlayTime;

	@ApiModelProperty(value = "上课时间")
	private String classDate;

	private Integer tenantId;

	public Integer getTotalPlayTime() {
		return totalPlayTime;
	}

	public void setTotalPlayTime(Integer totalPlayTime) {
		this.totalPlayTime = totalPlayTime;
	}

	@Override
	public Integer getTenantId() {
		return tenantId;
	}

	@Override
	public void setTenantId(Integer tenantId) {
		this.tenantId = tenantId;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(Long teacherId) {
		this.teacherId = teacherId;
	}

	public Integer getOrganId() {
		return organId;
	}

	public void setOrganId(Integer organId) {
		this.organId = organId;
	}

	public Integer getCourseTime() {
		return courseTime;
	}

	public void setCourseTime(Integer courseTime) {
		this.courseTime = courseTime;
	}

	public Integer getPlayTime() {
		return playTime;
	}

	public void setPlayTime(Integer playTime) {
		this.playTime = playTime;
	}

	public String getClassDate() {
		return classDate;
	}

	public void setClassDate(String classDate) {
		this.classDate = classDate;
	}
}
