package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 班级类型
 */
public enum ClassGroupTypeEnum implements BaseEnum<String, ClassGroupTypeEnum> {
	NORMAL("NORMAL", "声部班"),
	MIX("MIX", "合奏班"),
	HIGH("HIGH", "基础技能班"),
	VIP("VIP", "vip课"),
	DEMO("DEMO", "试听课"),
	PRACTICE("PRACTICE", "网管课"),
	SNAP("SNAP", "临时班"),
	COMM("COMM", "对外课程"),
	HIGH_ONLINE("HIGH_ONLINE", "线上基础技能班"),
	MUSIC_NETWORK("MUSIC_NETWORK","乐团网管课"),
	LIVE("LIVE","直播课"),
	;

	private String code;

	private String msg;

	ClassGroupTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
