package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 考级资讯类型
 */
public enum DegreeNewsTypeEnum implements BaseEnum<String, DegreeNewsTypeEnum> {
	EXAMINEE_STYLE("EXAMINEE_STYLE", "考生风采"),
	GRADE_EXAMINATION_BRIEF("GRADE_EXAMINATION_BRIEF", "考级简章"),
	GRADING_NOTICE("GRADING_NOTICE", "考级须知");

	private String code;

	private String msg;

	DegreeNewsTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
