package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;

public enum DegreeTypeEnum implements BaseEnum<String, DegreeTypeEnum> {
    GRADE("GRADE", "专业考级"),
    THEORY("THEORY", "乐理考级");

    @EnumValue
    private String code;

    private String msg;

    DegreeTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
