package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum EEvaluateProblemType implements BaseEnum<String, EEvaluateProblemType> {

    // 问题类型（课堂纪律、放学组织、环境卫生、教态仪表、沟通表达、专业能力、其他）
    // 课堂纪律 CLASSROOM_DISCIPLINE, 放学组织 AFTER_SCHOOL_ORGANIZATION, 环境卫生 ENVIRONMENTAL_SANITATION, 教态仪表 TEACHING_DEMEANOR, 沟通表达 COMMUNICATION_EXPRESSION, 专业能力 PROFESSIONAL_ABILITY, 其他 OTHER
    CLASSROOM_DISCIPLINE("CLASSROOM_DISCIPLINE","课堂纪律"),
    AFTER_SCHOOL_ORGANIZATION("AFTER_SCHOOL_ORGANIZATION","放学组织"),
    ENVIRONMENTAL_SANITATION("ENVIRONMENTAL_SANITATION","环境卫生"),
    TEACHING_DEMEANOR("TEACHING_DEMEANOR","教态仪表"),
    COMMUNICATION_EXPRESSION("COMMUNICATION_EXPRESSION","沟通表达"),
    PROFESSIONAL_ABILITY("PROFESSIONAL_ABILITY","专业能力"),
    OTHER("OTHER","其他");

    @EnumValue
    private String code;

    private String msg;

    EEvaluateProblemType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
