package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum EEvaluateStatus implements BaseEnum<String, EEvaluateStatus> {

    // 评价（优秀EXCELLENT、良好GOOD、合格QUALIFIED、不合格UNQUALIFIED
    EXCELLENT("EXCELLENT","优秀"),
    GOOD("GOOD","良好"),
    QUALIFIED("QUALIFIED","合格"),
    UNQUALIFIED("UNQUALIFIED","不合格");

    @EnumValue
    private String code;

    private String msg;

    EEvaluateStatus(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
