package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

/**
 * Description
 *
 * @author liujunchi
 * @date 2023-04-03
 */
@Getter
public enum EHomeWorkStatus implements BaseEnum<String, EHomeWorkStatus> {

    /**
     * 未布置
     */
    UNASSIGNED("未布置"),

    /**
     * 已布置
     */
    ASSIGNED("已布置"),

    /**
     * 已截止
     */
    DEADLINE("已截止"),

    ;


    private String msg;

    @EnumValue
    private String code;

    EHomeWorkStatus(String msg) {
        this.msg = msg;
        this.code = this.name();
    }

}
