package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum EInGroupStatus implements BaseEnum<String, EInGroupStatus> {

    // 在团状态 在团 IN 退团 OUT 申请退团 APPLY_OUT
    IN("IN", "在团"),
    OUT("OUT", "退团"),
    QUIT_SCHOOL("QUIT_SCHOOL","休学"),
    APPLY("APPLY","报名"),
    APPLY_OUT("APPLY_OUT", "申请退团");

    @EnumValue
    private String code;

    private String msg;

    EInGroupStatus(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
