package com.ym.mec.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;
import lombok.Getter;

@Getter
public enum ESchoolActivityProgramType implements BaseEnum<String, ESchoolActivityProgramType> {

    // 节目类型 合奏 ENSEMBLE 独奏 SOLO 重奏 REPRISE 齐奏 UNISON
    ENSEMBLE("ENSEMBLE","合奏"),
    SOLO("SOLO","独奏"),
    REPRISE("REPRISE","重奏"),
    UNISON("UNISON","齐奏");


    @EnumValue
    private String code;

    private String msg;

    ESchoolActivityProgramType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
