package com.ym.mec.biz.dal.enums.degree;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.ym.mec.common.enums.BaseEnum;

/**
 * 考级费用分类
 */
public enum EDegreeFeeType implements BaseEnum<Integer, EDegreeFeeType> {

    GRADE(0, "乐器"),
    THEORY(1, "乐理");

    @EnumValue
    private Integer code;

    private String msg;

    EDegreeFeeType(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getMsg() {
        return msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }
}
