package com.ym.mec.biz.dal.enums.im;

// Display 定义格式如下：
// display://type=1?userId=xxx?uri=xxxxx
// 0，1，3 时，userId 有效，对应此人的 id，uri 无效
// 2 时，展示白板，必须携带白板 uri
// 4 时，清空当前 room 的 display

import lombok.Getter;

@Getter
public enum ImNetworkDisplayEnum{
    ASSISTANT("助教"),
    TEACHER("老师"),
    WHITE_BOARD("白板"),
    SCREEN("屏幕"),
    //清空当前 room 的 display
    NONE("清空"),
    STUDENT("学员");

    private final String msg;

    ImNetworkDisplayEnum(String msg) {
        this.msg = msg;
    }

    public String getCode() {
        return this.name();
    }

}