package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.CourseSchedule;
import com.ym.mec.biz.dal.wrapper.TeachingPointWrapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface CourseSchedulePlusMapper extends BaseMapper<Object> {

    List<TeachingPointWrapper.CourseTeachingPoint> teachingPointCourse(@Param("page") IPage<TeachingPointWrapper.CourseTeachingPoint> page,
                                                                       @Param("param") TeachingPointWrapper.TeachingPointQuery queryInfo);

    List<TeachingPointWrapper.ClassTeachingPoint> teachingPointClass(@Param("page") IPage<TeachingPointWrapper.ClassTeachingPoint> page,
                                                                     @Param("param") TeachingPointWrapper.TeachingPointQuery queryInfo);
}