package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.Degree;
import com.ym.mec.biz.dal.wrapper.DegreeWrapper;

/**
 * 考级信息
 * 2023-04-10 10:24:25
 */
@Repository
public interface DegreeMapper extends BaseMapper<Degree> {

	/**
	 * 分页查询
	 * @param page IPage<DegreeWrapper.Degree>
	 * @param param DegreeWrapper.DegreeQuery
	 * @return List<DegreeWrapper.Degree>
	 */
	List<Degree> selectPage(@Param("page") IPage<Degree> page, @Param("param") DegreeWrapper.DegreeQuery param);

    void degreeStatusChange();
}