package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.vo.DegreeNewsVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.DegreeNews;
import com.ym.mec.biz.dal.wrapper.DegreeNewsWrapper;

/**
 * 考级资讯表
 * 2023-04-10 10:24:25
 */
@Repository
public interface DegreeNewsMapper extends BaseMapper<DegreeNews> {

	/**
	 * 分页查询
	 * @param page IPage<DegreeNewsWrapper.DegreeNews>
	 * @param param DegreeNewsWrapper.DegreeNewsQuery
	 * @return List<DegreeNewsWrapper.DegreeNews>
	 */
	List<DegreeNewsVo> selectPage(@Param("page") IPage<DegreeNewsVo> page, @Param("param") DegreeNewsWrapper.DegreeNewsQuery param);
	
}