package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ym.mec.biz.dal.dto.ComplementGoodsDto;
import com.ym.mec.biz.dal.entity.GoodsSub;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 组合商品，子商品信息
 * 2024-02-21 16:24:38
 */
@Repository
public interface GoodsSubMapper extends BaseMapper<GoodsSub> {


    void saveBatch(@Param("goodsSubs") List<GoodsSub> goodsSubs);

    void updateStatus(@Param("goodsSubIdList") List<Integer> goodsSubIdList, @Param("status") Boolean status);

    List<ComplementGoodsDto> queryChildGoods(@Param("goodsId") Integer goodsId);
}