package com.ym.mec.biz.dal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ym.mec.biz.dal.entity.LessonCourseware;
import com.ym.mec.biz.dal.entity.Subject;
import com.ym.mec.biz.dal.wrapper.LessonCoursewareWrapper;
import com.ym.mec.biz.dal.wrapper.SchoolActivityWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface LessonCoursewareMapper extends BaseMapper<LessonCourseware> {

    List<LessonCoursewareWrapper.LessonCoursewareDto> selectPage(@Param("page") IPage<LessonCoursewareWrapper.LessonCoursewareDto> page,
                                                                 @Param("param") LessonCoursewareWrapper.LessonCoursewareQuery param);

    List<LessonCoursewareWrapper.LessonCoursewareDto> list(@Param("param") LessonCoursewareWrapper.LessonCoursewareQuery param);


    //获取课件关联的声部列表
    List<Subject> getLessonCoursewareSubjectList();
}