package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.SchoolActivityDetail;
import com.ym.mec.biz.dal.wrapper.SchoolActivityDetailWrapper;

/**
 * 活动详情
 * 2023-05-04 11:32:00
 */
@Repository
public interface SchoolActivityDetailMapper extends BaseMapper<SchoolActivityDetail> {

	/**
	 * 分页查询
	 * @param page IPage<SchoolActivityDetailWrapper.SchoolActivityDetail>
	 * @param param SchoolActivityDetailWrapper.SchoolActivityDetailQuery
	 * @return List<SchoolActivityDetailWrapper.SchoolActivityDetail>
	 */
	List<SchoolActivityDetail> selectPage(@Param("page") IPage<SchoolActivityDetail> page, @Param("param") SchoolActivityDetailWrapper.SchoolActivityDetailQuery param);
	
}