package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.SchoolActivityDetailUser;
import com.ym.mec.biz.dal.wrapper.SchoolActivityDetailUserWrapper;

/**
 * 活动详情人员
 * 2023-05-04 11:32:00
 */
@Repository
public interface SchoolActivityDetailUserMapper extends BaseMapper<SchoolActivityDetailUser> {

	/**
	 * 分页查询
	 * @param page IPage<SchoolActivityDetailUserWrapper.SchoolActivityDetailUser>
	 * @param param SchoolActivityDetailUserWrapper.SchoolActivityDetailUserQuery
	 * @return List<SchoolActivityDetailUserWrapper.SchoolActivityDetailUser>
	 */
	List<SchoolActivityDetailUser> selectPage(@Param("page") IPage<SchoolActivityDetailUser> page, @Param("param") SchoolActivityDetailUserWrapper.SchoolActivityDetailUserQuery param);
	
}