package com.ym.mec.biz.dal.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderAddress;
import com.ym.mec.biz.dal.wrapper.StudentPaymentOrderAddressWrapper;

/**
 * 学生订单收货地址
 * 2024-03-01 12:05:41
 */
@Repository
public interface StudentPaymentOrderAddressMapper extends BaseMapper<StudentPaymentOrderAddress> {

	/**
	 * 分页查询
	 * @param page IPage<StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress>
	 * @param param StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery
	 * @return List<StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddress>
	 */
	List<StudentPaymentOrderAddress> selectPage(@Param("page") IPage<StudentPaymentOrderAddress> page, @Param("param") StudentPaymentOrderAddressWrapper.StudentPaymentOrderAddressQuery param);
	
}