package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
* @author zx
* @date 2021/9/26 15:52
*/
public class ActivityUserMapperDetailQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "是否退费")
    private Boolean returnFee;

    @ApiModelProperty(value = "是否有剩余为排课次数")
    private Boolean hasSubCourse;

    @ApiModelProperty(value = "指导老师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "学员编号")
    private Integer userId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Boolean getReturnFee() {
        return returnFee;
    }

    public void setReturnFee(Boolean returnFee) {
        this.returnFee = returnFee;
    }

    public Boolean getHasSubCourse() {
        return hasSubCourse;
    }

    public void setHasSubCourse(Boolean hasSubCourse) {
        this.hasSubCourse = hasSubCourse;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
