package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/2/3 0003
 */
public class ArrearageStudentsQueryInfo extends QueryInfo {

    private String organId;

    private String musicGroupId;

    private Integer cooperationOrganId;

    private Integer eduTeacherId;

    private Integer courseViewType;

    @ApiModelProperty(value = "是否排课（用于区分欠费学员异常和欠费学员提醒）")
    private Boolean hasCourse;

    public Boolean getHasCourse() {
        return hasCourse;
    }

    public void setHasCourse(Boolean hasCourse) {
        this.hasCourse = hasCourse;
    }

    public Integer getCourseViewType() {
        return courseViewType;
    }

    public void setCourseViewType(Integer courseViewType) {
        this.courseViewType = courseViewType;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getCooperationOrganId() {
        return cooperationOrganId;
    }

    public void setCooperationOrganId(Integer cooperationOrganId) {
        this.cooperationOrganId = cooperationOrganId;
    }

    public Integer getEduTeacherId() {
        return eduTeacherId;
    }

    public void setEduTeacherId(Integer eduTeacherId) {
        this.eduTeacherId = eduTeacherId;
    }
}
