package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class CooperationRefundQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "合作单位编号",required = false)
    private Integer cooperationId;

    @ApiModelProperty(value = "分部",required = false)
    private String organId;

    @ApiModelProperty(value = "回访状态",required = false)
    private String refundStatus;

    @ApiModelProperty(value = "缴费开始时间",required = false)
    private String refundStartDate;

    @ApiModelProperty(value = "缴费结束时间",required = false)
    private String refundEndDate;

    @ApiModelProperty(value = "异常类型，COOPERATION_PAYMENT_ERROR 回款异常,COOPERATION_PAYMENT_ALERT 回款提醒",required = false)
    private String errorType;

    public String getErrorType() {
        return errorType;
    }

    public void setErrorType(String errorType) {
        this.errorType = errorType;
    }

    public Integer getCooperationId() {
        return cooperationId;
    }

    public void setCooperationId(Integer cooperationId) {
        this.cooperationId = cooperationId;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRefundStartDate() {
        return refundStartDate;
    }

    public void setRefundStartDate(String refundStartDate) {
        this.refundStartDate = refundStartDate;
    }

    public String getRefundEndDate() {
        return refundEndDate;
    }

    public void setRefundEndDate(String refundEndDate) {
        this.refundEndDate = refundEndDate;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }
}
