package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.im.AuditStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

@Data
public class ImGroupMemberAuditQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "审核状态")
    private String auditStatus = AuditStatusEnum.AUDITING.getCode();

    @ApiModelProperty(value = "用户编号")
    private Long userId;

    @NotBlank(message = "群编号不可为空")
    @ApiModelProperty(value = "群编号")
    private String groupId;
}
