package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.SporadicChargeTypeEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SporadicChargeInfoQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部编号",required = false)
    private String organId;

    @ApiModelProperty(value = "收费类型",required = false)
    private SporadicChargeTypeEnum chargeType;

    @ApiModelProperty(value = "类型",required = false)
    private String type;

    private boolean isExport = false;

    @ApiModelProperty(value = "是否关闭", required = true)
    private Integer openFlag;
}
