package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentCourseConsumerQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "分部")
    private String organId;

    @ApiModelProperty(value = "月份")
    private String month;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

    @ApiModelProperty(value = "周数")
    private long weekBetween;
}
