package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/9/25
 */
@Data
public class StudentVipGroupQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "科目ID",required = false)
    private String subjectId;

    @ApiModelProperty(value = "课程类型",required = false)
    private String classType;

    @ApiModelProperty(value = "课程类型编号")
    private String categoryId;

    @ApiModelProperty(value = "学生编号")
    private Integer userId;

    @ApiModelProperty(value = "分部编号")
    private Integer organId;

    @ApiModelProperty(value = "是否剔除已缴费截止数据")
    private Boolean expireFlag = false;

    @ApiModelProperty(value = "课程类型: VIP, LIVE", required = true)
    private String groupType;
}
