package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;

public class TeacherQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "科目编号")
    private Integer subjectId;

    @ApiModelProperty(value = "机构编号")
    private String organId;

    @ApiModelProperty(value = "教师工作性质")
    private String jobNature;

    @ApiModelProperty(value = "是否试用期")
    private String isProbationPeriod;

    @ApiModelProperty(value = "账号状态")
    private String lockFlag;

    @ApiModelProperty(value = "是否支持额外陪练课授课")
    private Boolean isSupportExtraPracticeLesson;

    @ApiModelProperty(value = "是否结算课酬")
    private Boolean isSettlementSalary;

    @ApiModelProperty(value = "是否离职")
    private Boolean demissionFlag;

    public Boolean getDemissionFlag() {
        return demissionFlag;
    }

    public void setDemissionFlag(Boolean demissionFlag) {
        this.demissionFlag = demissionFlag;
    }

    public Boolean getIsSettlementSalary() {
        return isSettlementSalary;
    }

    public void setIsSettlementSalary(Boolean isSettlementSalary) {
        this.isSettlementSalary = isSettlementSalary;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getJobNature() {
        return jobNature;
    }

    public void setJobNature(String jobNature) {
        this.jobNature = jobNature;
    }

    public String getIsProbationPeriod() {
        return isProbationPeriod;
    }

    public void setIsProbationPeriod(String isProbationPeriod) {
        this.isProbationPeriod = isProbationPeriod;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

	public Boolean getIsSupportExtraPracticeLesson() {
		return isSupportExtraPracticeLesson;
	}

	public void setIsSupportExtraPracticeLesson(Boolean isSupportExtraPracticeLesson) {
		this.isSupportExtraPracticeLesson = isSupportExtraPracticeLesson;
	}
}
