package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
@Data
public class VipGroupQueryInfo extends QueryInfo {

    private String organId;

    private String liveOrganId;

    private Long vipGroupId;

    private Integer teacherId;

    private Integer activityId;

    private String status;

    private Integer subjectId;

    private boolean isExport = false;

    private Integer educationalTeacherId;

    private Boolean hasEducationalTeacherId;

    private Boolean delFlag;

    @ApiModelProperty(value = "上课时间，年月日",required = false)
    private String classDate;

    @ApiModelProperty(value = "课程类型分组",required = true)
    private String groupType = "VIP";
}
