package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ClassesForDayDto {
    @ApiModelProperty(value = "课程编号",required = false)
    private Long courseId;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    @ApiModelProperty(value = "课程状态",required = false)
    private CourseStatusEnum courseStatus;

    @ApiModelProperty(value = "上课时间",required = false)
    private String classDate;

    @ApiModelProperty(value = "老师编号",required = false)
    private Integer teacherId;

    @ApiModelProperty(value = "老师头像",required = false)
    private String teacherAvatar;

    @ApiModelProperty(value = "老师名称",required = false)
    private String teacherName;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "乐团名称",required = false)
    private String musicGroupName;

    @ApiModelProperty(value = "学员数量",required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "正常出勤",required = false)
    private Integer attendanceNormalNum;

    @ApiModelProperty(value = "迟到人数",required = false)
    private Integer attendanceLateNum;

    @ApiModelProperty(value = "请假人数",required = false)
    private Integer attendanceLeaveNum;

    @ApiModelProperty(value = "旷课人数",required = false)
    private Integer attendanceTruantNum;

    @ApiModelProperty(value = "教学模式",required = false)
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "作业类型,HOMEWORK,LESSON",required = false)
    private String homeworkType;

    @ApiModelProperty(value = "作业编号",required = false)
    private Long homeworkId;
}
