package com.ym.mec.biz.dal.school.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class TeacherAttendanceDto {
    @ApiModelProperty(value = "签到状态:0异常，1正常")
    private Boolean signInStatus = false;

    @ApiModelProperty(value = "签到时间")
    private Date signInTime;

    @ApiModelProperty(value = "签退状态:0异常，1正常")
    private Boolean signOutStatus = false;

    @ApiModelProperty(value = "签退时间")
    private Date signOutTime;

    @ApiModelProperty(value = "教学点签到状态")
    private Boolean signInAddressStatus = true;

    @ApiModelProperty(value = "教学点签退状态")
    private Boolean signOutAddressStatus = true;

    @ApiModelProperty(value = "签到经纬度")
    private String signInLongitudeLatitude;

    @ApiModelProperty(value = "签退经纬度")
    private String signOutLongitudeLatitude;

    @ApiModelProperty(value = "教学模式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "教学点签到经纬度")
    private String schoolLongitudeLatitude;

    @ApiModelProperty(value = "课程状态")
    private CourseStatusEnum courseStatus;

}
