package com.ym.mec.biz.dal.school.page;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TeacherAttendanceQueryDto {

    @ApiModelProperty(value = "合作单位编号",required = true)
    private Integer coopId;

    @ApiModelProperty(value = "班级编号",required = true)
    private Integer classGroupId;

    @ApiModelProperty(value = "老师编号",required = true)
    private Integer teacherId;

    @ApiModelProperty(value = "课程状态",required = true)
    private CourseStatusEnum courseStatus;
}
