package com.ym.mec.biz.dal.wrapper;

import com.ym.mec.biz.dal.entity.CourseSchedule;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

public class DailySummaryOfClassesForTheCurrentSemesterWrapper {


    @Data
    public static class DailySummaryOfClassesForTheCurrentSemesterDto{
        @ApiModelProperty(value = "课程类型列表",required = false)
        private List<DailySummaryOfClassesForTheCurrentSemesterDetailDto> dailySummaryOfClassesForTheCurrentSemesterDetailDtos;

        @ApiModelProperty(value = "上课时间",required = false)
        private LocalDate courseDate;
    }

    @Data
    public static class DailySummaryOfClassesForTheCurrentSemesterDetailDto{
        @ApiModelProperty(value = "剩余课时数",required = false)
        private Integer subCourseNum = 0;

        @ApiModelProperty(value = "总课时数",required = false)
        private Integer totalCourseNum = 0;

        @ApiModelProperty(value = "课程类型",required = false)
        private CourseSchedule.CourseScheduleType scheduleType;
    }

    @Data
    public static class DailySummaryOfClassesForTheCurrentSemesterMapDto{

        private List<DailySummaryOfClassesForTheCurrentSemesterDto> dailySummaryOfClassesForTheCurrentSemesterDtos;

        private String week;

        private String weekTime;

        @ApiModelProperty(value = "课程状态NOT_START,ING,END",required = false)
        private String courseStatus;
    }
}
