package com.ym.mec.biz.dal.wrapper;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

public class MusicGroupCalenderRefundPeriodWrapper {


    @Data
    public static class MusicGroupCalenderRefundPeriod {

        /**  */
        private Integer id;

        @ApiModelProperty(value = "分部",required = false)
        private Integer organId;

        @ApiModelProperty(value = "合作单位编号",required = false)
        private Integer cooperationOrganId;

        @ApiModelProperty(value = "缴费项目编号",required = false)
        private Long calenderId;

        @ApiModelProperty(value = "回款时间",required = false)
        private String refundDate;

        @ApiModelProperty(value = "回款金额",required = false)
        private java.math.BigDecimal refundAmount;

        @ApiModelProperty(value = "已回款金额",required = false)
        private java.math.BigDecimal income = BigDecimal.ZERO;

        @ApiModelProperty(value = "剩余待回款金额",required = false)
        private java.math.BigDecimal subRefundAmount;

        @ApiModelProperty(value = "是否完成回款",required = false)
        private Boolean refundFlag = false;

        @ApiModelProperty(value = "订单编号",required = false)
        private String orderNos;

        @ApiModelProperty(value = "备注",required = false)
        private String memo;

        @ApiModelProperty(value = "责任人",required = false)
        private Integer responsiblePerson;


        @ApiModelProperty(value = "责任人",required = false)
        private String responsiblePersonName;
        private String responsiblePersonPhone;

        @ApiModelProperty(value = "是否发送回款提醒",required = false)
        private Boolean sendRemind = false;

        /**  */
        private java.util.Date createTime;

        /**  */
        private java.util.Date updateTime;

        @Override
        public String toString() {
            return ToStringBuilder.reflectionToString(this);
        }

    }
}
