package com.ym.mec.biz.service;


import com.dayaedu.cbs.openfeign.wrapper.music.MusicSheetCategoriesWrapper;
import com.ym.mec.auth.api.dto.MusicScoreQueryInfo;
import com.ym.mec.biz.dal.entity.SysMusicScoreCategories;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

public interface CbsMusicScoreCategoriesService {

    List<SysMusicScoreCategories> queryTree(MusicScoreQueryInfo menuQueryInfo);

    SysMusicScoreCategories getChildTree(SysMusicScoreCategories sysMusicScoreCategories);

    List<Integer> getAllCategoryIdList(String categoriesIds);

    List<SysMusicScoreCategories> queryByIds(String ids);

    List<SysMusicScoreCategories> queryCategoriesTreeList(String categoryIdList, Boolean isQueryEnable);

    Map<Integer,String> getCategoriesNameMap(List<Integer> categoriesIds);

    List<SysMusicScoreCategories> queryTreeByAppId();

    SysMusicScoreCategories getChildTreeById(Long var1);
}