package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ClassGroupRelation;
import com.ym.mec.common.service.BaseService;

import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ClassGroupRelationService extends BaseService<Integer, ClassGroupRelation> {


    /**
     * 批量插入班级关联关系
     * @param classGroupRelationList
     * @return
     */
    int classGroupRelationsInsert(List<ClassGroupRelation> classGroupRelationList);

    /**
     * 查询班级父班级id
     */

    ClassGroupRelation findClassGroupRelation(Integer subClassGroupId);

}