package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherSalary;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface ClassGroupTeacherSalaryService extends BaseService<Long, ClassGroupTeacherSalary> {
    /**
     * 获取乐团老师课酬配置
     *
     * @param musicGroupId
     * @return
     */
    List<ClassGroupTeacherSalary> findByMusicGroupId(String musicGroupId);

}
