package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.CloudTeacherFreeCourseDao;
import com.ym.mec.biz.dal.entity.CloudTeacherFreeCourse;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface CloudTeacherFreeCourseService extends BaseService<Long, CloudTeacherFreeCourse> {

    CloudTeacherFreeCourseDao getDao();

    void batchInsert(List<Long> scheduleIdList,Long calenderId);

    /**
    * @description: 云教练课程转换
     * @param oldCourseIdList
    * @return void
    * @author zx
    * @date 2022/9/28 09:52
    */
    void courseConvert(List<Long> oldCourseIdList,List<Long> courseIdList);
}