package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.page.GroupCourseScheduleQueryInfo;
import com.ym.mec.common.page.PageInfo;

/**
 * @Author Joburgess
 * @Date 2020/3/8
 */
public interface GroupCourseScheduleService {

    /**
     * @describe 获取课程组下指定教师的课表
     * @author Joburgess
     * @date 2020/3/8
     * @param groupCourseScheduleQueryInfo: 教师编号
     * @return com.ym.mec.common.page.PageInfo
     */
    PageInfo findGroupCourses(GroupCourseScheduleQueryInfo groupCourseScheduleQueryInfo);

}
