package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.InspectionItemPlan;
import com.ym.mec.biz.dal.page.InspectionItemPlanQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface InspectionItemPlanService extends BaseService<Long, InspectionItemPlan> {

    /**
     * 获取巡查日程列表
     * @param queryInfo
     * @return
     */
    PageInfo<InspectionItemPlan> getPageList(InspectionItemPlanQueryInfo queryInfo);
    /**
     * 添加日程
     * @param inspectionItemPlan
     * @return
     */
    InspectionItemPlan add(InspectionItemPlan inspectionItemPlan);

    /**
     * 修改日程
     * @param inspectionItemPlan
     * @return
     */
    InspectionItemPlan updatePlan(InspectionItemPlan inspectionItemPlan);


    /**
     * 推送有开始的巡查日程
     * @return
     */
    List<InspectionItemPlan> pushNotice();
}


