package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dayaedu.cbs.openfeign.wrapper.courseware.CbsLessonCoursewareDetailWrapper;
import com.ym.mec.biz.dal.mapper.LessonCoursewareMapper;
import com.ym.mec.biz.dal.entity.LessonCourseware;
import com.ym.mec.biz.dal.wrapper.LessonCoursewareWrapper;

import java.util.List;

public interface LessonCoursewareService extends IService<LessonCourseware> {

    LessonCoursewareMapper getDao();

    //分页查询已添加的课件
    IPage<LessonCoursewareWrapper.LessonCoursewareDto> selectPage(IPage<LessonCoursewareWrapper.LessonCoursewareDto> page, LessonCoursewareWrapper.LessonCoursewareQuery query);

    //修改课件适用范围
    void updateRangeType(LessonCoursewareWrapper.UpdateRange updateRange);

    //获取课件适用范围
    LessonCoursewareWrapper.UpdateRangeDetail getRangeType(Integer lessonCoursewareId);

    CbsLessonCoursewareDetailWrapper.LessonCoursewareDetail getLessonCourseDetail(Long id,List<Integer> categoryIdList);
}

