package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.LuckDrawLog;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface LuckDrawLogService extends BaseService<Long, LuckDrawLog> {

	/**
	 * 增加中奖记录
	 * @param userId
	 * @param prizeId
	 * @param groupId
	 * @return
	 */
	boolean add(Long userId, Integer prizeId, Integer groupId);

	/**
	* @description: 奖品是否使用过
	 * @param allPrizeIds
	* @return void
	* @author zx
	* @date 2021/11/19 15:45
	*/
	String countUseNumByIds(List<Integer> allPrizeIds);
}
