package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ActivityDetailDto;
import com.ym.mec.biz.dal.entity.MarketActivity;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface MarketActivityService extends BaseService<Integer, MarketActivity> {

    /**
    * @description: 根据营销活动编号，获取活动详情列表
     * @param marketPriceId
    * @return java.util.List<com.ym.mec.biz.dal.entity.ActivityDetailDto>
    * @author zx
    * @date 2021/10/19 15:40
    */
    List<ActivityDetailDto> queryActivity(Integer marketPriceId,Integer organId);
}