package com.ym.mec.biz.service;

import com.ym.mec.common.service.BaseService;
import com.ym.mec.biz.dal.entity.MusicGroupOrganizationCourseSettings;

public interface MusicGroupOrganizationCourseSettingsService extends BaseService<Integer, MusicGroupOrganizationCourseSettings> {

    /**
     * 添加收费方式设置
     *
     * @param setting
     * @return
     */
    MusicGroupOrganizationCourseSettings addSetting(MusicGroupOrganizationCourseSettings setting);

    /**
     * 删除收费方式设置
     *
     * @param id
     * @return
     */
    MusicGroupOrganizationCourseSettings delSetting(Integer id);

    /**
     * 修改收费方式设置
     *
     * @param setting
     * @return
     */
    MusicGroupOrganizationCourseSettings updateSetting(MusicGroupOrganizationCourseSettings setting);

}
