package com.ym.mec.biz.service;

import java.util.List;

import com.ym.mec.biz.dal.dao.MusicGroupSubjectGoodsGroupDao;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.common.service.BaseService;

public interface MusicGroupSubjectGoodsGroupService extends BaseService<Long, MusicGroupSubjectGoodsGroup> {

    MusicGroupSubjectGoodsGroupDao getDao();

    /**
     * 获取乐团声部对应的商品
     * @param musicGroupId
     * @param subId
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroup(String musicGroupId, Integer subId);


    /**
     * 根据ids获取打包商品
     *
     * @return
     */
    List<MusicGroupSubjectGoodsGroup> findGoodsGroupByIds(String ids);

    
    MusicGroupSubjectGoodsGroup query(String musicGroupId,Integer subjectId, String goodsIdList);
}