package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dao.OperatingReportNewDao;
import com.ym.mec.biz.dal.dto.OASummaryExpensesDto;
import com.ym.mec.biz.dal.entity.FinancialExpenditure;
import com.ym.mec.biz.dal.entity.OperatingReportNew;
import com.ym.mec.common.service.BaseService;

import java.util.Date;
import java.util.List;

public interface OperatingReportNewService extends BaseService<Integer, OperatingReportNew> {

    OperatingReportNewDao getDao();

    void operatingReportMonth(Date month);

    //oa费用汇总
    List<OASummaryExpensesDto> queryOASummaryExpenses(String month);

    //oa费用明细
    List<FinancialExpenditure> queryOASummaryExpensesDetail(String month);
}