package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.OrganizationCloudTeacherFee;
import com.ym.mec.common.service.BaseService;

public interface OrganizationCloudTeacherFeeService extends BaseService<Integer, OrganizationCloudTeacherFee> {

    /**
     * 新增分部云教练价格配置
     * @param organizationCloudTeacherFee
     * @return
     */
    OrganizationCloudTeacherFee add(OrganizationCloudTeacherFee organizationCloudTeacherFee);

    /**
     * 修改分部云教练价格配置
     * @param organizationCloudTeacherFee
     * @return
     */
    OrganizationCloudTeacherFee updateFee(OrganizationCloudTeacherFee organizationCloudTeacherFee);

}