package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.PracticeGroupSellPrice;
import com.ym.mec.common.service.BaseService;

import java.math.BigDecimal;

public interface PracticeGroupSellPriceService extends BaseService<Integer, PracticeGroupSellPrice> {

    /**
    * @description: 获取网管课价格
     * @param organId 分部
     * @param courseNum 课程数量
    * @return java.math.BigDecimal
    * @author zx
    * @date 2022/10/9 15:47
    */
    BigDecimal getAmount(Integer organId, BigDecimal courseNum);
}
