package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.StudentCourseConsumerDetailDto;
import com.ym.mec.biz.dal.dto.StudentCourseConsumerDto;
import com.ym.mec.biz.dal.dto.StudentCourseConsumerSumDto;
import com.ym.mec.biz.dal.page.StudentCourseConsumerQueryInfo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;
import java.util.Map;

public interface StudentCourseConsumerService{
    //实际课耗列表
    List<StudentCourseConsumerDto> queryCourseConsumer(StudentCourseConsumerQueryInfo queryInfo);

    //实际课耗学员详情列表
    PageInfo<StudentCourseConsumerDetailDto> queryCourseConsumerDetail(StudentCourseConsumerQueryInfo queryInfo);

    List<StudentCourseConsumerDetailDto> findCourseConsumerDetail(Map<String, Object> params);

    //预计课耗列表
    List<StudentCourseConsumerDto> queryPreCourseConsumer(StudentCourseConsumerQueryInfo queryInfo);

    //预计课耗学员详情列表
    PageInfo<StudentCourseConsumerDetailDto> queryPreCourseConsumerDetail(StudentCourseConsumerQueryInfo queryInfo);

    List<StudentCourseConsumerDetailDto> findPreCourseConsumerDetail(Map<String, Object> params);

    //课耗统计
    List<StudentCourseConsumerSumDto> queryCourseConsumerSum(StudentCourseConsumerQueryInfo queryInfo);
}