package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.StudentLessonExaminationDetailDao;
import com.ym.mec.biz.dal.dto.LessonExaminationDetailDto;
import com.ym.mec.biz.dal.dto.StudentLessonExaminationDetailDto;
import com.ym.mec.biz.dal.dto.StudentLessonExaminationSaveDto;
import com.ym.mec.biz.dal.entity.StudentLessonExaminationDetail;
import com.ym.mec.biz.dal.page.StudentLessonExaminationQueryDto;

import java.util.List;

/**
 * 进度评测详情表(StudentLessonExaminationDetail)表服务接口
 *
 * @author zx
 * @since 2023-04-03 18:22:01
 */
public interface StudentLessonExaminationDetailService extends IService<StudentLessonExaminationDetail> {

    StudentLessonExaminationDetailDao getDao();

    void save(Long lessonExaminationId,List<StudentLessonExaminationSaveDto> studentLessonExaminationSaveDtos);

    List<StudentLessonExaminationDetailDto> queryAll(StudentLessonExaminationQueryDto query);
}

