package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dao.StudentMusicCourseFeeDao;
import com.ym.mec.biz.dal.entity.StudentMusicCourseFee;

import java.math.BigDecimal;


/**
* @description: 学员乐团课程费用汇总
* @author zx
* @date 2023/3/22 16:39
*/
public interface StudentMusicCourseFeeService extends IService<StudentMusicCourseFee> {

    StudentMusicCourseFeeDao getDao();

    void addActualPrice(Integer userId, String musicGroupId, BigDecimal actualPrice);

    void addExpectPrice(Integer userId, String musicGroupId, BigDecimal expectPrice);

    void cutExpectPrice(Integer userId, String musicGroupId, BigDecimal expectPrice);
}


