package com.ym.mec.biz.service;

import java.math.BigDecimal;
import java.util.Map;

import com.ym.mec.biz.dal.entity.StudentRecharge;
import com.ym.mec.common.service.BaseService;
import com.ym.mec.thirdparty.union.NotifyMsg;

public interface StudentRechargeService extends BaseService<String, StudentRecharge> {

	/**
	 * 账户充值
	 * @param userId
	 * @param bankCardNo
	 * @param amount
	 */
	Map<?,?> recharge(Integer userId, String bankCardNo, BigDecimal amount);
	
	/**
	 * 充值回调
	 * @param notifyMsg
	 * @return
	 */
	boolean rechargeCallback(NotifyMsg notifyMsg);

	StudentRecharge queryByTransNo(String transNo);
}