package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.SysMusicCompareWeekData;
import com.ym.mec.common.service.BaseService;

import java.time.LocalDate;

public interface SysMusicCompareWeekDataService extends BaseService<Integer, SysMusicCompareWeekData>{

    /**
     * @describe 更新学员本周训练统计数据
     * @author Joburgess
     * @date 2021/8/30 0030
     * @param userId: 用户编号
     * @param monday: 本周周一日期
     * @return void
     */
    void updateUserWeekTrainData(Integer userId, LocalDate monday);

}
