package com.ym.mec.biz.service;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.wrapper.UserInfoWrapper;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface SysUserService {
    Integer getUserId();

    SysUser getUser();

    SysUser queryUserByPhone(String phone);

    SysUser queryUserById(Integer userId);

    Boolean updateSysUser(SysUser user);

    String getImName(SysUser sysUser);

    String getImAvatar(SysUser sysUser);

    /**
     * 注册用户三方IM
     * @param userId 用户id
     */
    void registerImUserInfo(Integer userId);

    Map<Long, SysUser> getMapByIds(Collection<? extends Serializable> studentIds);

    void imDeviceId(UserInfoWrapper.UpdateUser info);
}