package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.entity.TenantContractRecord;
import com.ym.mec.biz.dal.entity.TenantContractRecord.TenantContractRecordEnum;
import com.ym.mec.common.page.PageInfo;

import java.util.Map;

/**
 * 机构协议记录表(TenantContractRecord)表服务接口
 *
 * @author hgw
 * @since 2022-02-12 16:16:41
 */
public interface TenantContractRecordService extends IService<TenantContractRecord> {

    int insertContractRecord(Integer tenantId, String contractPath, TenantContractRecordEnum en);

    PageInfo<TenantContractRecord> queryPage(Map<String, Object> param);
}

