package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.TenantPreJoinDto;
import com.ym.mec.biz.dal.entity.TenantPreJoin;
import com.ym.mec.biz.dal.vo.TenantPreJoinVo;
import com.ym.mec.common.page.PageInfo;

import java.util.Map;

/**
 * 机构入驻表(预加入)(TenantPreJoin)表服务接口
 *
 * @author hgw
 * @since 2022-02-09 14:38:28
 */
public interface TenantPreJoinService extends IService<TenantPreJoin> {

    PageInfo<TenantPreJoinVo> queryPage(Map<String, Object> param);

    int insert(TenantPreJoinDto obj);

}

