package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.entity.ImGroupPlus;
import com.ym.mec.biz.service.ImGroupPlusService;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;
import com.ym.mec.biz.dal.entity.ImGroup;
import com.ym.mec.biz.dal.mapper.ImGroupPlusMapper;

/**
 * 即时通讯群组
 * 2023-08-29 17:18:04
 */
@Slf4j
@Service
public class ImGroupPlusServiceImpl extends ServiceImpl<ImGroupPlusMapper, ImGroupPlus> implements ImGroupPlusService {

	/**
     * 查询详情
     * @param id 详情ID
     * @return ImGroup
     */
	@Override
    public ImGroupPlus detail(Long id) {
        
        return baseMapper.selectById(id);
    }

}