package com.ym.mec.biz.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ym.mec.biz.dal.dao.ImLiveBroadcastRoomDataDao;
import com.ym.mec.biz.dal.entity.ImLiveBroadcastRoomData;
import com.ym.mec.biz.service.ImLiveBroadcastRoomDataService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 直播房间数据表(ImLiveBroadcastRoomData)表服务实现类
 *
 * @author hgw
 * @since 2022-02-21 14:26:58
 */
@Service("imLiveBroadcastRoomDataService")
public class ImLiveBroadcastRoomDataServiceImpl extends ServiceImpl<ImLiveBroadcastRoomDataDao, ImLiveBroadcastRoomData> implements ImLiveBroadcastRoomDataService {

    private final static Logger log = LoggerFactory.getLogger(ImLiveBroadcastRoomDataServiceImpl.class);

    @Override
    public ImLiveBroadcastRoomDataDao getDao() {
        return this.baseMapper;
    }

}

