package com.ym.mec.biz.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.biz.dal.dao.MusicGroupOrganizationCourseSettingsDetailDao;
import com.ym.mec.biz.dal.entity.MusicGroupOrganizationCourseSettingsDetail;
import com.ym.mec.biz.service.MusicGroupOrganizationCourseSettingsDetailService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class MusicGroupOrganizationCourseSettingsDetailServiceImpl extends BaseServiceImpl<Integer, MusicGroupOrganizationCourseSettingsDetail> implements MusicGroupOrganizationCourseSettingsDetailService {
    @Autowired
    private MusicGroupOrganizationCourseSettingsDetailDao musicGroupOrganizationCourseSettingsDetailDao;

    @Override
    public BaseDAO<Integer, MusicGroupOrganizationCourseSettingsDetail> getDAO() {
        return musicGroupOrganizationCourseSettingsDetailDao;
    }

	@Override
	public List<MusicGroupOrganizationCourseSettingsDetail> queryByMusicGroupOrganizationCourseSettingsId(Integer musicGroupOrganizationCourseSettingsId) {
		return musicGroupOrganizationCourseSettingsDetailDao.queryByMusicGroupOrganizationCourseSettingsId(musicGroupOrganizationCourseSettingsId);
	}

}
