package com.ym.mec.biz.service.impl;

import com.ym.mec.common.dal.BaseDAO;
import org.springframework.beans.factory.annotation.Autowired;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.biz.dal.entity.QuestionnaireQuestion;
import com.ym.mec.biz.service.QuestionnaireQuestionService;
import com.ym.mec.biz.dal.dao.QuestionnaireQuestionDao;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class QuestionnaireQuestionServiceImpl extends BaseServiceImpl<Long, QuestionnaireQuestion>  implements QuestionnaireQuestionService {
	
	@Autowired
	private QuestionnaireQuestionDao questionnaireQuestionDao;

	@Override
	public BaseDAO<Long, QuestionnaireQuestion> getDAO() {
		return questionnaireQuestionDao;
	}

	@Override
	public List<QuestionnaireQuestion> findByTopicId(Integer topicId) {
		return questionnaireQuestionDao.findByTopicId(topicId);
	}
}