package com.ym.mec.biz.service.impl;

import com.ym.mec.biz.dal.dao.StudentCloudCoachPaymentDetailsDao;
import com.ym.mec.biz.dal.entity.StudentCloudCoachPaymentDetails;
import com.ym.mec.biz.service.StudentCloudCoachPaymentDetailsService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class StudentCloudCoachPaymentDetailsServiceImpl extends BaseServiceImpl<Long, StudentCloudCoachPaymentDetails>  implements StudentCloudCoachPaymentDetailsService {
	
	@Autowired
	private StudentCloudCoachPaymentDetailsDao studentCloudCoachPaymentDetailsDao;

	@Override
	public BaseDAO<Long, StudentCloudCoachPaymentDetails> getDAO() {
		return studentCloudCoachPaymentDetailsDao;
	}

    @Override
    public StudentCloudCoachPaymentDetails findByUserId(Long paymentId, Integer userId) {
        return studentCloudCoachPaymentDetailsDao.findByUserId(paymentId,userId);
    }
}