<!DOCTYPE html>
<html lang="en" style="font-size: 100px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width,initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no, viewport-fit=cover" />
<meta http-equiv="Pragma" content="no-cache" />
<meta http-equiv="Cache-Control" content="no-cache" />
<meta http-equiv="Expires" content="0" />
<title>APP用户注册及乐团注册服务协议</title>
<style>
body { margin: 0; }
header {
height: .40rem;
line-height: .40rem;
color: #000;
font-size: .17rem;
background: #fff;
box-shadow: 0px 1px 8px 0px rgba(0, 0, 0, 0.07);
text-align: center;
}
header .back {
width: .2rem;
height: .2rem;
position: absolute;
left: .12rem;
top: .1rem;
}
.container {
padding: .22rem .2rem .3rem;
font-size: .14rem;
}
h1 {
font-size: .16rem;
text-align: center;
}
h2 {
font-size: .16rem;
font-weight: bold;
padding-top: .15rem;
}
h3 {
font-size: .14rem;
font-weight: bold;
}
.signature {
display: flex;
padding-top: .5rem;
}
.signature .sign {
flex: 1;
position: relative;
}
.signature span {
display: block;
}
.signature .cachet {
position: absolute;
top: -.6rem;
left: 0;
width: 1.5rem;
height: 1.5rem;
}
.iInfo {
display: flex;
}
.iInfo span {
flex: 1;
}
.iInfoContent, .iInfoContent span {
display: block;
}
</style>
</head>
<body>
<div class="container">
<h1>《APP用户注册及乐团注册服务协议》</h1>
<p>欢迎用户使用{{proto}}（下称“本软件”），请用户在使用本软件前仔细阅读本协议。如用户不同意本协议任何条款，请勿在本软件注册账号或使用大雅乐盟基于本软件提供的服务（下称“本服务”）。用户点击“注册”、“登录”或“同意”等按钮或使用本服务后，本协议即构成大雅乐盟与用户之间具有约束力的法律文件。</p>
<h2>一、提示</h2>
<p>1. 用户在使用本软件或本服务前，应当认真阅读本协议。请用户务必审慎阅读、充分理解各条款内容，特别是免除或者限制责任的条款、法律适用和争议解决条款。免除或者限制责任的条款将以粗体下划线标识，用户应重点阅读，并自行选择接受或不接受。如用户对本协议有任何疑问，可联系大雅乐盟。</p>
<p>2. 当用户按照注册页面提示填写信息、阅读并同意本协议且完成全部注册程序，或登录本软件，或使用本服务后，即表示用户已充分阅读、理解并接受本协议的全部内容，并与大雅乐盟达成一致，成为大雅乐盟的用户。阅读本协议的过程中，如果用户不同意或不接受本协议任何条款，用户应立即停止注册、登录本软件或使用本服务。</p>
<p>3. 大雅乐盟可以随时更新本协议的各项条款，包括但不限于增加新的服务类型或功能，更新后的协议条款一经大雅乐盟在本软件公布或更新即生效并代替原来的协议条款，大雅乐盟不会另行通知用户，用户可以及时关注并阅读大雅乐盟更新的本协议最新版本；用户继续使用本软件或本服务的，视为用户接受本协议的最新更新版本；用户不接受本协议最新版本的，应立即停止使用本软件或本服务。</p>
<p>4. 特别提醒：未满18周岁的用户应在法定监护人的陪同下阅读后，并且应在法定监护人的同意和指导下注册和/或使用本软件及本服务。
<h2>二、关于本软件及本服务的重要提示</h2>
<p>1. 用户使用本服务需要下载本软件的客户端版本，本软件的客户端版本提供包括但不限于 iOS、Android等多个应用版本，用户必须选择与所安装终端设备相匹配的软件版本。 用户可以直接从大雅乐盟的网站上获取本软件，也可以从得到大雅乐盟授权的第三方获取。如果用户从未经大雅乐盟授权的第三方获取本软件或与本软件名称相同的安装程序，大雅乐盟无法保证该软件能够正常使用，并对因此给用户造成的损失不予负责。下载安装程序后，用户需要按照该程序提示的步骤正确安装。</p>
<p>2. 为了改善用户体验、完善服务内容，大雅乐盟将不断努力开发新的服务，并为用户不时提供软件更新（这些更新可能会采取软件替换、修改、功能强化、版本升级等形式）。大雅乐盟有权不经向用户特别通知而对本软件进行更新，或者对本软件的部分功能效果进行改变或限制。新版本发布后，旧版本的软件可能无法使用。大雅乐盟无法保证旧版本软件继续可用及相应的客户服务，请用户随时核对并下载最新版本。</p>
<p>3. 用户理解并同意：为了向用户提供有效的服务，本软件会利用用户终端设备的处理器和带宽等资源，用户使用本软件时，需要接入互联网、移动互联网，此时可能产生数据流量的费用，用户需自行向运营商了解相关资费信息，并自行承担接入互联网、移动互联网所需的费用（包括但不限于上网费、通讯费）以及使用本软件及本服务必需的设备（包括但不限于电脑、手机等移动终端设备）。</p>
<p>4. 大雅乐盟给予用户一项个人的、不可转让及非排他性的许可，以使用本软件。用户可以为非商业目的在单一台终端设备上安装、使用、显示、运行本软件。用户不得为商业运营目的安装、使用、运行本软件，不可以对该软件或者该软件运行过程中释放到任何计算机终端内存中的数据及该软件运行过程中客户端与服务器端的交互数据进行复制、更改、修改、挂接运行或创作任何衍生作品，形式包括但不限于使用插件、外挂或非经授权的第三方工具/服务接入本软件和相关系统。</p>
<p>5. 本协议其他条款未明示授权的其他一切权利仍由大雅乐盟保留，用户在行使这些权利时须另外取得大雅乐盟的书面许可。大雅乐盟如果未行使前述任何权利，并不构成对该权利的放弃。
<h2>三、服务内容</h2> 
<p>1. 大雅乐盟：即{{proto}}。</p>
<p>2. 本服务是基于互联网及移动互联网，通过本软件向用户提供【直播教学、录播教学、智能打分、学员管理等】功能服务。大雅乐盟以乐团为单位对用户进行管理，用户注册本软件即视为用户同意参加乐团，遵守乐团的各项制度和管理。用户在使用本软件或本服务过程中发生任何问题的，可以与大雅乐盟乐团老师联系和处理。具体内容及具体规则以用户与大雅乐盟签署的协议及/或本软件公示的内容为准。</p>
<p>3. 服务功能介绍：</p>
<p>直播教学：{{proto}}</p>
<p>录播教学：{{proto}}</p>
<p>智能打分：{{proto}}</p>
<p>学员管理：{{proto}}</p>
<p>4. 本软件规则包括但不限于大雅乐盟通过官网、本软件等途径发布的全部规则、细则、解读、说明公告等。</p>
<p>5. 服务费用</p>
<p>5.1 用户使用本软件或本服务的费用以用户与大雅乐盟签署的协议及/或本软件公示的内容为准。</p>
<p>6. 乐团管理</p>
<p>6.1大雅乐盟有权对用户进行管理，制定乐团各项制度，对用户在乐团的日常行为进行管理。</p>
<h2>四、用户账户注册、使用与管理</h2>  
<p>1. 用户资格</p>
<p>用户开始使用本软件或本服务前，应当具备中华人民共和国法律规定的与用户行为相对应的民事行为能力，否则用户的法定监护人应依照法律规定承担因此而导致的一切后果。</p>
<p>2. 账户说明</p>
<p>用户使用本软件时，应当注册账户，注册时可以使用{{proto}}，用户应当提供并填写真实、合法、准确、完整的资料和信息，并在相关信息变更时在1个工作日内在本软件更新。因用户提供或填写的资料、信息不符合上述要求而导致的任何问题及后果，应由用户自行承担，大雅乐盟不对此承担任何责任。当用户按照注册页面提示填写信息、阅读并同意本协议且完成全部注册程序后，用户可获得本软件账户并成为本软件用户。</p>
<p>3. 账户安全规范</p>
<p>3.1 用户的账户由用户自行设置、保管。建议用户务必保管好用户的账户及密码，当用户每次使用完本软件时，应以正确步骤离开本软件。用户了解并同意，确保用户账户及密码的机密安全是用户的责任。用户将对利用该账户及密码所进行的一切行动及言论负完全的责任，并同意以下事项：</p>
<p>3.1.1 用户主动泄露账户、密码或遭受他人攻击、诈骗等行为导致的损失及后果，均由用户自行承担；</p>
<p>3.1.2 用户的账户只限用户本人使用，未经大雅乐盟事先书面同意，不得将账户提供、转让、许可、出售给任何第三方；</p>
<p>3.1.3 擅自使用他人账户及密码的，大雅乐盟及其合法授权主体有权追究实际使用人的法律责任；</p>
<p>3.1.4 用户应当设置符合本软件要求的密码，并妥善保管和保护密码，不得随意告诉他人，并定期更新密码。大雅乐盟同时还建议用户通过使用复杂密码等方式，不要使用过于简单的词语或数字，以保证用户的账号、密码安全；</p>
<p>3.1.5 如发现任何未经授权使用用户账户访问和/或使用本软件或其他可能导致用户账户遭窃、遗失的情况，建议用户立即通知大雅乐盟。</p>
<p>3.2 大雅乐盟有权基于单方独立判断，在其认为可能发生危害交易安全等情形时，不经通知而先行暂停、中断或终止向用户提供本协议项下的全部或部分用户服务，并将注册资料移除或删除，且无需对用户或任何第三方承担任何责任。前述情形包括但不限于：</p>
<p>3.2.1 大雅乐盟发现异常交易或有理由认为存在违法违规情形时；</p>
<p>3.2.2 大雅乐盟认为用户账户被冒用或其他大雅乐盟认为有风险的其他情形。</p>
<p>4. 用户忘记或丢失账户、密码时，可以按照本软件的申诉途径凭初始注册资料找回账户，但大雅乐盟并不承诺用户忘记或丢失账户后一定能通过申诉途径找回该账户。本软件的账户或密码找回/重设机制仅负责识别用户在申诉申请上所填资料与系统记录资料的一致性，而无法识别申诉人是否系真正账户使用权人。用户因忘记或丢失账户或密码而遭致任何法律责任或损失的，用户应自行承担全部法律责任及损失，大雅乐盟不对此承担任何责任。</p>
<p>5. 用户理解并同意，本软件同大多数互联网软件一样，可能会受多种因素影响，包括但不限于用户原因、网络服务质量、社会环境等；也可能会受各种安全问题的侵扰，包括但不限于他人非法利用用户资料，进行现实中的骚扰；用户下载安装的其他软件或访问的其他网站中可能含有病毒、木马程序或其他恶意程序，威胁用户的终端设备信息和数据安全，继而影响本软件的正常使用等。因此，用户应加强信息安全及个人信息的保护意识，注意密码保护，以免遭受损失。</p>
<h2>五、服务使用规则</h2>
<p>1. 用户使用本软件或本服务时，不得实施下列行为：</p>
<p>1.1使用本软件或本服务的过程中出现下列情形：</p>
<p>1.1.1破坏宪法所确定的基本原则的；</p>
<p>1.1.2危害国家安全、泄露国家秘密、颠覆国家政权、破坏国家统一的；</p>
<p>1.1.3损害国家荣誉和利益的；</p>
<p>1.1.4煽动民族仇恨、民族歧视，破坏民族团结的；</p>
<p>1.1.5破坏国家宗教政策，宣扬邪教和封建迷信的；</p>
<p>1.1.6散布谣言，扰乱社会秩序，破坏社会稳定的；</p>
<p>1.1.7散布淫秽、色情、赌博、暴力、凶杀、恐怖或者教唆犯罪的；</p>
<p>1.1.8侮辱或者诽谤他人，侵害他人合法权益的；</p>
<p>1.1.9含有法律法规、行政规章所禁止的其他内容的；</p>
<p>1.2 发布、传送、传播、储存侵害他人合法权利（包括但不限于名誉权、肖像权、知识产权、商业秘密等）的内容；</p>
<p>1.3 发布、传送、传播、储存与他人隐私、个人信息或资料有关的内容；</p>
<p>1.4 发布、传送、传播虚假、骚扰、营销、广告、诱导分享等相关的内容；</p>
<p>1.5 违反法律法规或干扰、破坏大雅乐盟、本软件的正常运营的其他内容。</p>
<p>2. 未经大雅乐盟事先书面同意，用户使用本软件时不得有下列行为：</p>
<p>2.1 以创建相同、类似或竞争服务为目的访问本软件或使用本服务；</p>
<p>2.2 删除、遮掩、修改本软件及其副本上关于著作权的声明；</p>
<p>2.3 对本软件或本服务（包括但不限于服务或其内容中的广告或赞助内容）进行任何形式的许可、出售、租赁、转让、发行或做其他商业用途；</p>
<p>2.4 通过修改或伪造软件运行中的指令、数据，或者增加、删减、变动软件的功能或运行效果，或者将用于上述用途的软件、方法进行运营或向公众传播，无论是否基于商业目的；</p>
<p>2.5 通过非大雅乐盟开发、授权的第三方软件、插件、外挂、系统，登录或使用本软件或本服务；</p>
<p>2.6 自行或者授权他人、第三方软件对本软件及其组件、模块、数据进行干扰，或在本软件或利用本服务上传或发布病毒、蠕虫、恶意代码、故意破坏或改变系统或数据的软件；</p>
<p>2.7 其他未经大雅乐盟明示授权的行为。</p>
<p>3. 用户内容是指用户上传、提供信息和资料或以其他方式使用本软件与本服务时产生的所有内容（包括但不限于用户信息、资料、图片或其他内容），用户是用户内容的唯一的责任人，应当承担因用户内容披露而导致的用户或任何第三方被识别的风险。</p>
<p>4. 用户充分了解并同意，用户必须为自己注册账号下的一切行为负责，包括用户所发表的任何内容以及由此产生的任何后果。用户应对本服务中的内容自行加以判断，并承担因使用内容而引起的所有风险，包括因对内容的正确性、完整性或实用性的依赖而产生的风险。大雅乐盟无法且不会对因前述风险而导致的任何损失或损害承担责任。</p>
<p>5. 用户应服从大雅乐盟乐团的管理，用户在乐团出现下列情形的，大雅乐盟有权对用户作出警告，用户收到警告后仍然不遵守大雅乐盟的管理制度的，大雅乐盟有权对用户作出退团等处分：</p>
<p>5.1上课、排练时不遵守纪律，影响乐团其他团员的正常上课、排练；</p>
<p>5.2不服从乐团老师的管理和指导；</p>
<p>5.3一个学期内发生两次及以上缺席乐团上课、排练行为；</p>
<p>5.4一个学期内发生两次及以上未按老师要求回传视频作业的情形；</p>
<p>5.5连续{{proto}}天不练习，影响乐团团员和乐团的整体水平的。</p>
<p>6. 用户在每次参加乐团排练、训练时，应按专业老师要求带齐训练所需乐器、教材乐谱、乐谱本、铅笔及乐器护理等学习用品，并提前10分钟到达排练场地，做好准备工作；始终保持排练、训练场地的清洁卫生；如遇到特殊情况无法参加乐团排练、训练时，应提前一天向乐团老师请假。</p>
<p>7. 因用户个人原因未能按时上课的，视为该用户放弃该次上课，学校乐团声部训练不因用户请假而停止整个声部课教学，如用户因此给乐团造成任何不良影响的，用户应尽力弥补并消除该不良影响。</p>
<p>8. 用户应保证每日练习时间不少于20分钟，并按专业老师要求通过本软件回传周视频作业。</p>
<p>9. 退团：用户如因自身原因拟退出乐团的，应向学校申请退团，并获得学校的同意退团批准，再经用户家长确认后，方可退团。</p>
<h2>六、第三方链接及服务</h2>
<p>1. 本软件或本服务可能保留有第三方网站或网址的链接，访问这些链接将由用户自己做出决定，大雅乐盟并不就这些链接上所提供的任何信息、数据、观点、图片、陈述或建议的准确性、完整性、充分性和可靠性提供承诺或保证。大雅乐盟没有审查过任何第三方网站，对这些网站及其内容不进行控制，也不负任何责任。如果用户决定访问任何与本站链接的第三方网站，其可能带来的结果和风险全部由用户自己承担。</p>
<p>2. 用户在使用本软件中第三方提供的产品或服务时，除遵守本协议约定外，还应遵守第三方的用户协议。大雅乐盟和第三方对可能出现的纠纷在法律规定和约定的范围内各自承担责任。因用户使用本软件或要求大雅乐盟提供特定服务时，本软件可能会调用第三方系统或者通过第三方支持用户的使用或访问，使用或访问的结果由该第三方提供（包括但不限于第三方通过公众账号提供的服务，或通过开放平台接入的内容等），大雅乐盟不保证通过第三方提供服务及内容的安全性、准确性、有效性及其他不确定的风险，由此若引发的任何争议及损害，与大雅乐盟无关，大雅乐盟不承担任何责任。</p>
<p>3. 用户已知晓并同意大雅乐盟提供本服务（无论是免费服务还是有偿服务）还可能基于第三方如合作单位（包括但不限于电信运营商）提供的技术支持等服务获得。如果因第三方提供的服务给用户增加任何成本或造成任何损失的，大雅乐盟会协助用户与第三方进行沟通和处理，如因此发生维修、更换等费用的，应由用户自行承担，大雅乐盟不对此承担任何法律责任和赔偿责任。</p>
<h2>七、知识产权的保护以及保密</h2>
<p>1. 大雅乐盟的商标、商号、Logo、图形及其组合，以及大雅乐盟的其他标识、产品和服务名称均为大雅乐盟或大雅乐盟关联公司所有，未经大雅乐盟书面授权，任何人不得以任何方式展示、使用或作其他处理，也不得向任何第三方表明或让其误认为其有权展示、使用或作其他处理。</p>
<p>2. 大雅乐盟提供的培训、课程相关的全部内容（包括但不限于培训课程设置、培训课件、教材等）的知识产权均归大雅乐盟单独和完整所有。用户应当保护大雅乐盟的知识产权，只能用于自身学习之目的，未经大雅乐盟事先书面同意，不得擅自将培训课程相关的任何内容进行复制、复印、影音、拍摄或进行摘要等措施后以转让、出售、赠与或其他任何形式提供给任何第三方，否则大雅乐盟有权追究其法律责任。</p>
<p>3. 大雅乐盟为提供服务而使用的任何软件（包括但不限于软件中所含的任何图象、照片、动画、录像、录音、音乐、文字和附加程序、随附的帮助材料）的一切权利均属于该软件的著作权人，未经该软件的著作权人许可，用户不得对该软件进行反向工程（reverse engineer）、反向编译（decompile）或反汇编（disassemble）。</p>
<p>4. 用户已经了解并同意：在大雅乐盟提供的所有服务器上的数据(包括但不限于虚拟物品等)全部归大雅乐盟所有。在不影响用户正常接收服务的情况下，大雅乐盟有权决定保留或不保留服务器上的全部或部分数据。</p>
<p>5. 用户已经了解并同意：大雅乐盟有权将本协议项下大雅乐盟所有的知识产权授权第三方使用，在变更产品运营商时，大雅乐盟可以将其运营的产品或服务以及与该在产品或服务相关的归大雅乐盟所有的知识产权转让给新的产品运营商。</p>
<p>6. 用户使用大雅乐盟提供的本软件或本服务期间获取的文件、资料、表格等信息，包括但不限于有关合作资料、营销资料等，无论是口头、书面的或是电子文件形式的，均属大雅乐盟的商业秘密，用户必须对这些商业秘密严格遵守保密义务，不得向外透露，也不得使用这些商业秘密为自己或他人谋取利益。</p>
<h2>八、违约条款</h2>
<p>1. 用户违反本协议约定时即构成违约情形，大雅乐盟有权要求用户采取及时的补救措施，消除违约后果，并有权终止本协议。如用户的违约行为使大雅乐盟及/或关联公司遭受损失（包括自身的直接经济损失、商誉损失及对外支付的赔偿金、和解款、律师费、诉讼费等间接经济损失）的，用户应赔偿大雅乐盟及/或关联公司的上述全部损失。</p>
<p>2. 用户理解并同意，如用户的行为导致第三方向大雅乐盟及/或关联公司主张权利或任何索赔、要求或损失的，大雅乐盟及/或关联公司在对第三人承担赔偿义务后可向用户追偿与此相关的全部损失。</p>
<h2>九、协议终止</h2>
<p>1. 用户有权通过以下任一方式终止本协议：</p>
<p>1.1用户自行注销用户的账户的；</p>
<p>1.2用户按照本协议约定方式退出乐团的；</p>
<p>1.3 变更事项生效或服务协议更新时，用户停止使用并明示不愿接受变更事项或明示不愿接受更新后的服务协议的；</p>
<p>1.4 用户明示不愿继续使用本软件或本服务，且符合本协议终止条件的。</p>
<p>2. 出现以下情况时，大雅乐盟可以终止本协议：</p>
<p>2.1 用户违反本协议约定的，大雅乐盟依据违约条款终止本协议，或对用户处以退团处分的；</p>
<p>2.2 用户的账户被大雅乐盟依据本协议进行注销等清理的；</p>
<p>2.3 用户在使用本软件或本服务时存在侵犯他人合法权益或其他严重违法违规行为的；</p>
<p>2.4 不可抗力导致本协议不能履行的（“不可抗力”是指双方不可预见、或可以预见但不能避免并或克服的客观情况，该事件妨碍、影响或延误任何一方根据合同履行其全部或部分义务。该事件包括但不限于政府行为、法律或规定的发布或修订，自然灾害、战争、网络堵塞或中断、黑客袭击或任何其他类似事件），且该不可抗力持续30天以上的；</p>
<p>2.5 根据相关法律法规规定大雅乐盟应当终止服务或大雅乐盟认为需终止服务的其他情形。</p>
<p>3. 协议终止后的处理</p>
<p>本协议终止后，除法律有明确规定外，大雅乐盟无义务向用户或用户指定的第三方披露用户账户中的任何信息。</p>
<h2>十、责任限制</h2>
<p>1. 用户使用本软件或本服务的风险应由用户自行承担，大雅乐盟对本软件不作任何类型的担保，不论是明示的、默示的保证和条件，包括但不限于本软件的适销性、适用性、无病毒、无疏忽或无技术瑕疵问题、所有权和无侵权的明示或默示担保和条件，对在任何情况下因使用或不能使用本软件所产生的直接、间接、偶然、特殊及后续的损害及风险，大雅乐盟不承担任何责任。</p>
<p>2. 用户明确理解和同意，大雅乐盟不对因下述任一情况而导致的损害赔偿承担责任，包括但不限于利润、商誉、使用、数据等方面的损失或其它无形损失的损害赔偿：</p>
<p>2.1 大雅乐盟向用户免费提供的任何产品或者服务；</p>
<p>2.2 大雅乐盟向用户赠送的任何产品或者服务；</p>
<p>2.3 对于用户使用本软件上可能涉及由第三方所有、控制或者运营的网站或平台提供的服务及其导致的风险；</p>
<p>2.4 因用户的过错导致的任何损失，该过错包括但不限于：决策失误、操作不当、遗忘或泄露密码、密码被他人破解、用户使用的计算机系统被第三方侵入、用户向大雅乐盟发送的指令信息不明确或存在歧义、用户下载非法或不明程序、用户委托他人代理交易时他人恶意或不当操作而造成的损失；</p>
<p>2.5 信息网络设备连接故障，电脑、通讯或其他系统出现故障，不能进行数据传输、保存的；</p>
<p>2.6 本软件或其服务器停机维护期间；</p>
<p>2.7 不可抗力因素导致的任何损失；</p>
<p>2.8 大雅乐盟依据本协议约定终止协议时。</p>
<p>3. 用户理解并同意，因大雅乐盟过错导致用户不能享受相应服务，大雅乐盟承担相应责任的最高限额不超过用户实际支付的当次服务费用总额。</p>
<p>4. 大雅乐盟努力保障用户的知情权，如主动中断或终止部分或全部网络服务，应提前90日在大雅乐盟服务平台以公告通知、app推送等方式通知。</p>
<h2>十一、隐私权保护政策</h2>
<p>用户及用户的监护人同意，大雅乐盟向用户提供本服务时，会收集、使用必要的用户个人信息，包括但不限于用户姓名、性别、年龄、学校、班级、联系方式、用户监护人的姓名及联系方式等，并将收集到的信息用于提供本服务必需的目的和场景。大雅乐盟不会收集与提供本服务无关的用户个人信息，具体隐私权保护政策详见大雅乐盟或本软件公示的《隐私政策》。</p>
<h2>十二、争议解决及适用法律</h2>
<p>1. 本协议及其修订的有效性、履行、解释及争议解决，均适用中华人民共和国大陆地区法律。</p>
<p>2. 用户与大雅乐盟之间就本协议发生的任何纠纷或争议，首先应友好协商解决，协商不成的，应将纠纷或争议提交至大雅乐盟所在地有管辖权的法院管辖。</p>
<h2>十三、其他</h2>
<p>1. 如本协议中的任何条款无论因何种原因导致全部或部分无效或不具有执行力的，则该条款应视为自始不存在且不影响本协议其他条款的效力，此时该条款可被新的条款所取代，以保证最大限度地接近双方意图、确保本协议要求的经济目的，以及实现原有条款的意图。</p>
<p>2. 本协议中的标题仅为方便而设，本身并无实际涵义，不能作为本协议涵义解释的依据。</p>
<p>3. 如用户对本软件、本服务或本协议内容有任何疑问、意见或建议，用户可联系大雅乐盟，联系电话：{{proto}}，大雅乐盟将及时回复用户的请求。</p>
</div>
</body>
</html>