package com.ym.mec.common.dto;


import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class PmsProductDto implements Serializable {
    //skuStockId
    private Integer skuStockId;

    private Long goodsId;

    private String skuCode;

    private String name;
    //货号
    private String productSn;

    //删除状态：0->未删除；1->已删除
    private Integer deleteStatus;

    //上架状态：0->下架；1->上架
    private Integer publishStatus;

    private BigDecimal price;

    //库存
    private Integer stock;

    private Long brandId;

    //品牌名称
    private String brandName;

    private Long productCategoryId;
    //商品分类名称
    private String productCategoryName;
    // 商品图片
    private String pic;

    //"商品销售属性，json格式"
    private String spData;
}