package com.ym.controller;

import com.ym.service.UserService;
import io.rong.models.user.UserModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/blackList")
public class BlackListController{

    @Autowired
    UserService userService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public Object add(@RequestBody UserModel userModel) throws Exception {
        return userService.blackListAdd(userModel);
    }

    @RequestMapping(value = "/remove", method = RequestMethod.POST)
    public Object remove(@RequestBody UserModel userModel) throws Exception {
        return userService.blackListRemove(userModel);
    }

    @RequestMapping(value = "/getList", method = RequestMethod.POST)
    public Object getList(@RequestBody UserModel userModel) throws Exception {
        return userService.blackListGetList(userModel);
    }
}
