package com.ym.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.service.GroupService;
import io.rong.models.group.GroupModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by weiqinxiao on 2019/2/25.
 */
@RestController
@RequestMapping("/muteWhite")
public class MuteWhiteController {

    @Autowired
    GroupService groupService;

    @RequestMapping(value = "/add", method = RequestMethod.POST)
    public Object add(@RequestBody GroupModel groupModel) throws Exception {
        return groupService.muteWhiteAdd(groupModel);
    }

    @RequestMapping(value = "/remove", method = RequestMethod.POST)
    public Object remove(@RequestBody GroupModel groupModel) throws Exception {
        return groupService.muteWhiteRemove(groupModel);
    }

    @RequestMapping(value = "/getList", method = RequestMethod.POST)
    public Object getList(@RequestBody String groupId) throws Exception {
        return groupService.muteWhiteGetList(groupId);
    }
}
