package com.ym.mec.im.message;

import com.ym.mec.common.entity.BaseMessage;
import lombok.Getter;
import lombok.Setter;

/**
 * Created by weiqinxiao on 2019/3/7.
 */
public class DeviceStateChangedMessage extends BaseMessage {
    private @Setter @Getter boolean enable;
    private @Setter @Getter int type;
    private @Setter @Getter String musicScoreAccompanimentId;

    private @Setter @Getter String userId;
    private @Setter @Getter String userName;
    private @Setter @Getter Integer soundVolume = 100;

    public DeviceStateChangedMessage(int type, boolean enable) {
        this.type = type;
        this.enable = enable;
    }

    @Override
    public String getObjectName() {
        return "SC:DRMsg";
    }
}
