package com.yonge.cooleshow.admin.service;

import com.yonge.cooleshow.mbg.model.UmsMember;
import org.springframework.security.core.userdetails.UserDetails;

/**
 * 会员管理Service
 * Created by macro on 2018/8/3.
 */
public interface UmsMemberService {
    /**
     * 根据会员编号获取会员
     */
    UmsMember getById(Long id);


    /**
     * 获取当前登录会员
     */
    UmsMember getCurrentMember();
}
