package com.yonge.cooleshow.admin.wrapper;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

public class PmsProductWrapper {

    @Data
    @ApiModel("商品导出数据")
    public static class PmsProductExport {
        @ExcelProperty("商品编号")
        private Long id;

        @ExcelProperty("商品货号")
        private String productSn;

        @ExcelProperty("商品名称")
        private String name;

        @ExcelProperty("品牌")
        private String brandName;


        /**
         * 内部库存
         */
        @ExcelProperty(value = "内部剩余库存")
        private Integer internalStock;

        /**
         * 税务库存
         */
        @ExcelProperty(value = "税务剩余库存")
        private Integer taxStock;
    }
}
