package com.yonge.cooleshow.mbg.mapper;

import java.util.List;

import com.yonge.cooleshow.mbg.model.PmsProductSkuStockRecord;
import com.yonge.cooleshow.mbg.model.PmsProductSkuStockRecordExample;
import org.apache.ibatis.annotations.Param;

public interface PmsProductSkuStockRecordMapper {
    long countByExample(PmsProductSkuStockRecordExample example);

    int deleteByExample(PmsProductSkuStockRecordExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PmsProductSkuStockRecord record);

    int insertSelective(PmsProductSkuStockRecord record);

    List<PmsProductSkuStockRecord> selectByExample(PmsProductSkuStockRecordExample example);

    PmsProductSkuStockRecord selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PmsProductSkuStockRecord record, @Param("example") PmsProductSkuStockRecordExample example);

    int updateByExample(@Param("record") PmsProductSkuStockRecord record, @Param("example") PmsProductSkuStockRecordExample example);

    int updateByPrimaryKeySelective(PmsProductSkuStockRecord record);

    int updateByPrimaryKey(PmsProductSkuStockRecord record);

    int lockStock(@Param("stockRecordIds") List<Long> stockRecordIds);

    int updateByIdAndStockSelective( PmsProductSkuStockRecord pmsProductSkuStockRecord);

    void updateStock(@Param("record") PmsProductSkuStockRecord pmsProductSkuStockRecord, @Param("addStock") boolean addStock);
}