package com.ym.mec.task.jobs;

import com.ym.mec.task.TaskRemoteService;
import com.ym.mec.task.core.BaseTask;
import com.ym.mec.task.core.TaskException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class StopVipGroupWithNoCreateTask extends BaseTask {

	@Autowired
	private TaskRemoteService taskRemoteService;

	/**
	 * 取消达到报名时间未达到报名人数的vip课
	 * @throws TaskException
	 */
	@Override
	public void execute() throws TaskException {
		taskRemoteService.stopVipGroupWithNoCreate();
	}
}
